Ubuntu

[Master] Window Control buttons: position/order/alignment

Reported by Marián Bača on 2010-03-05
This bug affects 448 people
Affects Status Importance Assigned to Milestone
light-themes (Ubuntu)
Wishlist
Mark Shuttleworth
Declined for Lucid by Mark Shuttleworth
Declined for Maverick by Omer Akram
metacity (Ubuntu)
Undecided
Unassigned
Declined for Lucid by Mark Shuttleworth
Declined for Maverick by Omer Akram

Bug Description

=== Master Bug ===
(As per the design team's request)
All bugs concerning the window controls are being duped to this master bug.
All the decisions regarding the position/order/alignment will be dealt as a one.

=== Desire ===
"Please centre the window title like in previous Human theme, and also re-order the window controls in classic order, positioned on the right side (menu - title - minimize, maximize close)."

==== Workaround ====
1. Only new themes, such as Ambiance and Radiance will have buttons on the left by default. You can continue using old themes, such as Human, in Lucid and those themes will continue to have buttons on the right side (according to http://launchpad.net/ubuntu/+bug/532633/comments/577 ). It is even possible to switch to Human theme and then 'Customize' it to use all the elements from Radiance theme, but the button layout will stay on the right.

2. To revert to old layout, run in a terminal:
$ gconftool-2 --set /apps/metacity/general/button_layout --type string "menu:minimize,maximize,close"

==== Return to defaults ====
If you would like to return to the system/theme default then run:
$ gconftool-2 --unset /apps/metacity/general/button_layout

==== Responses ====
Canonical Design Team Leader (Ivanka Majic) - 2010-03-10 and 2010-03-17
http://www.ivankamajic.com/?p=281 ("Those pesky buttons")
http://podcast.ubuntu-uk.org/2010/03/17/s03e03-behind-the-screen/ (30-minute interview starting at 39:10)

Ubuntu SABDFL (Mark Shuttleworth) replies on this bug report - 2010-03-15 onwards
http://launchpad.net/ubuntu/+bug/532633/comments/110
http://launchpad.net/ubuntu/+bug/532633/comments/167
http://launchpad.net/ubuntu/+bug/532633/comments/179
http://launchpad.net/ubuntu/+bug/532633/comments/202 to 204
http://launchpad.net/ubuntu/+bug/532633/comments/218
http://launchpad.net/ubuntu/+bug/532633/comments/248
http://launchpad.net/ubuntu/+bug/532633/comments/272
http://launchpad.net/ubuntu/+bug/532633/comments/388
http://launchpad.net/ubuntu/+bug/532633/comments/410
http://launchpad.net/ubuntu/+bug/532633/comments/426 to 427
http://launchpad.net/ubuntu/+bug/532633/comments/469
http://launchpad.net/ubuntu/+bug/532633/comments/503
http://launchpad.net/ubuntu/+bug/532633/comments/564 ("Final decree"; close-min-max ordering)

Canonical Ubuntu Community Leader (Jono Bacon) response - 2010-03-24
http://www.ustream.tv/recorded/5683123 (6 minutes starting at 26:24)

=== Code of Conduct ===
To maintain a respectful atmosphere, while commenting please follow the code of conduct - http://www.ubuntu.com/community/conduct/ .

Related branches

Chris Johnston (cjohnston) wrote :

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here. Thanks for taking the time to make Ubuntu better!

Changed in light-themes (Ubuntu):
status: New → Confirmed
James P. Carter (jpcarter) wrote :

Also do you think we could move the window buttons back to the upper right instead of the upper left over the File / Edit /Etc...

James P. Carter (jpcarter) wrote :
Chris Johnston (cjohnston) wrote :

James, that would need to be in a second bug...

Now with the change of the window control buttons, I'm guessing that the title is meant to be this way..

Chris Johnston (cjohnston) wrote :

After seeing this: https://wiki.ubuntu.com/Brand#New%20GtkThemes

I am going to mark this bug invalid.

Changed in light-themes (Ubuntu):
status: Confirmed → Invalid

http://www.webupd8.org/2010/03/new-ubuntu-1004-light-and-dark-themes.html - window controls are already on right side. Please re-open this bug.

Chris Johnston (cjohnston) wrote :

I'm not going to reopen a bug based upon a third party blog post when the wiki artwork created by Canonical is available which shows the new theme design. Bug is still invalid.

It is strange. As you can see in bug attachments, window controls were on right side(just in strange order-see bug description). But after recent update they are on left side again. It is quite big regression, because I have(naturally a lot of people) a lot of applications, which have classic window controls(minimize,maximize,close) on right side(chrome,lingea, audacious...). I think that majority of ubuntu users will not welcome this change positively.

tgpraveen (tgpraveen89) wrote :

@marian
+1

I just changed theme to human, but window controls remain on left side. It looks horrible.(Attachment:human-window-controls.png) And what about consistency with applications, which do not use metacity (compiz)? I think, that a lot of regular users will have problems with it(Attachment:consistence_with_other_applications.png). Light theme is not also very accessible for users with impaired mobility or users with poor sight(window controls over File/Edit...).

Thank you very much, Majo

Mitch Towner (kermiac) on 2010-03-07
tags: added: metabug
Mitch Towner (kermiac) wrote :

I have made this a "master bug report" or "metabug" as there are more reports coming in regarding this issue.

Mitch Towner (kermiac) wrote :

As stated on a duplicate bug report, if you are not happy with this design decision there is an easy workaround to revert this behaviour:
gconftool-2 --set /apps/metacity/general/button_layout --type string ":minimize,maximize,close"

Vish (vish) wrote :

This bug is not invalid.

It would either be a "Wont Fix" or _might_ be re-considered for the final release.
This decision is something that needs to be made by the Upstream authors. The light themes hasnt yet been hosted publicly , once that is done , the concerned authors will decide.

Changed in light-themes (Ubuntu):
status: Invalid → Confirmed
Vish (vish) wrote :

Setting it to medium , since this is not just an aesthetic problem , but also forces users toloose muscle memory and change their usage patterns.

Changed in light-themes (Ubuntu):
importance: Undecided → Medium
Loop (matt-theworldtree) wrote :

I would add that the arrangement of window controls does not revert to the expected layout when switching from Light back to Human or other themes, nor is there any way for a user to choose how they want their windows laid out except for the above workaround. It's great that it's an aesthetic decision, but a) it should only impact the new themes, and b) should be more readily user-controlled in the event that it is unwelcome.

BavarianPH (bavarianph) wrote :

I want to thank Mitch Towner for sharing the command to reverse the "new ART":

gconftool-2 --set /apps/metacity/general/button_layout --type string ":minimize,maximize,close"

It worked immediately, thank you very much!

(As a Ubuntu user I would like to know all the commands to properly fix or configure the OS

This is part of the Linux/Ubuntu way, namely: The freedom to control ones own OS, apps,

and thereby be in control of one's PC. This choice has been taken away from us by

Microsoft, and hopefully will be given back to the people through Linux and Ubuntu

The tendency to control and have power over others is a huge BUG

At least we can escape to Ubuntu for a little more freedom!)

BavarianPH,
Ubuntu forever!

Matthias Klumpp (ximion) wrote :

The menu is missing in this command! gconftool-2 --set /apps/metacity/general/button_layout --type string "menu:minimize,maximize,close" ;-P

I think it would be better to switch the layout back because a lot of people strongly dislike the new layout. (It was not really welcomed by the Ubuntu users) The new button order also does not fit in well with a lot of other applications e.g. like Google Chrome or XMPP and no other major Linux Desktop uses it by default, which will confuse application developers. (The button order would have to be changed in KWin too to have a more consistent look)
Also, the icon of the application is not visible in titlebar anymore, which makes the order of windows even more confusing.
Would be good if a member of the Canonical design team could comment on this bug.

Vish (vish) wrote :

Setting to Low, as we have a workaround.

description: updated
Changed in light-themes (Ubuntu):
importance: Medium → Low
status: Confirmed → Triaged
Travis Watkins (amaranth) wrote :

As this is a request to change the default settings I've changed the importance to Wishlist.

Changed in light-themes (Ubuntu):
importance: Low → Wishlist
Yann (lostec) wrote :

A workaroud??? You're kidding I hope?
The woarkaround breaks visual appearance because of symetry problems.

You may really think twice for such a huge habits change: LTS versions targets enterprises and aims to be a Red Hat or Suse alternative... but I really don't immagine any sysadmin install a distribution configured like this: Users screaming, loss of productivity...

This is really a pity to make this kind of change to:
-Make a bad copy of Apple layout, that count for 5% PC market share... whose users are under Steve gourou influence and are not really subject to change for any Linux flavour!
-Sink the Ubuntu boat in 6 months...

So please make this appear on top again... and go reading ubuntu forums to hear the scream about this stupidity!

Changed in light-themes (Ubuntu):
status: Triaged → Incomplete
dwan (dwanafite) wrote :

We should have a way to revert to the old button layout in a GUI manner, not with a command-line workaround, as this affects the final user. Be able to put the button back to the right side (where they have always been) with a command line is just a usability joke.

YannUbuntu (yannubuntu) wrote :

Make a GUI to put the buttons on the left-side if you want, but please leave the buttons on the right side by default !
As the other Yann (!) says, this is a crazy change for a LTS !!!

Mitch Towner (kermiac) wrote :

Setting back to triaged as no more info is required for a developer to be able to work on this. Please don't change the status of this bug.
Please see top post for a workaround, sorry for missing the "menu" part of the string in my earlier post.

Changed in light-themes (Ubuntu):
status: Incomplete → Triaged
alain57 (alain57) wrote :

left side or right side is not the main problem.
Even If i agreed that copying the mac OS style is not the best idea. Some apps have the icon on right, so putting the gtk theme to the left will only perturb people.

for me this new themes are cool (in design) but are uggly in some way

if you try to force the buttons in this order : minimise, maximise, close => you will have an UGLY theme

and on ALL window who only have 2 or 3 buttons, you'll have something ugly too?field.comment=left side or right side is not the main problem for

for me this theme is cool (in design) but it's uggly in some way

if you try to force the buttons in this order : minimise, maximise, close => you will have an UGLY theme

and on ALL window who only have 2 or 3 buttons, you'll have something ugly too

ok having a new theme is cool, but changing the side an the order of the buttons is kind of disturbing
copy Mac design is a bad idea too.

there are about 5% Mac user,
and about 90% Windows user

Convincing 10% windows users to switch on ubuntu, will bring a LOT more people than bringing 100% of mac user

Ok there are people who want to change from windows to mac, but its not for the button position ^^ so stop copy useless stuff ^^

alain57 (alain57) wrote :
Yann (lostec) on 2010-03-08
Changed in light-themes (Ubuntu):
status: Triaged → Confirmed
Yann (lostec) wrote :

OK, setting back to "confirmed"... maybe this is the more appropriate as "triaged" is clearly inappropriate: Buttons artwork is so more symetric, so changing gconf makes this look very bad.

So the solution may be to change buttons to make them symetric again for users being able to change default behaviour withous artifact... or making a second theme that is coherent, that could be chosen at install.

Maybe Canonical could uses this to make stats on users choice: Is users choose left (I doubt!), maybe this could become the default in future releases. But let users decide!

Vish (vish) wrote :

@Yann , Kindly stop changing the bug status!

This bug has enough information , is there any information missing from the bug?

Triaged means:
    * A member of UbuntuBugControl believes that the report describes a genuine bug in enough detail that a developer could start working on a fix
    * Use this when you are confident that it should be looked at by a developer and has enough information

For more information on bug status , see : https://wiki.ubuntu.com/Bugs/Status

Changed in light-themes (Ubuntu):
status: Confirmed → Triaged
Vish (vish) wrote :

The "developer" in tis case is the design team.

scholli (scholli-tz) wrote :

I like much the idea of the text on the left side than in the center. The place of the control-buttons has no importance for me.

tags: added: gloam
Dylan McCall (dylanmccall) wrote :

This bug description mentions two completely separate issues: the window buttons and the window title. On the other hand, discussion seems to be completely about the buttons. I suggest editing the description to simplify things and maybe filing another bug if there is another regression caused by the position of the window title.

As well as being against the standard approach to how we manage bugs, putting both issues in one report is unfair to the other wishlist items being marked as duplicates of this one.
The window title position is a considerably less polarizing issue and one that _is_ controlled by individual themes (instead of gconf settings).

There's also the question of whether this is about the order of the buttons or just the side of the window they are on. The order of the buttons is what breaks other Metacity themes, while the side of the window is what really hurts muscle memory. I'm assuming you want them both back, but again, clarification in the bug description would go a long way.

Mitch Towner (kermiac) on 2010-03-09
summary: - [light-theme] please centre window title and order window controls
+ [light-theme] please revert the order of the window controls back to
+ "menu:minimize,maximize,close"

Hi,

I know this doesn't solve the problem, but I have changed gnome-appearence-properties to include, on "Window borders" tab a simple switch for the window controls position. See branch and screenshot attached.

Maybe this will be handy for the users wanting to change back the position of the controls.

I do like left better :)

Wishlist? You must be joking! Did anybody see screenshots in attachment? (e.g. consistence_with_other_applications.png). No one distribution or desktop environment has window controls on the left side and also no one application for GNU/Linux, that does not use metacity(compiz). If you like window controls on the left side, please, there is a lot of mac os themes. And also the strange order of buttons, it will be very confusing for regular users. And even in LTS release....

I run Lucid-alpha3, and the "Customized Theme" tab / "Windows Border" tab
(or page)

does not have the option "Control: O right O left" ?

BavarianPH,
Ubuntu forever!

----------------------------------------------------------------------------------------------------------------------------------------

On Tue, Mar 9, 2010 at 3:51 PM, Alex Eftimie <email address hidden> wrote:

> Hi,
>
> I know this doesn't solve the problem, but I have changed gnome-
> appearence-properties to include, on "Window borders" tab a simple
> switch for the window controls position. See branch and screenshot
> attached.
>
> Maybe this will be handy for the users wanting to change back the
> position of the controls.
>
> I do like left better :)
>
> ** Attachment added: "window_controls_position_gui.png"
> http://launchpadlibrarian.net/40647960/window_controls_position_gui.png
>
> --
> [light-theme] please revert the order of the window controls back to
> "menu:minimize,maximize,close"
> https://bugs.launchpad.net/bugs/532633
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “light-themes” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: light-themes
>
> Please centre window title like in human theme and also order window
> controls in classic order(minimize, maximize close).
> Thanks, Majo
>
> ------ WORKAROUND -----
> To revert to old layout, enter in terminal:
> $ gconftool-2 --set /apps/metacity/general/button_layout --type string
> "menu:minimize,maximize,close"
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/light-themes/+bug/532633/+subscribe
>

Try to assign this to canonical desktop... Because current answers really look like bad jokes!

Changed in light-themes (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
assignee: Canonical Desktop Team (canonical-desktop-team) → Canonical Desktop Experience Team (canonical-dx-team)

 assignee None

Yann, please do not assign bugs to someone unless you are responsible
for their tasking. You can assign a bug to yourself, or someone who
works for you, or a team or person in a team that you lead in Ubuntu.
But assigning a bug to someone who is NOT in that list is a bit like me
sending you an invoice for the time it has taken to write this email ;-)

Mark

the choice there is a design decision, it's worth noting though that the order should apply only to light themes, it doesn't now but the issue will be fixed for lucid, the title not being centered is also a different issue than the order and has a different bug.

Yann (lostec) wrote :

That's nice to learn issue will be fixed before release and have been understood at highest Ubuntu level.

Regards

The issue is not a bug, it's a difference of opinion on what is the best
result. We may change it, or we may hold it.

Mark

How to we find out which is the best option? (My opinion is clear and the opinion of the community is, as far as I see, mostly negative. But if there is a good reason for choosing this button order (the dx-team will have made some tests before) and a possibility to fix this mess with XMPP and Google Chrome, I will not complain about the change.)

We'll consider it carefully, in the light of all of that information,
and take a decision.

Mark

XMPP and Google Chrome? There are tens of applications, that do not use metacity. This will be tragedy, I suppose...

I just named a few, prominent applications.

Is it planned to change the button layout in KDE, Xfce, LXDE and all other
desktops too? Cause if not, there will be not only an inconsistency between
Ubuntu and all other distributions and desktops, but also between the
different Ubuntu derivatives. This would be very bad, I suppose cause there
will be much confusion for users and for application developers who draw
their own window decorations.

On Wed, 10 Mar 2010 15:20:12 -0000, Marián Bača <email address hidden>
wrote:
> XMPP and Google Chrome? There are tens of applications, that do not use
> metacity. This will be tragedy, I suppose...
>
> --
> [light-theme] please revert the order of the window controls back to
> "menu:minimize,maximize,close"
> https://bugs.launchpad.net/bugs/532633
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “light-themes” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: light-themes
>
> Please centre window title like in human theme and also order window
> controls in classic order(minimize, maximize close).
> Thanks, Majo
>
> ------ WORKAROUND -----
> To revert to old layout, enter in terminal:
> $ gconftool-2 --set /apps/metacity/general/button_layout --type string
> "menu:minimize,maximize,close"
>
> To unsubscribe from this bug, go to:
>
https://bugs.launchpad.net/ubuntu/+source/light-themes/+bug/532633/+subscribe

I'm not in favor of the new position. But right now, the community opinion/poll is a moot point.
Its like asking Americans or British who have switched locales : “do you like driving on the right or the left side of the road?” ;-)
Stating it as a huge negative for the change is unfair.[OTOH, apps broken is a negative]

Change is always good , *if* there is a good reason to change.
Without knowing what the problem was earlier and why this has been changed , one really cant judge the change.
Of course , the problem with the old position has not been mentioned.

Since comments[debate?] on this bug are increasing , I'v updated the description with the apps affected.
Would be easier for the folks working on the bug , to see if the problem can be solved in the apps , rather than digging for the broken apps in the comments.

description: updated
Alin Andrei (nilarimogard) wrote :

I for one don't see any possible good reason for this change (unless someone who was in charge of this change cares to explain), but in my opinion this is just something done for branding: OSX has the buttons on the left, Windows on the right, Ubuntu on the left but with maximize and minimize inverted so all 3 are different.

But the brand should be defined by good, not bad things (like this change).

Affected applications:
- Chrome/Chromium
- XMPP
What is this? These apps are not affected, they just use their own window decorators, identical with these in various desktop environments(GNOME, KDE. XFCE...), except Ubuntu. Why do they have to change their own window decorators, only because in Ubuntu(gnome only for now) are window controls on the left?

description: updated
Dave Stroud (bigdavesr) wrote :

This has affected all applications on my ubuntu machine. No mater what theme I use. I used the work around and it put the buttons back to the right side but they are in wrong order. I am forever trying to maximize my window hitting the button I am used to hitting and the window disappears. I guess you can get used to the new way, but I would like to know why it was changed. Thanks

Conscious User (conscioususer) wrote :

It should be mentioned that the discussion would be much more productive if there was actually an official stance, a wiki documentation, a blog post, or *anything* explaining the reasons for the change.

This was made for NotifyOSD, for the MessagingMenu and for most of the non-trivial changes Ubuntu introduced.

The closest the users got to an explanation was the latest blog entry in Ivanka Majic's blog (http://www.ivankamajic.com/?p=281), but that post raised only the questions and none of the answers. Even worse, it showed that the design is not an unanimity *not even among the design team itself*.

I'm not saying that the explanation should satisfy everyone. All I'm saying is that it should exist.

Ryan Peters (sloshy42) wrote :

@Matthias

I certainly hope they switch things back to normal. It would be way too much of a hassle to switch every other Ubuntu-based OS just because of what they "think" is a good design. I feel bad for the Lucid users using Chrome...

Elias Amaral (dlight) wrote :

This seems to be a real usability problem. And it's an LTS, OMG!

I was reading a blog post, http://www.webupd8.org/2010/03/update-on-new-ubuntu-themes-dark-and.html - and I really hope he is right and the default will not change. Too many problems. :(

Please try to fundamentally change the UI only with non-LTS versions. Thank you.

Ted Gould (ted) on 2010-03-11
Changed in light-themes (Ubuntu):
assignee: Canonical Desktop Experience Team (canonical-dx-team) → nobody
Chris Cheney (ccheney) wrote :

I'm not sure if this has been noted but it seems there is also a real bug here (not just difference of opinion) in that every time light-themes is updated it reverts the user's setting in gconf. So even if you do change the button order back as soon as light-themes updates it will change it back. I assume the change to make the button order only apply to light-themes will also fix that.

You can also use the following to reset the button order:

gconftool-2 -u /apps/metacity/general/button_layout

Yann (lostec) wrote :

As the final decision is not made, maybe this little pool could help ;o)
http://www.omgubuntu.co.uk/2010/03/poll-do-you-want-ubuntu-window-controls.html

At time of writing, 79% to keep current non Apple standard...

James Schriver (dashua) wrote :

i've grown quite find of the changes and from a usabilty standpoint it seems to be very efficient, absent the muscle memory. I am not nor was a Mac user so this change was absolutely foreign to me. After two days, instinctively I've noticed my mouse pointer idles cocnsistently just under the left side of the metacity buttons. This makes the screen real estate adjustment much shorter, distance wise for me. I know I'm probably in the minority, but this is definitely a step in the right direction.

Alessandro Ranaldi (ciaolo) wrote :

I agree with James Schriver, once one get used to the new position of the buttons, he/she can reach them in less time because top-left corner is almost always nearer the content of the window than the top-right corner.

This, though, doesn't explain the choise to set the new position of the buttons to all other themes. Each theme must have its own settings, so revert DEFAULT metacity options to older ones, and change the individual settings for the new two themes.

nomnex (nomnex) wrote :

I disagree. I am a right hander, the pointer usually stands-by on the right part of the screen, as such | under_bar | square | cross buttons on the right of the windows = best usability & common standard

This is obviously a "Mac complex", and speaking for myself Mac s...s at 100% with their pedantic concepts of "doing things differently"

Yann (lostec) wrote :

Be very careful with this kind of change: A few hours in a virtual machine doing almost nothing but testing may not be appropriate.

To illustrate this, I still sometimes close a window with intend to maximise or minimize it: The reason is these max/min controls were on the right in windows 3.x and close was on the right side... 15 years and I still sometimes make this error!

When I close an autosaved document, that's not so much troubles... but when that's the debugger after 2 hours trying to solve my embedded target problem, that's almost 2 hours lost: Some things cannot be saved and this is why in a corporate environment targeted by LTS, this will be a huge deal breaker for Canonical.

Coherency with many apps (especially the ones using tabs, tab close will stay right as usual... what a mess) is another problem.

Those who give Ubuntu a try at home having windows at work will not want to change their habits several times a day.

Ubuntu bug #1 will not be solved this way IMO...

philinux (philcb) wrote :

This poll and discussion also favours no change with buttons on the right.

Lucid testing forum.

http://ubuntuforums.org/showthread.php?t=1422422

Jack Leigh (leighman) wrote :

Good to hear that other themes won't be affected by this change for Lucid.
Still seems a totally defunct change which is not meeting support, however.

Omer Akram (om26er) wrote :

With these settings I had the problem for 4 hours and the next day when I started ubuntu I had no problem with the new controls position rather things look better as there nothing on the top right side. People complain without even testing the change for a few hours. (Even when a person wears new clothes it takes a bit time to adjust in them ;)

Conscious User (conscioususer) wrote :

Omer, I do not disagree with your statement and I have grown used to the new position/ordering myself. However, any change to habits must have a reasoning behind it.

When NotifyOSD was introduced, people had to change some habits, but all the usability arguments and future roadmaps were/are available in a nice wiki page for anyone to see. The same goes for the Messaging Menu, the Software Center and the Me Menu. Even the color choice in the new branding was explained in a long and detailed blog post by Mark Shuttleworth.

For the button positioning, however, there was absolutely no official stance from the design team on the reasoning behind it. In a recent Ars Technica article, Ryan Paul states that Ivanka Majic posted explanations in her blog. As I previously stated in this bug report, not only her blog post mentions only the questions and no answers, but clearly states that she does not agree with the design herself.

I doubt that revealing the reasoning would satisfy all users, but at least they would have a base to build arguments on. Right now, a lot of people are *assuming* the reasons and criticizing Canonical based on those assumptions. This is wrong, but there's little else possible when an official statement does not exist.

Stuart Vickers (sv87411) wrote :

I agree with Conscious User whole heartedly on the reasoning front.

So far many people have provided numerous valid arguments re usability in the blogs and forums and in this bug report against making this change - breaking themes, breaking with another applications look and feel that don't use Metacity, restricting usability - for visually impared users, muscle memory, change to icon order, close icons too close to Edit/View menu in many applications etc etc. However no one is yet to provide any valid and convincing arguments for this change.

People are making assumptions, but even if those assumptions turn out to be valid they are very weak reasons for making such a change. People will/may get used to it, but that's not the point. I personally wouldn't get used to it becuase I switch daily between Microsoft Windows use and Ubuntu use. So I will apply whatever workaround is necessary to facilitate my own needs. But for new users to Ubuntu there needs to be an air of familiarity and this already exists even with dual panels.

This change breaks usability and compatibilty in a default LTS installation of Ubuntu and there is no official word for the reasoning behind it. Until we can enter into the discussion and challenge and understand those reasons this is a bug because something has changed with no explanation.

if the new theme brougth something new i wouldnt complain.
the big problem for me is the new order. i can change side as i want to bit the order bothers me...
i was looking forward to something new and exiting. i was imagining something like the maximize icon on top of the minimize icon, and then the close icon on the side. this could bi devidet so the minimize and miximize was on one side and the close on the other.
or maybe combine the 2 bars so the icons was at the same line as file, preferences and so on, but this change of the order doesnt make sence and only results in the system not dooing what is expectet.

furthermore the grafic design of the butons are made so that they hang together. that is ugly if you change the order

A lot of people use these controls to identify the right edge of the
active window. This is significant when there is more then one window
overlapping each other on the display. The same issue is there with the
window title. When it is centered (as in human) one can know that the
window is stretching to the left side as far as to the right side from
the position of the title. Putting all info to the left gives no
information at all concerning the window dimensions. Do not ignore this
visual aspects. The current window design (until human) did not just
drop from the sky. Someone had good arguments for them, which I cannot
confirm for the light themes.

-----Oorspronkelijke bericht-----
Van: Omer Akram <email address hidden>
Reply-to: Bug 532633 <email address hidden>
Aan: <email address hidden>
Onderwerp: [Bug 532633] Re: [light-theme] please revert the order of the
window controls back to "menu:minimize, maximize, close"
Datum: Fri, 12 Mar 2010 09:30:18 -0000

With these settings I had the problem for 4 hours and the next day when
I started ubuntu I had no problem with the new controls position rather
things look better as there nothing on the top right side. People
complain without even testing the change for a few hours. (Even when a
person wears new clothes it takes a bit time to adjust in them ;)

It would be nice to have a clear decision, now, to revert or not on this design change... and the reason for the try, just for users's respect...

So the ones that do not agree could stop talking to walls here and start using their time to consider alternatives.

half of the dupe reports talk about the controls being on the left side instead of the usual right. This bug report says nothing of that in the title or description. Are the same principles applied to this one as well? If not, we need to separate them.

Matthias Klumpp (ximion) on 2010-03-12
description: updated
Barry Kelly (bkelly-ie) wrote :

"Change is always good , *if* there is a good reason to change." - this is emphatically false. Change is by default bad, even if there are good reasons for it. There must be *excellent* reasons for change, not merely good reasons.

Where is the discussion about pros/cons? Where can we learn what caused that change and why should we be happy about it? When will Ubuntu team stop dropping such bombs just before the freezes? (why does it remind me of the update notification fiasco?)

Maybe some person who is responsible for the change can list the reasons and address the long list of usability / compatibility issues listed in http://yokozar.org/blog/archives/194 ?

Matthias Klumpp (ximion) wrote :

Quote of the blog Stanislaw Pitucha mentioned:

Why the new windows control order is wrong:
"• Because the window title isn’t centered, the window controls being placed directly in front of it put it in a weird indented position
• The “slightly off left” location is inconsistent with Nautilus, Firefox, Thunderbird, Pidgin, Empathy, and every other tabbed program we have, which have close buttons for their tabs on the right.
• The left position is inconsistent with Windows, previous versions of Ubuntu, and even OSX – users have to relearn decades of muscle memory.
• Users who interact with both Windows and Ubuntu machines (or migrate from Windows) will have a much harder time than they did before.
• The buttons are too close to the file and edit menus, making catastrophic misclicks much more likely. Closing something on accident should be as rare as possible.
• Even without misclicking, a user will have to take more time to use the window control and avoid a misclick. This is an example of Fitt’s Law.
• The close position is also inconsistent with the power button in upper right. Currently, “close it down” is something you can always do from the upper right anywhere in the system: within a tab, within a window, and even for the whole computer. The new window controls break that entirely.
• The new position leaves a lot of empty, wasted space in the upper right of most windows. While strictly speaking the amount of unused space is the same, it looks much worse when it’s all clustered together. When the controls are on the right, the extra space can function as a buffer for the potentially destructive window controls.
• Similarly, the upper left of most windows now becomes much more crowded, creating a rather unpleasing contrast to the relatively empty upper right.
• In previous Ubuntus you could close windows on the left if you really wanted, by expanding the small circle menu that’s now gone entirely. File->Quit is also an option, which is now very close to the close box.
• Gnome upstream has them on the right, causing consistency and developmental problems when we deviate. This is particularly jarring with the adoption of future projects like Gnome shell and Gnome 3, which will change again how we interact with window controls.
• The current implementation breaks themes not designed for the new button order (which is currently every theme we ship, so even changing the theme back doesn’t help)
• A day before User Interface freeze of a long term support release is the worst possible time to suddenly spring this on everyone without explanation.
• It is very difficult to change them back as we don’t have any UI tool for doing this (the current method is manually editing gconf keys)
• The new position doesn’t actually do anything beneficial."

David D Lowe (flimm) wrote :

A related (but separate) bug is the fact that gnome-appearance-properties shows the window controls on the right, regardless of the settings in the gconf key. By default, this would make the Appearance utility inconsistent with the look of windows on Ubuntu, unless this change is reverted. See bug #538204.

drs305 (drs305) wrote :

I'd like to add another problem with moving the default buttons to the upper left.

In gconf-editor, the setting /apps/metacity/general/button_layout "Unset" position restores the buttons to the upper right. Without commenting on the location decision, the "Unset" command should restore the button positions to the upper left, which is the new default position if I'm not mistaken.

I tried adding a report with "ubuntu-bug gconf-editor" but it will not connect to the server. This seemed like a logical alternative.

More people want it on the right by default than at the left, change it back! doing this hours before the interface freeze is ridiculous! Anything but the buttons! Release Mangers please fix!

yareckon (yareckon) wrote :

I support moving the controls back to the position where users expect them rather than change by fiat.

Just think how much consensus cred canonical could get back by listening to the community on this one. It would be the perfect counterexample for years against accusations of undemocratic behavior.

Matthias Klumpp (ximion) on 2010-03-12
tags: added: lucid
Omer Akram (om26er) wrote :

If it was possible I would say that for Lucid buttons on right side with option to move them on Left side from appearance menu, for Lucid+1 buttons on left with option to move on left side and lucid+2 only left side.

Stuart Vickers (sv87411) wrote :

Why move them at all, whether it be in Lucid, Lucid+1 or Lucid+5? Where's the rationale?

Alvaro Kuolas (kuolas) wrote :

This was meant as a "design" idea... not a good one, but an "iadea" that passed as "it is" before even posting it BrainStrorm for consideration.

http://blog.daviey.com/blogroll/anything-but-the-buttons.html

It should be reverted by RC... if not this could end bad, very bad for Ubuntu.

Alvaro Kuolas (kuolas) wrote :

I think that bug #532633 it's related but not a duplicate. Bug #532633 wants to revert the order of the buttons when this bug is for the buttons place, not it's order. Anyway, they should fix both problems by RC, they are critical usability BUGs.

This bug is not in the light-theme nor Metacity... it's in the configuration made by Ubuntu developers.

Luiz Felipe Talvik (talvik) wrote :

Disadvantages:
-Aesthetically unpleasing: Windows button, application menu and panel menu all stacked.
-Increase the chance of closing the window accidentally.
-Breaking consistency of all Ubuntu releases, most Linux distros and window's managers.
-Most people don't like it
-Come on!!! IT'S A LTS RELEASE!!!

That was a really unprofessional decision. There always has to be really good reasons to break consistency.
Asking yourself why is it there, and then changing it IS NOT A GOOD DECISION

Mitch Towner (kermiac) wrote :

The command gconftool-2 --set /apps/metacity/general/button_layout --type string "menu:minimize,maximize,close" (as referred to in both the title & the bug description) reverts the button order *and* the position to how it was before the update changed it. This bug report is referring to both of these issues as they were *both* changed by the same update. That is the reason this was made a *master* bug report. Furthermore, this bug (or more correctly, this "difference of opinion" as stated by sabdfl) *is* related to light-themes as the change was introduced by the light-themes package. See http://changelogs.ubuntu.com/changelogs/pool/main/l/light-themes/light-themes_0.1.5.4/changelog

Further discussion should really take place on the brainstorm page mentioned earlier (http://brainstorm.ubuntu.com/idea/23899/), not on the bug report(s). If too many non productive comments (e.g. comments that are not adding new, relevant information) are added to the bug reports, they become unwieldy & make it very difficult for developers to see relevant comments through all of the noise.

Please continue this discussion at http://brainstorm.ubuntu.com/idea/23899/

nomnex (nomnex) wrote :

As long as the settings of the buttons can be changed in an easy manner through the gconf-editor, this bug is closed for me.

The layout change is at the discretion of Canonical after all. We, end users, can revert it if we don't get by.

John Baptist (jepst79) wrote :

Why should the user have to go through gconf-editor to change this? Average user doesn't know about gconf-editor, and certainly doesn't know what key to modify.

I'm not opposed to this kind of change, but it should be changable from the Settings|Appearance panel, which is the natural place for this kind of thing. You should be able to set the orientation and ordering of the frame controls in the same place that you set the size of the mouse cursor, that is, it should be theme-dependant.

Yann (lostec) wrote :

Another discution takes directly place here, with design chief:
http://www.ivankamajic.com/?p=281

But if this one is not considered a true bug (in a sense that's right: This is not a software error... but a design error that will cause users errors and loss of productivity: Same result in a way)... just don't forget that at the beginning of Ubuntu founding principles, there is bugs that are not really bugs also ;o)

ViViD (vivnet) wrote :

This bug affects me as well. The window controls should be on the right side and in the standard order of minimize, maximize, close for the final release of Lucid. At the very least, please make this configurable. If someone actually wants the controls on the left side, they can make this adjustment on their own.

Bryan Hundven (bryanhundven) wrote :

This is also annoying for x automation scripts, as well as being a design issue.
Was there any consideration for users with accessibility needs during this decision process?

Pietro Battiston (toobaz) wrote :

Assuming (and I think it's true) that the majority of Ubuntu users' native language is written from left to right, it is also important to notice that both human eyes and screen readers will want to first read the title of a window, and only after see buttons which yield no information at all (since they are the same in all windows).

But then, I feel quite ridicule in commenting about a secret, totalitaristic (and entirely legitimate, sure) decision on the configuration of a project, GNOME, which instead devotes so much attention to usability.

It's funny how whenever there is bad press (and the net is full of hate now, because of this decision), they say file bugs, participate in the community.

And there's the stonewalling.
I really feel like Canonical is just giving us the finger here.

The success of Ubuntu was always about the community. And often when there was an 'issue' that divided Canonical from Ubuntu, canonical could count on a very large silent majority (for example, look at the issue of codecs).

But that silent majority is upset. They don't like many of the changes.
I've shows the look 'n feel to a couple of users I maintain, and they are very explicitely 'i don't want that'.

Not just about the window icons. The icon spacing also.
And they already hated the gdm changes that happened in karmic.

Just a general question, does Canonical do any user testing at all?

Because I literally showed this to my non-technical friends I have running on Ubuntu, just to get an honest response.
I wasn't suggesting I didn't like the theme or anything. I was really curious if this was one of those 'silent majority' situations again, where only us nerds get upset.

But it's not.

Mark I want to warn you.
This is going to seriously Ubuntu's popularity.

Not just the window button issue. But the complete inconsistency of the design.

To summarize the issues:
  - with lucid whether programs will have their buttons on left or right will be random in the eyes of most users
  - the close button is not at a corner, which will increase RSI
  - the GDM is still not usuable on 1024 width, (ever since Karmic). It simply doesn't fit.
  - the horizontal margins on the notification area are different from the vertical margins and any other visual language throughout the UI
  - red is only used on the window buttons
  - the window buttons are the only one's that look like spheres.
  - purple is only for both tooltips and window background, making them hard to read.
  - the scrollbars have a very different inconsistent 3d effect with gourad shading on them that's not used anywhere else.
  - the issue of the ugly position of notification bubbles is still there (because of the searchbox when we have firefox maximized? seriously?)

Maybe the designers you hired are very talented. Maybe they are not.
But the end result is a mutated monster with no vision, with no consistent visual language and it is upsetting everybody.
Stop stonewalling the community.

If the before mentioned issues are really design decisions (which I doubt), then we would love to hear the rationale.
So far, all we hear is stuff like 'opinions can differ' .. and 'its not final yet'.

Should design start with the rationale, and then be implemented.

Shouldn't it be easy to publish the rationale of stuff like the window button positions, icon spacing issues, gdm not fitting in 1024 width anymore, etc. ?

Or were the rationales not documented?
Or perhaps more likely, for many of these decisions, there was no rationale?

Look at how well established and consistent the branding work was.. and how easy it was to explain the rationale.
is it too much to ask to do the same for the style of _actual product_ ?

This is a terrible change. I don't want to go from Ubuntu just because of border buttons! Please, make it an option!

And why is this bug about light themes? This change affects ALL themes!

nomnex (nomnex) wrote :

> I really feel like Canonical is just giving us the finger here.
> Mark I want to warn you

R u kidding? Hopefully, it's a minority voicing up their complains in an unfriendly and with a self-centred vision. Nevertheless, it is undermining. If I was Mark, I would give the finger, and go on a island with some of my Canonical friends, for a break.

I dislike the "Mac" feel of these icons, as their layout on the left, but let's be passionate about hardware compatibility, or mono eradication, and less about minor cosmetic details.

I am done with this bug report, may the buttons be on the upper left, right, or even on the middle of the window...

Mark Appier (appier) wrote :

In a school environment, there are a large number of users, both students and mainly older staff, who have just recently learned to consistently locate the power button and shut down the machine from within the operating system. My concern is in providing support for transitioning these users through a change that appears to be change for the sake of change, adding no functionality. My suggestion would be to continue with a default buttons on the right arrangement, making the new arrangement easily available through a GUI.

Regarding the comments that have been less than polite, please understand I am making no indictment against Mark Shuttleworth, Canonical, or the Ubuntu developers--quite the contrary. I really like Ubuntu and the packages that come with it; they are delightful, and Mr. Shuttleworth is appreciated. Even though the comments here and in other places may not always be complimentary, they show significance and impact--people care!

I've had those buttons at the same place for about twenty years, and I've used them a large amount of times almost every day during these years. It's incomprehensible to me that someone could consider this a mere cosmetic change.

tsm124 (tsm1248) wrote :

left or right?

POINT:
Who cares what your use to. Tradition isn't correct because people have been using it longer.
Left is great and is perfect for the desktop environment and is very easy to navigate since we read from left to right we would start from the left. The buttons start from the left also, therefore allowing the user to quickly move a couple of pixels and select a button.
I say give the option for both the "traditionalists"aka right and for the "modernists" aka the left.
This is a positive thing people as in + not this -

tsm124 (tsm1248) wrote :

Let's not compare it to mac windows or any other os lets just look at what is faster for a user with no bias involved.

tsm124 (tsm1248) wrote :

Ralf Nieuwenhuijsen-I have to disagree with you i think its is going in a positive direction the icons and is improving bit by bit.
The "new brand" is amazing and your criticism sounds more like insults then actual criticism.
You started off with a few good points and then just started to insult rather then suggest.

MichaelSwengel (truesongtech) wrote :

1) This is not an invalid bug.
2) It is a serious problem that will cost Ubuntu users. It is an unwelcome change.
3) Users should never have to resort to gconftool for something like this.
4) It concerns me that Ubuntu has been restricting user customization in the last few releases (removal of GDM theming, for example) and now we see this... wow.

MichaelSwengel (truesongtech) wrote :

@tsm124, the new brand is great - and that's not what we're talking about here. The problem is the button location and layout.

(btw, you'd better not be using "tsm" as "TrueSongMedia"... ;) )

@michael, During karmic release cycle I installed karmic beta on my friends
laptop, he was inspired by ubuntu that its free, how the company afford
something like an OS without getting any money from the user. When I ran the
live session he did not notice but when the installation completed and I
gave him the laptop and asked him to try it for a few minutes without asking
anything from me. after he tested he said. "Yaar ismain change kia hai?"
translated "whats different in it" I looked at him with straight eyes ( now
he uses windoze). In my believe we should (ubuntu) look and feel different
from our biggest enemy. This change makes the feel of the OS cooler IMHO.
For usability point of view, think that every application is using things on
the left sides == browser tabs, buttons in every app start from left, menu
buttons like file,edit start from left so why go to the right hand side for
window operations?
On Sun, Mar 14, 2010 at 12:20 AM, MichaelSwengel <email address hidden>wrote:

> @tsm124, the new brand is great - and that's not what we're talking
> about here. The problem is the button location and layout.
>
>
> (btw, you'd better not be using "tsm" as "TrueSongMedia"... ;) )
>
> --
> [light-theme] please revert the order of the window controls back to
> "menu:minimize,maximize,close"
> https://bugs.launchpad.net/bugs/532633
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “light-themes” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: light-themes
>
> Please centre window title like in human theme and also order window
> controls in classic order on the right side (menu, minimize, maximize
> close).
>
> Thanks, Majo
>
> ------ WORKAROUND -----
> To revert to old layout, enter in terminal:
> $ gconftool-2 --set /apps/metacity/general/button_layout --type string
> "menu:minimize,maximize,close"
>
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/light-themes/+bug/532633/+subscribe
>

@Omer,

I really have to disagree. There are better ways to look different than to move a key user element. This was a foolish foolish move.

Ubuntu has done well for the last several years. This latest move is likely to push users back to Windows or to a different Linux distro.

While I agree that Ubuntu needs to be different from Windoze, this should NOT be accomplished by cloning Mac OS X.

MichaelSwengel (truesongtech) wrote :

For those wanting to change the button layout in 10.04, here's a way to do it

http://ubuntuforums.org/showthread.php?t=1429254

Let's hope the developers get smart and change it back before the final release.

Alvaro Kuolas (kuolas) wrote :

I hate the new theme, I hate the new GDM, I hate half baked "solutions" for the distro. Canonical is being too edgy on releases, that's the other extreme to debian (lagging a lot on releases for "stability").

I'm migrating to another distribution. This "bug" for me is closed.

Matthias Klumpp (ximion) wrote :

I dont't think the new button order is a good choice, it's the worst think the dx team could do cause of the things named above.
But I would understand if Canonical wouldn't change the buttons back, as the company sponsoring Ubuntu Canonical has every right to do so.
But there is one thing I really hate: The community ASKED Canonical to change the layout back, but they did not even COMMENT on the change. No member of the teams responsible for this change have commented on the bug report.
This is really disappointing. This behavior looks like Canonical does not care about the community, they do not even want to explain the changes they did.

Would someone of the dx-team be so nice to explain why the change was made and if there is a chance to change it back for the LTS?

Changed in metacity (Ubuntu):
status: New → Confirmed
Neil Broadley (scaine) wrote :

It's taken two years and 116 comments here (https://bugs.edge.launchpad.net/metacity/+bug/160311) to make absolutely no progress whatsoever. I doubt we'll be seeing this LTS with buttons on the right. Maybe the next LTS.

General "usability" in Ubuntu is pretty low and I think it's down to a complete lack of usability studies. If they /are/ performed, they're being done so privately and the results are remaining private. Until we can see the results of such a study, all we have is one person's opinions against another. And it sounds a lot like Mark's made up his mind on this one - given his comments and participation in this thread and the suspicious timing of this change (on the day of the UI freeze).

Bernhard (b.a.koenig) wrote :

If buttons remain on the left, we have to change a lot of community themes since their title bar is messed up now (title no longer centered) see screenshot. Is there a bug for this already or should I file a new one? It would definitely depend on this bug.

Bernhard (b.a.koenig) wrote :

If we're really going to run into a left/right schism, then this bug should be worth looking at: bug 533758.

Paul Sladen (sladen) on 2010-03-15
description: updated
Yann (lostec) wrote :

@Scaine: "it sounds a lot like Mark's made up his mind on this one - given his comments and participation in this thread and the suspicious timing of this change (on the day of the UI freeze)"

I agree with that:

If one's want to make sure... just send Mark S. an NMI playing with bug affectation!

As it seems a lot of people disagree with this change and the way it was done (when you want to fuck someone unwilling... take him by surprise...), up to quit Ubuntu... Taking the risk of being kicked from launchpad is no more a problem.

Maybe the "Steve Jobsite" should be considered a new illness, indeed!

Mitch Towner (kermiac) wrote :

@ Yann: To maintain a respectful atmosphere, please follow the code of conduct - http://www.ubuntu.com/community/conduct/ . Bug reports are handled by humans, the majority of whom are volunteers, so please bear this in mind. Please refrain from using such inappropriate language with Launchpad.

Yann (lostec) wrote :

Mitch: I'm sure individuals pushing this interface change, which imo does not respect users at all (aim and method/timing, see hereupper), have all signed this "code of conduct"...

Corollary: That's not a valid respect criteria... Maybe a bug report should be filled :o)

Sam Townsend (stownsend42) wrote :

I have totally fixed this problem in my PPA: https://launchpad.net/~stownsend42/+archive/light-themes

Make sure you log out and then log back in after installing my version of light-themes.

After that, your interface should look like this: http://img169.imageshack.us/img169/8910/screenshotxchatsomepers.png

Sam, thanks for making the PPA, and I encourage folks who prefer that
layout to use it, or to follow the instructions for setting the gconf
preference manually. It's great that you can do that.

The default position of the window controls will remain the left,
throughout beta1. We're interested in data which could influence the
ultimate decision. There are good reasons both for the change, and
against them, and ultimately the position will be decided based on what
we want to achieve over time.

Moving everything to the left opens up the space on the right nicely,
and I would like to experiment in 10.10 with some innovative options
there. It's much easier to do that if we make this change now. I
appreciate that it's an emotive subject, and apologise for the fact that
I haven't been responding in detail to every comment - I'm busy moving
house this week. But the design team is well aware of the controversy,
your (polite) comments and more importantly *data* are very welcome and
will help make the best decision.

When we have a celebrity bug report like this, it's a real exercise for
our values of communication, civility, and ubuntu. Thank you to those
who have pointed to the code of conduct when things get heated. And
thanks even more to those who FELT heated but didn't let it show :-)

Mark

Thanks Mark! This statement was exactly what I wanted to hear. (I'll definitely not change back from Ubuntu, no matter were the buttons are :-P)

description: updated
description: updated
Mark Appier (appier) wrote :

Thank you Mark! In a school environment, we tend to adopt the LTS release and keep it until a few months (read: summer break) after the next LTS is released. So, for now, any computers with the new LTS distribution here will feature buttons on the right for the sake of consistency.

However, that does not mean I am against buttons on the left if there is something constructively occupying space on the right--nor do I mind providing support for our "less computer savvy users" if this means additional functionality. Changing the buttons now to transition users before adding new functionality in 10.10 makes sense. For now, though, I plan to wait to transition my users at a more opportune time.

Again, thank you for all that you do. It is appreciated!

Mark Appier

KSSG (kssg) wrote :

@Mark
I think this is a very sensitive decision to take in a LTS release, considering how many users are unable/unwilling to learn how to change it. It will create that kind of frustration that is not critical but enough to create "hatred" to the brand. There are already several shortcomings/papercuts annoying non-technical users and this will be a big one. If the geek friend/employee is not there to fix it, the amount of complaints will be very big.
Also, I would like to hear real explanations on the "good reasons" for the change. So far it seems just a mere "let's be different" decision. As for the usability behind it...well, you are just ignoring the usability studies that put the close buttons on the corners in the first place.

Let's be clear, this decision doesn't affect ME, I am a KDE user and I am able to modify a simple theme. And as me, most of the concerned users here. But the problem is, as always, the masses. Ubuntu often gets installed by "the geek friend" to the "average Joe"....think of the geek friends everywhere ;) We are worrying about the reaction of the masses because it will ultimately influence Ubuntu's view to the world. Whiners make much more noise than satisfied customers.

Also, gconf is as valid as workaround as the registry is in Windows. It's an unfriendly, crude app that just works, and mistakes on it require fixing beyond the abilities of an Average Joe. Consider that as well if you want to go forward. Maybe you should go "browser ballot screen" on the users to give them a choice before starting.

But the biggest problem here is the feeling of our calls for sanity seeming to fall in deaf ears. This is like a poker bluff. Be really sure you got good cards, or you might lose brand credibility and be labeled as just another evil megacorp. Once you get the stigma, you'll be forever evil even if you just make one mistake.

Mark, as much as I appreciate the response, it would be interesting (and would allow more constructive discussions) if it was a little less vague. Do sketches (even very rough ones) of new ideas for the right side already exist? Or possibilities for the right side will be thought only *after* the results of this experiment are obtained?

I'm asking this because there wasn't any argument given in favor of the change (at least not officially) before your post, and now those "future possibilities" seem to be the first one. One has to wonder if they are the only one.

So please, if possible, can you list some concrete, non-vague arguments in favor of the left side? Not responses to the arguments against (easy to adapt, easy to revert, etc.), I mean pure arguments in favor (ex: "we did usability studies and the efficiency of having all clickable things on the same side outweighted the risk of accidental clicking").

At the very least, isn't it possible that you could give an official statement declaring once and for all that future possibilities for the right side are the main reason, if that's the case?

Ben Romer (bromer) wrote :

So in the *ahem* "light" of this declaration, should we file bugs for applications that do not consistently follow the "close goes on the left" style within closable UI elements like tabs - for instance, Nautilus (both in the sidebar and the file manager tabs) and Firefox? Shouldn't these apps be patched so to respect the window manager's preference?

There is poll data available: The Ubuntu Forums have a poll (http://ubuntuforums.org/showthread.php?t=1422422) where 76% prefer the right side, and OMG Ubuntu has a similar poll (http://www.omgubuntu.co.uk/2010/03/poll-do-you-want-ubuntu-window-controls.html) with their readers preferring 79% to the right. Ubuntu Brainstorm has this issue as the #1 item with 611 votes for the right side versus -11 for the left (http://brainstorm.ubuntu.com/idea/23899/).

Jim Rorie (jfrorie) wrote :

> Moving everything to the left opens up the space on the right nicely, and
>I would like to experiment in 10.10 with some innovative options
> there.

Then the best solution would be to introduce the right/left change when you have implemented that technology. That way, the user can weigh the benefits of the new technology and the learning curve. As it stands, it appears capricious to many without the associated benefit.

Asif Youssuff (yoasif) wrote :

Unlike many here, I don't have a huge issue with moving the window controls to the left side -- like many, I was relieved that the change is planned only for the light themes, although all other themes are currently broken.

However, even given that, the control order is odd. Again, unlike many here, I don't have an issue with the "Mac style" -- but currently, it isn't even done in the Mac OS X style. If we do want to move the controls to the left, I think it would be best to match the control order in Mac OS X, not only for familiarity (which is a reason given to keep controls on the right), but also because we aren't really certain (without given usability studies) of whether the new layout, which is different from all mainstream environments (including GNOME and KDE) is actually better, and whether this "better" is worth re-learning to be different.

I propose that if we are going to move the controls to the left, that we ought to give careful consideration to simply using the already familiar control order from Mac OS X -- to do otherwise should be backed up by some rationale, at the very least.

Placing more controls on the right is interesting, but doesn't change the problem that having a strange order (to all users) of controls gives. If we must have them on the left, can we at least go for some familiarity?

magneze (jeff-magneze) wrote :

It's nice to get some comeback on this, but we still don't understand the reasoning behind the decision. If there is stuff coming in 10.10 that might necessitate moving the buttons, and you can't tell what they are - fair enough, but why not make the change in 10.10!

The usability _is_ impaired with this change. I've made this comment in a few places and I'll make it again. Compatibility - users ought to be able to use knowledge gained from other systems, the positioning and layout are like nothing else so this usability quality is violated. Coherence - Firefox, Nautilus and I daresay other applications all have close on the right.

I stuck with the new layout until tonight. I had to change back it just wasn't working for me.

How about this - use the massive interest in this issue to get some people interested in doing proper usability tests with a view to changing things in 10.10 if that's what the testing indicates would be best.

Paul Sladen (sladen) on 2010-03-15
description: updated
Pablo Quirós (polmac1985) wrote :

"Moving everything to the left opens up the space on the right nicely,
and I would like to experiment in 10.10 with some innovative options
there. It's much easier to do that if we make this change now."

It'd have been nice if this comment had been made some time ago, together with a deep reasoning on the concrete changes that are in mind.

We are supposed to be a community, we all use Ubuntu and contribute to it, and we deserve some respect regarding these kind of decisions. We all make Ubuntu together, or is it a big lie? If you want to tell us that we are all part of it, we want information, and we want our opinion to be decisive.

I'm talking about polls where only 10% of the people wants this change. And I'm talking about the secrecy on the reasons and the future UI plans for Ubuntu, which will deeply affect all of us. We want to take part of it, and we are excluded, as we were in the new branding design. I've seen lots of proposals for new brandings and themes over these years (been using ubuntu since Warty indeed), some of them really good, and most of them going nowhere. There is talent in the community. But someone decided then that it wasn't what we needed, that we needed no change. And now, someone has decided that it is the moment, now we need a change, but without our contribution, without our opinion. Without us.

If we are working together, if this is *really* a community, there are a few things wrong here.

Jeff Schroeder (sejeff) wrote :

Non-troll comment for sabdfl or the canonical design team. As a Lucid tester, how will you get "data" on me as a single user changing back to the more sane (imo) right side default? Seriously, is there a button that says, "Send button position gconf data to canonical"? I'll click it if there is one, but think there isn't.

If not, how are you supposed to know how many people are reverting this user interface experiment to the upstream default button position? What determines whether this change was a success or not? ie: Ok threshhold xxx has been met so we should revert this change for the next beta? I'm very interested to know.

Thanks and keep up the good work! Lucid is the best release yet.

The biggest issue with this left/right positioniong is consistency. Other applications have already be mentioned. But there is also Ubuntu Netbook Remix. When one maximizes a window, the close button is on the right hand side again. That's very confusing.

So, if the controls are to remain on the left, then the UNR titlebar in the panel has to be changed as well, to have its close button on the left side (and maybe the unmaximize and minimize buttons should be added, and the look should be adjusted to that of the theme).

Yann (lostec) wrote :

"Moving everything to the left opens up the space on the right nicely"

Well... but my mouse pointer default position, when "idle", is on the right... I think that's the same for almost every right handed people I observe!

Is this only valid for right handed side of the population? Not sure: Most of them also read left to right... and expect ending lines and closing facts to be there.

Maybe this setup should be users's choice in accessibility items like mouse buttons reversal and so on... and everyone depending on it's preferences, right or left handed, reading the occidental or arabic way... could make HIS decision.

And that would be the right (huh!) rmethod even if this kind of users respect is not in the bible-code. Let's let the "inconditionnal respect of the guru way" be Apple's code of conduct, not Ubuntu's one.

That's my last words on this subject: IMO no more data are needed, every biggest concerns have already been explained several times.

If this is maintained without user easy user choice (maybe a choice screen at install could be added, and choice statistics recorded and default changed in future versions only if I'm wrong), that will be a political decision and there is imo no more to do... But I can hear Steve Ballmer laughing from 9000km.

John McGuckian (jaymac) wrote :

Whatever Mark has got up his sleeve, I think it's a very bad decision to partially implement it in an LTS release. A lot of the user-base (read: non-geek users) will be using this release until the next LTS in 2012. Where is the logic in leaving them stuck with a partially implemented feature for this length of time?

From the LTS wiki:
> We are more conservative in our package merge with Debian, auto-synching with Debian testing, instead of Debian unstable.
> We start stabilizing the release early by significantly limiting the number of new features. We will choose which features we package into the LTS release, versus which ones we leave out and allow for users to optionally download and use from a separate archive.
> Avoid structural changes as far as possible, such as changing the default set of applications, lots of library transitions, or system layer changes (example: introducing KMS or hal → DeviceKit would not have been appropriate changes in a LTS).

Change it in 10.10 Alpha 1 if you want time to gather data and feedback.

belovedmonster (jd-hartland) wrote :

Regarding Shuttleworth's hints of new features using the right corner coming in 10.10...

I've generally supported all the choices to use incomplete features and software in the past, as I've seen the need for things to be given time to bed in before the next LTS (empathy and software centre being prime examples), but to move the window controls now just because in the LTS +1 you want to experiment with stuff in the right corner... I just don't buy that as an argument.

Your LTS is supposed to be your flagship product that people will want to run for multiple years. In a way your regular 6 month releases are all effectively beta releases for the LTS, since installing an LTS defaults to wanting to only upgrade to the next LTS. So why potentially spoil the LTS in order to facilitate an experiment in what is effectively a beta release. It just doesn't make sense.

If the LTS release actually does its job right, and gives people a great OS that they will want to use for multiple years, then that means people won't even see these new amazing right corner features for YEARS. Imagine explaining that to someone...

"In case you are wondering why the window controls are in the left, well its because 2 years from now you will be able to use new features in the right corner. Cool huh?"

No. No its not.

Fabio Bossi (fabio-bossi) wrote :

I have nothing against buttons on the left side. What I find really odd is their order: the most frequently used ones should be in the more accessible positions, so I'm quite sure that the close button should be in the corner.

Alessandro Ranaldi (ciaolo) wrote :

Something will be implemented on the right side of the windows in the future.

Let's suppose that it will happen during 10.10 development.

I think that there are two possibilities.

1 - Both RC and final releases of Lucid will have the buttons on the right. This alpha3-beta1-beta2 phase is used to experiment the new position of the buttons. This position will be back early in 10.10 development, and we will see the new functions on the right side of the windows then.

2 - Lucid is released with the buttons on the left-side, and eventually it will have the new functions on the right side (10.04.2 maybe).

I don't know wich would be the best, because I don't know the new functions.

meborc (meborc) wrote :

Mark - how about you moving the exiting new stuff you are going to implement to the left side, and leaving buttons to the right? :) or is the menu going to be the obstacle then?

Why is the right upper corner so important? I guess it has something to do with the indication pop-ups. But LOWER right corner is also a nice place to put stuff, so you could leave the buttons on the right side and implement the new stuff in the lower right corner.

Sorry if this has suggested earlier, too many comments to dig through

Kazade (kazade) wrote :

Mark, I appreciate you commenting on this issue. Might I suggest that if you do want to relocate the controls to the left hand side consider at least leaving the close button on the right for this LTS release - for consistency (pretty much all tabs, multiple document interfaces etc. have the close on the right and it's quite late in the cycle to try patching everything from Ooo to Firefox to Nautilus etc.)

This is also what Ivanka suggested, and I came up with the same solution when I tried to work out where I'd put the buttons ( http://kazade.livejournal.com/4695.html ). After using it a while it's quite a nice solution, it also looks consistent between windows with all buttons and dialog/toolbox windows that only have a close button.

Next release you could then move the close button across to the left if that is what is required, but it's worth noting that if the buttons are on the left they will be directly under the hoverable "Activities" button in gnome-shell. As we don't completely know what Gnome 3 is going to bring I think making this change in an LTS, which you may need to revert, might not be the best idea.

Diff Handy (ubuntu-verbena) wrote :

2c

I decided to stick with the buttons on the left after the change, to see how it worked out for me. I'm still getting used to it but having the maximise to far left, I find useful, it's the easiest to locate and the button I use most. I've noticed that I don't (or haven't so far) closed any windows by mistake - conversely it's harder to close windows when I want to. Again, I'm still in the mode of learning the new position and though I no longer go over to the right with my pointer, the button order is still something I have to look at.

From an aesthetic point of view, I find the menu and control clumping to the left to be slightly too busy and have found the space on the right being blank to emphasise this. There appears to be a plan for this though so maybe it'll even out the look. Overall the Ambience and Radiance themes are really very nice. Radiance seems particularly well done in comparison to a number of other dark themes I've used. The palette in Ambience seems to work well.

People don't like change, I guess. It'll be interesting to see the reaction to Gnome Shell.

This change does not really affect me, the only thing I find wrong with this
decision is that ubuntu users where not told about any of the changes which
would happen, and had to find it out themselves from the alpha release :(

On 16 March 2010 09:52, meborc <email address hidden> wrote:

> Mark - how about you moving the exiting new stuff you are going to
> implement to the left side, and leaving buttons to the right? :) or is
> the menu going to be the obstacle then?
>
> Why is the right upper corner so important? I guess it has something to
> do with the indication pop-ups. But LOWER right corner is also a nice
> place to put stuff, so you could leave the buttons on the right side and
> implement the new stuff in the lower right corner.
>
> Sorry if this has suggested earlier, too many comments to dig through
>
> --
> [light-theme] please revert the order of the window controls back to
> "menu:minimize,maximize,close"
> https://bugs.launchpad.net/bugs/532633
> You received this bug notification because you are a member of Ubuntu
> Artwork Team, which is a direct subscriber.
>
> Status in “light-themes” package in Ubuntu: Triaged
> Status in “metacity” package in Ubuntu: Confirmed
>
> Bug description:
> Please centre the window title like in previous Human theme, and also
> re-order the window controls in classic order, positioned on the right side
> (menu - title - minimize, maximize close).
>
> ==== Workaround ====
> To revert to old layout, enter in terminal:
> $ gconftool-2 --set /apps/metacity/general/button_layout --type string
> "menu:minimize,maximize,close"
>
> --OR--
>
> Use this PPA: https://launchpad.net/~stownsend42/+archive/light-themes<https://launchpad.net/%7Estownsend42/+archive/light-themes>
> This option will also fix the graphical appearance of the buttons.
>
> ==== Overview ====
> Canonical design team leader - "Those pesky buttons" - 2010-03-10
> http://www.ivankamajic.com/?p=281
>
> Mark Shuttleworth's reply (on this bug report) - 2010-03-15
>
> https://bugs.launchpad.net/ubuntu/+source/light-themes/+bug/532633/comments/110
>
>
>
>

--
--Louis Taylor--
http://louistaylor.wordpress.com/

Mark your answer makes no sense at all. IF you decide to add something new on the right side in 10.10, then switch the buttons in 10.10, and people will get use to that much quicker, 'cause they will see WHY you did that. If the change is in 10.04, it will just look like a nonsense decision, but it actually IS nonsense.

Do you really think people can better get used to something that isn't there and makes their life harder, than actually seeing why the change is there? I don't need 6 months to get used to something useful, nobody does. If the change has a sense, you get used in a day. But it 10.04 it has no sense, at all.

Alvaro Kuolas (kuolas) wrote :

I was thinking the same as Diff Handy: What will be of Gnome Shell? All this works would be on vain because Gnome 3.0 it's at the corner. For my part I really love the standard Gnome 2.28, and I've used Windows, KDE2, KDE3 and Gnome 1. I must say the Gnome "classical" interface is the best there is (resembling the old MacOS Classic). I don't like this layout, and I don't like the Gnome Shell.

That's why in the GNU/Linux world we have choice... and so many desktops systems.

fewt (andrew-wyatt) wrote :

"The default position of the window controls will remain the left,
throughout beta1. We're interested in data which could influence the
ultimate decision. There are good reasons both for the change, and
against them, and ultimately the position will be decided based on what
we want to achieve over time."

What are these reasons you are aluding to? Don't you think that impacting your entire community requires an actual explanation? You owe it to your community to not leave them in the dark about force feeding gigantic user impacting changes such as this.

"Moving everything to the left opens up the space on the right nicely,
and I would like to experiment in 10.10 with some innovative options
there. It's much easier to do that if we make this change now. I
appreciate that it's an emotive subject, and apologise for the fact that
I haven't been responding in detail to every comment - I'm busy moving
house this week. But the design team is well aware of the controversy,
your (polite) comments and more importantly *data* are very welcome and
will help make the best decision."

This is a very silly argument, and I really struggle to believe that you wrote this. Leaving everything on the right opens the space to the left just as well, so this explanation for this change makes absolutely no logical sense. Why can't Canonical / Ubuntu team experiment with the space on the left? I don't really see any actual value in the decision or your statement here in support of it.

"When we have a celebrity bug report like this, it's a real exercise for
our values of communication, civility, and ubuntu. Thank you to those
who have pointed to the code of conduct when things get heated. And
thanks even more to those who FELT heated but didn't let it show :-)"

You shouldn't need "celebrity bug reports" because you should be working with the community and making sure they are aware of and approve of changes like this. Have you forgotten that Ubuntu is supposed to be a community distribution, because at face value it seems you have.

I suppose you and canonical will do whatever it is you want to do with this, but just remember that the community asked you to leave it alone and you and your company chose to ignore them.

Thanks for reading.

-Fewt

John Vivirito (gnomefreak) wrote :

I'm getting the feeling that most on this bug report did not read Marks full comments.
He states in comment 110
" The default position of the window controls will remain the left,
throughout beta1."
He and other Ubuntu devs had said this is the way its going to be and no changes are considered at this time.
I am against moving them to the left side. There are a lot more right handed people than left handed. I don't recall the percentage facts but i think left ==12% but don't recall.
I also suggest that being civil is the best way to suggest change or not. I have seen a few or more posts that are "heated" and this is not the best way to get something changed/not changed.

Hm, I am left-handed but I cannot use the window controls on the left side - it is just weird and extremely awkward even for a left-handed guy..
Cheers, Eddie

JasonBurns (47-m450n-47) wrote :

The buttons definitely need to stay on the right, or at least have an option to switch between instead of just changing your theme. I have to use Windows at work and have to use it for a lot of games and such. Switching between where my window controls are in each OS will suck. PLEASE keep the controls on the right!

two things:

1. i'm left handed and driving the mouse with the right hand, i think lots of left-handed people do that

2. this will make wine applications look even more out of place, also chrome has the problem. for wine i think it's more or less unfixable. but i understand that wine is not really a high priority for canonical.

(ok it seems wine can use standard window titlebar nowadays so i take that back...)

theres no need to change the buttons to the left until 10.10. For God's sake - it's an LTS release, not an experimental joke.

Bálint Magyar (balintm) wrote :

"Moving everything to the left opens up the space on the right nicely,
and I would like to experiment in 10.10 with some innovative options
there."
— Mark Shuttleworth
Is the plan to move windows' menus and then most menubars away from right under the close button? Even then, in my opinion this experiment's results are worthless without some real statistical data regarding participants' mouse pointer movements before AND after the titlebar change.

Bálint Magyar (balintm) wrote :

I agree that this is a great communicational challenge though. :)

maxstirner (philipp-d) wrote :

As far as I understand this was all under wraps right up to the freeze - zero user consultation.

What happened to consistency? Perhaps one should focus on getting the desktop experience nice and solid instead of changing the desktop search engine, messaging client, window buttons, photo manager, music manager, and background image every single time.

Thanks for your attention

magneze (jeff-magneze) wrote :

Mark mentions data collection - is there somewhere central where this is happening? There is data already spread all over various forums, blogs etc

scholli (scholli-tz) wrote :

I am agree with that decision what Canonical took. I noticed I am faster with the left-option (mouseway) and it's really nice looking. Why I didn't noticed it before? But true, it's really better. Now we know too that it was made for a special reason... so I am ignoring all words against and hope the first plan can continuing straight.

justmy2cents

Tralalalala (tralalalala) wrote :

This "bug" desn't affect me at all. Actually, this "bug" makes me very happy.

I use Mac OS X a lot, so I'm used to having these buttons on the left side. I also use Ubuntu and I always change the layout so the buttons are on the left side in my Ubuntu-installs. I only use Mac OS X and Ubuntu (with Ubuntu having these buttons on the left), but I don't use Windows at all, so I'm completely used to having these buttons on the left.

Why are there so many people who don't want to have these buttons on the left? Just use it for a few weeks and you're completely used to having the buttons on the left.

Why should these buttons have to be on the right? Why should Ubuntu be like Windows? Why should it be wrong to place the buttons on the left side like on Mac OS X. I'm really happy the appearance of Ubuntu is more and more changing to the appearance of Mac OS X, instead of the appearance of Windows.

Moving the buttons from the right side to the left side was a great decission and I really hope it won't be changed back, because of the negative comments. Those who are complaining just have to try it a few weeks and they'll be completely used to having the controls on the left side. Please Canonical, just release Ubuntu 10.04 and the future releases with the buttons on the left.

Tralalalala (tralalalala) wrote :

Emmanuel Touzery wrote 7 hours ago:
"1. i'm left handed and driving the mouse with the right hand, i think lots of left-handed people do that

2. this will make wine applications look even more out of place, also chrome has the problem. for wine i think it's more or less unfixable. but i understand that wine is not really a high priority for canonical."

1. Completely offtopic: I'm right handed, but half of the time I'm driving the mouse with the left hand. I can use a mouse with my right hand and with my left hand, so to prevent me from getting RSI, I drive the mouse with my right hand for a few hours and then drive the mouse with my left hand.

2. Google Chrome is no problem. You can configure Google Chrome to use the title bar of the window manager, instead of it's own title bar. It's in the preferences, under the tab called Personal (or something like that).
WINE shouldn't be of any priority. Yes, I'm completely against the use of WINE, but that's completely offtopic.

James Schriver (dashua) wrote :

Now this revelation I've found to be intriguing. I spoke of muscle memory before in my previous comment having using operating systems with the controls always on the right Min > Max > Close.

I have been using Lucid with the metacity changes for almost two weeks. Now, while at work using Windows based machines, I have found myself consistently moving the mouse to the upper left instead of the right. The arguments of trained behaviour are quickly over turned, at least in my case. I have also not received any complaints from my wife, 16, 10, and 8 year old daughters. Old habits can be broken relatively fast. Thanks again and it's a much welcomed change.

Jon Ogilvie (svtdragon) wrote :

I wanted to throw my voice out there as one saying "not in an LTS".

This was an unexpected change which I promptly reverted.

To reply to #146, the issue is not being like Mac or Windows (though if I had to pick, I'd pick Windows because it makes evangelism easier--much larger base of Windows users to convert) so much as it is being like Ubuntu. And previous versions of Ubuntu have not been like this. In the past few releases, I've seen unjustified, abrupt, and awkward changes in common workflows like shutting down the system (removing the shutdown option from the System menu), restarting X (the removal of Ctrl+Alt+Backspace functionality), and now window manipulation. Because of the former I've now installed Mint's menu because I couldn't find a way to change it back. And, again, I promptly reverted the latter.

All of these changes have yielded no discernible usability gain, and as a commenter above said, to make a change in the most common of users' workflows requires not just a good reason but a great one. There has to be some tangible benefit.

If this change makes another later one easier, do them both at the same time so we can see what the grand scheme is. Otherwise it's just an unwanted interruption and another thing to learn for those of us stuck in a Windows [corporate] world by day. I suspect this change alone might lead people to check out Mint if implemented in the final release of Lucid.

"Why should it be wrong to place the buttons on the left side like on Mac OS X."

It isn't on the left side like Mac OS X. It's on the left side unlike Mac OS X.

Here are some key differences:

* On Mac OS X, the close button is still the outside button, even though the controls are on the left.

* Mac OS X has always had controls on the left. They didn't suddenly move there in Snow Leopard.

* Mac OS X has a universal toolbar, so the window controls aren't bunched up with the menu items.

It's not just about right v. left. It's about an arbitrary change midstream that has no benefit. It's about OS X having other design decisions (not implemented in Lucid) that make a left-side control work.

heian (heian12) wrote :

Hi,

I strongly disagree with this change in ubuntu 10.04.

Most of the time i use windows at work.
It will be very confusing to see the three controls on the left, and the
next day on the right and so on.

The more ubuntu looks like windows, the more (new) people will give it
a try.

In my opinion, this is a very, very bad move.....

heian

Loop (matt-theworldtree) wrote :

I don't think anyone's purposes are served by approaching this as an "or" question and dwelling on personal and pseudo-logical reasons for supporting one form or another. Some people like the previous Windows-style setup; others are fond of the left, OSX-like orientation.

As we've seen from the workaround, this issue can be addressed and changed very simply with the modification of a single key. Why not simply make this an option, just a radio button in the course of the setup or even upgrade procedures? The customizability is, itself, a selling point, a point of differentiation for Ubuntu as compared to other OSes.

This shouldn't be "LEFT BAD, RIGHT GOOD" or vice versa- just give the end user the *option* of how they want their UI to work, and don't change that default without consulting the user. As Google so recently learned (Buzz...), it's far better to allow users the option to Opt-In to new or changed functionality than to make assumptions.

"I don't think anyone's purposes are served by approaching this as an 'or' question and dwelling on personal and pseudo-logical reasons for supporting one form or another. Some people like the previous Windows-style setup; others are fond of the left, OSX-like orientation."

Well, as I explained before, the left orientation is not OS X-like. It's not just a simple matter of left and right, not to mention the button order is all messed up.

"As we've seen from the workaround, this issue can be addressed and changed very simply with the modification of a single key. Why not simply make this an option, just a radio button in the course of the setup or even upgrade procedures? The customizability is, itself, a selling point, a point of differentiation for Ubuntu as compared to other OSes."

Ubuntu is supposed to have one application per task and, more importantly, sane defaults. Yes, customizability is part of the appeal of a Linux distro, but the sane defaults should also be a selling point. So, yeah, put the controls back on the right as they were and then have a simple radio button for people who want it on the left to put it on the left.

>
> Ubuntu is supposed to have one application per task and, more
> importantly, sane defaults. Yes, customizability is part of the appeal
> of a Linux distro, but the sane defaults should also be a selling point.
> So, yeah, put the controls back on the right as they were and then have
> a simple radio button for people who want it on the left to put it on
> the left.

I agree (well, I always agree with the aysiu :D).

I like the rationale behind the new position of buttons. In fact, I prefer
it over the conventional one. However, many people won't. Many can say that
it's not so hard to learn, but people still freak out. When a new user
debates with himself whether or not he's going to keep using Ubuntu, he may
even consider the window button order as a factor for deciding.

UX wise, the new window button order may be best for people who aren't used
to any window button order. However, the small UX benefits of this new
window button order may not justify the bad press Ubuntu is going to get
because of this.

#150:

Ubuntu is Ubuntu. It isn't a Mac-OS and it isn't a Windows-OS. It hasn't to be similiar with any Operating Systems like Android, Win, Mac, BeOs, ... The most Peoples comes from Windows and if it isn't the same they will return to Windows is a bad and old argument. If I install another OS I know that have to be different... if I start my Computer and it's only Ubuntu installed or I choose it with Grub, so I know that I am starting a own-kind-working Operating System. We talk only about the buttons, but Gnome is different in behavior, like Mac, Windows, KDE etc. haves different functionalities in their usabilities-mechanisms. The arguments against that try to be reasonable, but in the end they aren't. Nobody says that Gimp has to work similar as PhotoShop, because in his work he is working with it. Linux (Gnome) is different to the rest and Ubuntu a little more... but that is not a bug, it's a pretty nice feature! ,)

Well the situation is obvious. The community has in these bugreports
responded with a lot of valid arguments with pros and cons on an
unannounced and appearently irreversible issue. Canonical until now
stated vary vague that it has to do with some experiments due for Ubuntu
10.10. So on this day March 17th 2010 we all might know where we stand.

Besides that, the community that has responded is not a representative
cross-cut of all Ubuntu users. So I fear the chain reaction after April
forthcoming. How many common Ubuntu users are there working with Windows
as well? How many Ubuntu users do not have a steep learning curve?
Ubuntu was promoted with "Ubuntu for everyone" and it was!

What I sadly see in this moment is this. Lucid testers already
frustrated about the stability of the current Alpha3 ("the worst Ubuntu
Alpha3 in years") now aware that 10.04 will be an experimental LTS will
end their efforts with testing and bug reporting. So the "going down"
has begun.

Hello.
With the buttons to the left I see 2 main problems:
1 .- You can close / minimize / maximize when you really wanted click into the menu.
2 .- The window has too much "weight" of objects in his left, and nothing on your right. I do not see the window compensated.

As Mark says, if you foresee an innovative use this area to the right, then I prefer the buttons on the left, in other case, not.
A greeting.

I think this bug report outlived its usefulness. It seems (sadly) that no more information will be given from the developer side and the state can be considered "won't fix" (for better or for worse).

Furthermore, new people arriving here will (understandably) have no patience to read the entire thread and just repeat arguments that were previously said before.

I think it would be better to move further discussions and request for info to mailing lists and reopen this bug only when the situation has changed at least a little bit (ex: further changes in the position or some new, concrete info about the mysterious possibilities for the right side).

I think the only thing that is keeping this report alive is the hope that Mark might appear once again.

scholli (scholli-tz) wrote :

What really sad is, is the fact that peoples won't changes. For example in my country (Germany) there are many peoples they don't like changes in customs... they don't like new versions of programs or new versions of an OS. For that reason still are many peoples who still uses Windows XP and Internet Explorer 6. But think about that it's a absolutely nonsense.
If the buttons are on the right or on the left, the most persons still stay with XP or old versions of Ubuntu etc. Newcomers don't watch there the buttons are, they look more if their hardware runs out the box or they can be satisfied with offered applications ... all escorted with a good stability. ... we put so much importance in something what is quite irrelevant in the end.

# 155:
I am running Alpha 3 and it's very good for be an Alpha. I really don't know what that "going down" means? It's the best Ubuntu I have seen right now. ;)

"I would like to experiment in 10.10 with some innovative options there"

it's been 1 day using the left design buttons order, and it have been terrible (and i'm not a newbie). it would be easier to get use to it if the pain of making this change would give me something in exchange.

i mean, if i got new functionalities or make my life easier, or at least know when and how would i be benefit from it, then the change would be reasonable.

change it just for "experiment" make no sense to me.

scholli (scholli-tz) wrote :

# 158: I thought only loud; but my opinion is without analytic base and yes, for many peoples it's relevant, probably, and I have to respect it. Sorry for speaking loud my emotions and thinkings at that moment.

James P. Carter (jpcarter) wrote :

Having the buttons on the left is not just aesthetic it is a functional flaw... I attempt to click on File or Edit and accidentally close a window I am working in. Ubuntu is for humans not geeks... correct? Why would a functional change such as this be kicked down? Why would it be automatic. Will the gconf fix work going forward or will another subsequent update revert the style back? I do believe reading through the comments that the users do not like the change. This is X not Mac.

Aside from that if the attempt was to make it Mac-ish the order on a Mac is close:minimize:maximize
(looking at my mac)

I've been working with linux since 1996... I love linux distros because they are different. I love them because you can customize. I love Ubuntu because over the years working with other distros I have learned much but do not want to 'have' to customize for a functional system. Please do not break the UI.

I know to some it may seem a 'very' small issue but some of us have grown very frustrated with the location of the window buttons. I did just now (I was waiting for the official fix) use the gconf fix posted earlier, thank you for that. Again, I am using Ubuntu so I do not have to customize for a well configured and functional system.

It works out of the box. Which is perhaps a major factor for enterprise acceptance. In the enterprise this item will most likely get reverted... so... I leave it in your capable hands.

Alvaro Kuolas (kuolas) wrote :

I believe that more is less and less is more.

If we clutter the Right and Left with unnecessary buttons... we are doomed. Most of Ubuntu changes doesn't comply with the Gnome HIG. If Canonical want's to in roads with the UI and "human" interfaces it going to be vital to adhere to the Gnome HIG or, in the worst case, write it's own.

I only see chaos in the latest lucid UI, the touchpad middle click problem, the light-theme lack of contrast, OSD notify behavior, the new GDM with lack of customization and now this... the windows control disorder. All of this are good on paper (I really liked it on the blueprints) but half baked on the current release.

nick (swcodfather) wrote :

I can't believe people are getting so uptight about this. I switched my 9.10 box to use the latest themes that will go into Lucid and then switched the buttons to the left. Must have taken me all of about ten minutes to get used to them, and I have been using Gnome for nearly a decade. I really like them on the left, they work well, and I agree they do leave a lot more room on the right to do something with.

If you are really that bothered about it , it takes about two seconds to switch them the right.

Keep them on the left, I like the change.

Nick

Well, now I've switched to AwesomeWM and I no longer have any buttons. Are you really intending to make Ubuntu an OS for geeks like me?;)

Neil Broadley (scaine) wrote :

Nick, if you like them on the, you should change them to the left. But /by default/ these buttons should be on the right for the many, many reasons already discussed on Brainstorm, Planet Ubuntu, Ubuntuforums and this very bug report.

Ubuntu. Linux for human beings. I hope that remains the case, despite reports like this one. Funnily enough, I notice that this particular slogan is no longer present on the Ubuntu.com website.

Coz (cosimo321) wrote :

Hey guys,
 Well this is just another , friendly . complaint about the buttons on the left of the window title bar!!
I would like to preface this with the statement made by mark shuttleworth:

"Moving everything to the left opens up the space on the right nicely"

 Mr. Shuttleworth...with all due respect..that statement is a bit "wobbly-eyed" :)
moving the buttons left or right will open the opposite side of the title bar equally,, I see no advantage to opening the right side of the title bar over keeping the left side opened!
  Further more...I think it would be more appropriate to have a tick box...to change positions of the buttons...for left and right handed people... to have the buttons on the left for "suspicious æsthetic" reasons is no more than a lack of creativilty..
I say that because it has always been easy to switch locations of the buttons in gconf...at least as far as I can remember.
So the reasons for this are , at best, un-creative and kind of a smack in the face for those of us who have used gnome ... pronounced...."nome" with silent "G" by the way... for some time.
  I suggest ..again... a tick box or several options for buttons on the left...buttons on the right...and buttons in the center...
in fact a small grouping of options..easily accessible by the user to change locations of not only the buttons but also the title on the title bar itself.

coz

On 15/03/10 23:42, Pablo Quirós wrote:
> It'd have been nice if this comment had been made some time ago,
> together with a deep reasoning on the concrete changes that are in mind.
>
> We are supposed to be a community, we all use Ubuntu and contribute to
> it, and we deserve some respect regarding these kind of decisions. We
> all make Ubuntu together, or is it a big lie?

We all make Ubuntu, but we do not all make all of it. In other words, we
delegate well. We have a kernel team, and they make kernel decisions.
You don't get to make kernel decisions unless you're in that kernel
team. You can file bugs and comment, and engage, but you don't get to
second-guess their decisions. We have a security team. They get to make
decisions about security. You don't get to see a lot of what they see
unless you're on that team. We have processes to help make sure we're
doing a good job of delegation, but being an open community is not the
same as saying everybody has a say in everything.

This is a difference between Ubuntu and several other community
distributions. It may feel less democratic, but it's more meritocratic,
and most importantly it means (a) we should have the best people making
any given decision, and (b) it's worth investing your time to become the
best person to make certain decisions, because you should have that
competence recognised and rewarded with the freedom to make hard
decisions and not get second-guessed all the time.

It's fair comment that this was a big change, and landed without
warning. There aren't any good reasons for that, but it's also true that
no amount of warning would produce consensus about a decision like this.

> If you want to tell us
> that we are all part of it, we want information, and we want our opinion
> to be decisive.
>

No. This is not a democracy. Good feedback, good data, are welcome. But
we are not voting on design decisions.

Mark

"you don't get to second-guess their decisions"
"You don't get to see a lot of what they see unless you're on that team."
"being an open community is not the same as saying everybody has a say in everything."
"There aren't any good reasons for that"
"we are not voting on design decisions."

So, its your ball, it isn't a community ball and if we don't like it we shouldn't use your distribution because it belongs to you, your team, and no one else.

I get it now.

Thanks for the clarification, and all of these great one-liners.

Paolo Sammicheli (xdatap1) wrote :

I would like to add a feedback about the buttons on the left.

Everytime I look for close button on right and I have to force myself to find it in left position I feel an anti-instinctive feeling that make me sad. Really! When I revert it on right if feel better.

Just like that times I tryied to drive in London (I'm Italian). It's a disorienting feeling that you need a lot of training to get used to.

Probably with months of training I would get used to it, just like if I move in London after months I would get used to driving to the left.

But If I move in London I may find some benefit in driving so maybe the motivation could help in getting used to. I can hardly imagine at moment a motivation to force myself on using window button on left.

Regards

I don't think many people thought this was a vote. We're not voting, we're
complaining, in the only manner open to us as members of the community - in
a bug report. The problem is that no-one appears to be listening, despite
the excellent arguments against this decision.

And no-one has yet tried to counter those arguments. That's not good.

On 17 Mar 2010 22:34, "fewt" <email address hidden> wrote:

"you don't get to second-guess their decisions"

"You don't get to see a lot of what they see unless you're on that team."

"being an open community is not the same as saying everybody has a say in
everything."

"There aren't any good reasons for that"

"we are not voting on design decisions."
So, its your ball, it isn't a community ball and if we don't like it we
shouldn't use your distribution because it belongs to you, your team,
and no one else.

I get it now.

Thanks for the clarification, and all of these great one-liners.

--
[light-theme] please revert the order of the window controls back to
"menu:minimize,maximize,cl...

@fewt you're doing really play the surprised? McDonalds... you can let suggestions, feedbacks, reclamations. You go there to enjoy your hamburger, but you can't enter in the kitchen and fry your own hamburgers. You are not a kitchen-employee of that company. The same Canonical's product Ubuntu. The Ubuntu-community do a lot off stuff around that product... normally for the community than for Canonical. ,)

Scott M (me22-ca+ubuntu) wrote :

Does this even really help?

If I'm on the left side of the screen and really don't want to go all the way to the right, I can just click top-left, which gives me all of the options -- minimize, maximize, and close are there, as are a few not available on the right.

But why wouldn't I just go all the way to the right?

Slamming my mouse to the top-right is, after clicking where I already am, is the easiest possible actions for me to perform. (Fitts's Law, see http://www.asktog.com/columns/022DesignedToGiveFitts.html Question 3.)

Scott M (me22-ca+ubuntu) wrote :

To quote Mark: "it means (a) we should have the best people making any given decision" ... "the best person [...] should have that competence recognised and rewarded with the freedom to make hard decisions and not get second-guessed all the time."

You say yourself that you "should", not that you necessarily do. Perhaps the fact that your other teams do make their changes without getting such prominent push-back means that, just maybe, for this issue, you don't.

You're right; One project isn't a democracy. Popularity, though, by definition is. Is this issue more important than Bug #1?

I highly prefer keeping the old layout but if you insist on putting those buttons on the left side, at least use the same order as OSX does (close, minimize, maximize). Creating inconsistency is bad, mmkay?

It would also be nice if the graphics would not break no matter which order is used, but I guess the theme engine just doesn't allow this...

People wouldn't have to second-guess your decisions if you would simply explain the reasons for your decisions. A benevolent dictatorship goes so much better when you're transparent about the process and give rational explanations for decisions instead of just making arbitrary decisions that appear to have no usability benefits, letting the community scratch their heads and try to figure out what you were thinking, and then making vague references to wanting to experiment with the right side that gets freed up.

For more details on how you can not be a slave to the peanut gallery while also not experiencing this kind of unprecedented backlash with regard to your decisions, see this Ubuntu Forums thread post:
http://ubuntuforums.org/showthread.php?p=8978434#post8978434

I have been reading 100s of e-mails and shaking my head.

This "left, right buttons" issue is turning into a war over trifles.

The Ubuntu Developers have a right to develop Ubuntu anyway they like
(within reason).

YOU (plural) develop new themes and offer them to the users.

The users can make choices with their open-licensed *individual copy* of the
OS:

They can accept or reject any theme, any option, any choice on their own
private PCs.

There is no need to argue over individual tastes. - I like blue, you like
red, so, I make mine

blue, and you make yours red. - Ubuntu gives individuals the greatest amount
of choice of

most OSs. - I can compile my own kernel, I can create and alter themes,
boot-up,

wallpaper, screen-savers, etc., I can choose any of tens of thousands of
programs.

There are more options than most users know what to do with. -

Thank YOU for YOUR innovations and imaginations and YOUR Linux expertise!

Keep up the good work, and continue to offer us your best and newest art and
innovation.

It is YOUR right, after all, it is YOUR baby (as long as it does not turn
evil and hurts people -

leave that to Microsoft).

BavarianPH,
Ubuntu forever!

> ==== Workaround ====
> To revert to old layout, enter in terminal:
> $ gconftool-2 --set /apps/metacity/general/button_layout --type string
> "menu:minimize,maximize,close"
>
> Use this PPA: https://launchpad.net/~stownsend42/+archive/light-themes<https://launchpad.net/%7Estownsend42/+archive/light-themes>
> This option will also fix the graphical appearance of the buttons.
>
>
>

Dear Mr. Shuttleworth & Ubuntu design team:

Now that you've reminded us, the end users, of our proper place in the pecking order, I would respectfully request that you consider adding an easy way of changing the min/max/close buttons from the left back to the right. Perhaps by providing a simple radio button choice in the Appearance Preferences.

It may seem silly to argue this much over where those buttons are, but, I must say I've been dinking with computers for over 20 years, and have been pushing my mouse up to the right-hand corner of application windows to get to the min/max/close buttons for approximately the same amount of time. The cliche "I know it like the back of my hand" applies here. I'm simply not going to spend time adapting to a new way of doing things just because the design team of one "flavor" of one Linux distro thinks it looks good.

Nor do I want to futz around with gconf-editor or add a repository every time I install Ubuntu, just to get those buttons back to where I'm accustomed.

Why should you care? Only because I doubt I'm the only one who feels this way.

BadChoice (guitarboy000) wrote :

XDD I'm really impressed how this decision has made so many noise, they're are just buttons!! and can be changed!! so, where's the problem? that everybody is used to the buttons to the right?, well, everybody is used to other OS too

1. I agree in putting buttons to left, they're better when you're used to them (So you need to use them for a while)
2. Everybody can do what he wants, even change its position, so why bothering?

@aysiu

The problem with your Forums post is that it says "this is what really
happened" and is, in fact, quite incorrect.

Some members of the design team asked that the window controls be
grouped on the left, and presented the visualisation. So it wasn't that
I "prefer it that way". I didn't like it initially, anticipating that it
would generate a great deal of resistance. However, it does line things
up nicely for work I would like us to do in future. And the major
argument against it appears solely to be "we're used to it here", which
is important, but not overriding.

Mark

Mark Shuttleworth (sabdfl) wrote :

On 17/03/10 22:34, fewt wrote:
> "you don't get to second-guess their decisions"
> "You don't get to see a lot of what they see unless you're on that team."
> "being an open community is not the same as saying everybody has a say in everything."
> "There aren't any good reasons for that"
> "we are not voting on design decisions."
>
> So, its your ball, it isn't a community ball and if we don't like it we
> shouldn't use your distribution because it belongs to you, your team,
> and no one else.
>
> I get it now.
>
> Thanks for the clarification, and all of these great one-liners.
>

@fewt

There's a job waiting for you at a tabloid, if that's how you treat
commentary. Isolating snippets and using them out of context is just rude.

You can throw your toys out of the cot, but other than expressing a
personal preference, you haven't informed the discussion at all. Most
importantly, you do NOT have a say in *everything*. Anybody is welcome
to participate, and it's worth building a reputation for yourself as
being competent at something. If the community process *works*, that
competence will be rewarded with the ability to make tough decisions.

At the moment, your approach is not highlighting any particular
competence on your part, other than for aggressive and unhelpful
argument backed by a willingness to twist people's words - not something
we have a department for in Ubuntu.

Mark

I suggest one simple thing.
Move to another distribution if you don't like Mark/Canonnical's philosophy
GNU/Linux world is big enough to find the distribution that fit your needs.
Personally i don't find polite the way someone treated Mark (and at the same time Mark treated the community) but i don't use Ubuntu because Mark is a nice person.
I use Ubuntu because it rocks.
I will open gconf-editor, it's not a problem.

Paolo Filardi (paolofilardi) wrote :

I'd like to add just a simple thing:
it's not easy to make every user happy...
... yes but it seems that nobody's happy.. :-D

fewt (andrew-wyatt) wrote :

Hi Mark. I didn't take anything out of context, those were your words, I just put quotes around them to emphasize how ridiculous they were. If that's a problem maybe you shouldn't have said them.

As for personally attacking me, well I guess when you cannot win an argument on merit, go for the jugular, right?

As for not informing the discussion I believe someone who I don't know quoted me in comment #170, so there is something to chew on. Also I seem to remember making post 133 also.

As for my competence, I just thought it was worth mentioning here that your users are backlashing against your decision, but what the hell do I know I just work on the core team of a distribution that listens and adapts to direct input from its users. I am also not the one trying to make the case for moving window controls to the left of the screen just because I like it better that way.

Aggressive? FU. Wait, that's what you are telling your community.

Nice.

/unsubscribed and no longer wasting my time with this thread OR Ubuntu.

Your welcome.

Mark, I want to ask you: What is you vision about GnomeShell? It fit's
with what you are planing? Can we see blueprints of you plans?

At first I disliked the change, now I don't care. But I must say that I
hate half baked solutions... like the new GDM (you must admit it, the
default theme is horrid). I've seen lately (since Hardy) that Canonical
is pushing half made software in it's "sane default", in the hope that
more eyeballs would lead to acceptance and better software.

Alpha and Beta testers doesn't make better software, programers do.

The success of most of the greatest software protects is because of
programing skills and good taste. That's the example of the Linux kernel
witch is based on Linus taste.

On Thu, 2010-03-18 at 08:28 +0000, Mark Shuttleworth wrote:
> @aysiu
>
> The problem with your Forums post is that it says "this is what really
> happened" and is, in fact, quite incorrect.
>
> Some members of the design team asked that the window controls be
> grouped on the left, and presented the visualisation. So it wasn't that
> I "prefer it that way". I didn't like it initially, anticipating that it
> would generate a great deal of resistance. However, it does line things
> up nicely for work I would like us to do in future. And the major
> argument against it appears solely to be "we're used to it here", which
> is important, but not overriding.
>
> Mark
>

Yes, Mark: flamewars aside, please ensure buttons on the left are not turning into a nightmare when GNOME Shell is used. I can confirm that reaching e.g. the icon button in the left corner of a maximized window is very likely to lead you to hit the hot corner, especially on touchpads - and even for experienced people.

It's a common practice to move the cursor to the top right corner of the screen, and then move it down to the close button of a window, instead of fighting to reach it directly. This won't work when Ubuntu switches to GNOME Shell, and reverting this after Lucid would be too bad.

hills (hills) wrote :

Mark Shuttleworth:
> However, it does line things up nicely for work I would like us to do in future. And the major argument against it appears solely to be "we're used to it here", which is important, but not overriding.

There are many places in applications, like tabs and panels, where close buttons are on the right. Please consider Nautilus, Firefox, OpenOffice.org, all KDE applications. Consider also GNOME panel and GNOME Shell: left side for starting and opening, right side for closing session. The last sentence voices the mental model for all user interface.

This bug breaks user's habits, but also makes lack of cohesion in all user interface, so new habits will not revive.

Maybe Shuttleworth should let his Communitizer handle this, if he can't keep his cool among the very community he claims this purple OS is about? Very unbecoming to lose your temper like that. Even for a dictator.

This is a very simple matter of people who feel strongly against a change always seem to shout the loudest. I have the feeling that 99.9% of users dont feel strongly about this issue either way. That the .1% of people are just against change. Ive been using the buttons on the left side since the update of lucid a while back and it feels ok it takes about 15 minutes to get used to.

It makes sense to me that the top left hand side of the screen is to open and close apps and the top right of the screen is for my attention. So notifications are in that corner and so are the app indicators so I glance up there to check whats going on without having distractions like window management. So my immediate attention is drawn to that corner. So I like the controls on the left.

I remember more or less the same argument when Notify-OSD was put in the top right. They wanted it anywhere but there because it got in the way of the window controls and the searchbox in Firefox. Moving the window controls to the left and moving Notify-OSD slightly down fixed that complaint.

I think there will always be many chefs and not enough cooks.

Oh and just a note, quoting polls is completely useless because unless its taken from a controlled group the results are always biased. So if a random set of 100 people who use Ubuntu was polled it would be a lot more reliable than a quick question at the end of a blog post because the people who care about the issue most will always vote and most other who people who dont care wont.

dariocaruso (ing.gonzo) wrote :

@ Mark Shuttleworth

I'm happy to see how launchpad and canonical is open to personal
contribute, but it i don't understand what we can promote and what no.

We have for example ubuntu brainstorm, forum, and other ways to comment
your work, but please, you have to say at all community exactly what we can
say about the project and what we can do for canonical EXACTLY.

So if we only can release feedbacks and bugs report for canonical team without influence them, why we have to spend time to promote our ideas?

I'm happy that you Mark stay here to speak with us, but you have to clarify in every one canonical service where is the limit. And i'm talking about ubuntu brainstorming first of all.n say about the project and what we can do for canonical for

dariocaruso (ing.gonzo) wrote :

forget to say that Launchpad is a good way to integrate our support in development of application

"I have the feeling that 99.9% of users dont feel strongly about this issue either way."

"Oh and just a note, quoting polls is completely useless because unless its taken from a controlled group the results are always biased."

Are the poll results as biased as your "feelings", man? Comic stuff, that there. At least the community ran a poll. How about canonical?

Tell you what's going to happen over the next month or two. You'll have a huge portion, people like fewt and I, who will no longer be using Ubuntu, and will no longer endorse or recommend it. You'll have a huge portion of people who'll simply fork ubuntu and bring that thing back to the community, because they take the "humanity to others" thing quite seriously, and are not just in it for the buck, like Shuttleworth, who basically bastardized the true Ubuntu spirit for corporate gain (http://en.wikipedia.org/wiki/Ubuntu_%28philosophy%29).

And then you'll be left with a dwindling group of less and less convinced fanboys. It's happened to other projects, and Canonical's put Ubuntu in a cloudified sports car in the fast lane to that very same destination.

@dariocaruso
You can contribute anywhere you can so if you can write a good bug report join the testing team.
If you can develop start contributing code and apply to be a contributing developer.
You can become a MOTU.
Just go to the irc channel of the team you want to join and ask where to start.

There are lots on non canonical employees contributing to make ubuntu better. All you have to do is apply whatever skills you have. Contributing ideas and opinions is helpful but as I said above "I think there will always be many chefs and not enough cooks."

"Are the poll results as biased as your "feelings", man? Comic stuff, that there. At least the community ran a poll. How about canonical?"

I didnt say it wasnt based on feelings I said it was useless because not everyone feels strongly enough to choose right or left because they simply dont care.

I dont think there would be a fork of ubuntu with just the window buttons moved to the other side. It takes a lot of effort to distribute software so it seems a little excessive to fork.

I believe everyone has the right to comment on the issues at hand but if you cant think up a reason against it other than
A. "Im not used to it"
B. "Its not like how windows does it"
C. Misquoting fitts law
then you shouldnt comment at all. Trolling and repeating the same reasons isnt at all helpful.

Ben Romer (bromer) wrote :

Can we please focus this bug on the actual problems? There are at least two that have been reported:
- The theme preview in the GNOME appearance panel shows the buttons on the right for these themes.
- Switching to the theme moves the buttons to the left, but switching away from the theme does not restore them to the right.

Perhaps the first problem could be fixed, and the second dealt with by having a "light-themes-right" package, or right-handed versions of the themes included in the light-themes package. Then, it's just three clicks (system->preferences->Appearance, Theme, Ambiance-Right or Radiance-Right) to the old way instead of a command-line workaround that might scare new users.

Pablo Quirós (polmac1985) wrote :
Download full text (3.5 KiB)

"We all make Ubuntu, but we do not all make all of it. In other words, we
delegate well. We have a kernel team, and they make kernel decisions.
You don't get to make kernel decisions unless you're in that kernel
team. You can file bugs and comment, and engage, but you don't get to
second-guess their decisions. We have a security team. They get to make
decisions about security. You don't get to see a lot of what they see
unless you're on that team. We have processes to help make sure we're
doing a good job of delegation, but being an open community is not the
same as saying everybody has a say in everything."

First of all, thank you to take the time to answer personally. I'm sure lots of people, including me, appreciates that.

Don't take me wrong, I think a meritocracy is a good way of doing things, but, as you say, there have to be processes to make sure the delegated job is properly done -- and there's where the community has a part. In the end, it is us, users, who judge wether something is good or bad. This is the same in any bussiness: consumers, in the end, decide. And if there is a majority of users, or consumers, who thinks something is wrong, then the delegation you where talking about is not working properly.

The new design team has made really good changes to the system, and the new branding is really good. That said, I think they've shown some inexperience. A good design team would have done 1) a good reasoning on the need for this change. A basic rule of usability is to be easy and predictable; when you are going to change something like this, you have to be sure that it is *really* for the better. 2) Usability tests. As I said, it's a big change with a great impact, and you shouldn't just "try" something, you have to experiment with real users and good tests, to gets sure the decision is the best. 3) Get the opinions of the final user. In the end, the change is something to make his life better. If he doesn't like it, it has no sense at all.

If you accept an advise, I think what you are lacking in the design team is an usability expert... or maybe there is? the point is that the design team should take usability more into account.

I've read someone who, regarding this matter, said that he is tired of designers telling him how he should use his computer. And he is right. I think you are wrong in one thing: you say this is not a democracy, but, in the end, it is. Design is a democracy. If users don't like a design, if they are unhappy with it, or it makes their life worse, it has no sense at all. Design is for users, and if they don't like it, it's failing.

And I'd like to comment on other issue as well: openness. You said that only the teams responsible for something have all the information on that matter; I don't see the reason, and it goes strongly about my sense of a community. Openness is good for everyone; it's one of the strengths of free software, and one of the pilars of a community. If reasoning of the decisions taken is closed, and plans for the future are hidden, the community is weakened and it will be much more difficult for us to feel part of the project. Lots of communities, and most of the information in thi...

Read more...

I believe everyone has the right to comment on the issues at hand but if you cant think up a reason against it other than
A. "Im not used to it"
B. "Its not like how windows does it"
C. Misquoting fitts law
then you shouldnt comment at all. Trolling and repeating the same reasons isnt at all helpful.

A. where in this thread did I say that?
B. where in this thread did I say that?
C. where in this thread did I do that?

Let me tell you something, my friend. If lies and backtracking are the only way for you to defend this fiasco,
then probably it is you who is the troll.

You ask for reasons against moving the window buttons? How about reasons FOR it? other than Shuttleworth's vague hand-waving at experiments for 10.10?

The fact that requests for valid reasons for this drastic change is perpetually met with such childish defensiveness, just goes to show that there wasn't any "design team" who came up with this. Order from above. In true dictator fashion.

@Pablo Quiros, I wish YOU were the Community Manager. Excellent post.

@dayo read the second paragraph https://bugs.edge.launchpad.net/ubuntu/+source/light-themes/+bug/532633/comments/188
All the 3 reasons I quoted were mentioned multiple times everywhere.

sentvid (sentvid) wrote :

Initially I didn't like the design change either. But looking at other design improvements, I decided to forget (forgive may be a strong word) about the decision. previously I used Sidux and that came only with KDE. Since I like gnome I had to install gnome.

I guess its just 3 clicks to change the button placement / change to a different theme. I can see a lot of other people already released "Radiance-right" themes.

Its just matter of time...People...Dont get too personal...

scholli (scholli-tz) wrote :

This thread would be shorter, better and more serious for the design team if we 'switch of' "emotions" finally.

# 194 is a back to topic and has interesting points. The design team needs good points and facts for take good decisions. Stay by topic is the most helpful thing that we can do.

One solution is maybe a left(default)/right-switcher somewhere in the preferences. ,)

On 18/03/10 14:01, dariocaruso wrote:
> We have for example ubuntu brainstorm, forum, and other ways to comment
> your work, but please, you have to say at all community exactly what we can
> say about the project and what we can do for canonical EXACTLY.
>

Brainstorm is great, and lots of good comes out of it. There are many
cases where knowing what lots of people think, or creating a forum for
*anybody* to publish their ideas, is useful.

My point to fewt is simply that there are also many areas where we
explicitly don't run things by vote or consensus.

Ubuntu is plenty big enough that there is an area where anybody can make
themselves an expert, take on responsibility, and lead. But it's also
big enough that if we try to make everybody feel like they can weigh in
on *every* decision, we'll grind to a halt.

This is a flashpoint, but most decisions are not as contentious as this
one. I'm backing this decision because I think it's the right one in the
long term. It may be right, it may be wrong, but I have a mandate to
take the decision. The same is true of our kernel lead, and our
community governance leads. They are fallible (I certainly am) but they
are nevertheless empowered to take decisions.

Mark

Mark Shuttleworth (sabdfl) wrote :

On 18/03/10 14:07, dayo wrote:
> ... are not just in it for the buck, like Shuttleworth, who
> basically bastardized the true Ubuntu spirit for corporate gain
> (http://en.wikipedia.org/wiki/Ubuntu_%28philosophy%29).
>

Time will tell. I feel quite good about the contribution I'm making, but
you're entitled to disagree. I'm sure you have a complete perspective on
the many things that I do, and therefor are in a good position to make
that judgment.

Mark

Mark Shuttleworth (sabdfl) wrote :

On 18/03/10 14:31, Pablo Quirós wrote:
> I've read someone who, regarding this matter, said that he is tired of
> designers telling him how he should use his computer. And he is right. I
> think you are wrong in one thing: you say this is not a democracy, but,
> in the end, it is. Design is a democracy. If users don't like a design,
> if they are unhappy with it, or it makes their life worse, it has no
> sense at all. Design is for users, and if they don't like it, it's
> failing.
>

Yes, design is a democracy in the sense that users vote with their feet
- they choose the products that work well for them. If we fail badly
with this, or any other piece, they will go somewhere else, and we lose.

Look, I understand this is risky. In my judgment, it's worth the risk.
Being able to tackle risky things is one of the things that gives us the
chance to catch up to the big guys, and beat them. That doesn't mean we
should be cavalier, but I'm not going to shy away from an opportunity to
do something much better now just because Microsoft did something a
particular way 20 years ago.

Mark

I personally have found the change from left to right strange but easier for me to use...but that may be the way my brain works

Vish (vish) on 2010-03-18
description: updated
scholli (scholli-tz) wrote :

Off-Topic... who cares now!

@ Mark:

Lucid Lynx is frightening good and nice-looking. Microsoft will spend you another travel to the space for free; better said to the moon, because they wish you out of the planet earth after the release surely! Hold the course ... Bug [1]. :D

Changed in light-themes (Ubuntu):
assignee: nobody → Mark Shuttleworth (sabdfl)
assignee: Mark Shuttleworth (sabdfl) → nobody
bigbrovar (bigbrovar) wrote :

@Mark You honestly feel that this change of windows button to the left is best for Ubuntu? And the best time to make such change is in an LTS? Personally I am less concerned about the windows way or the apple way but rather that whatever usability decision the design team make should have usability impact on the users. Left for me There are many things that needs fixing on the Ubuntu desktop usability wise and windows button are just not one of them. But that is just me. The way I see this not one person had complained or felt that they was a problem with the window button being on the right. Even the people who claim to prefer it on the left or adjust to it that way many of them never had a problem with it being on the right. All I can say is that it would be nice if things like usability and design should be open more to the community. Canonical always have their veto but at least the community would have a sense of participation.

One thing I would love to hear is how the design team hopes to get round issues of breaking consistency with the rest of the Linux desktop. That is a issue that would need to be addressed. Many people on Ubuntu would be using emerald compiz window decorator will that be patched too to respect this new window button replacement?. others would be using openbox. some of us also have kde installed on our system. How is the design team going to get round the issue of consistency which if not sorted would lead to bigger usability issues than was created by the window buttons being on the right.

Also would this window button redesign be implemented in other ubuntu variants like kubuntu, Xubuntu, lubuntu? Because if design team is telling us that this change is in fact the best thing then surely there wouldn't wont to exclude ubuntu variant from the best usability experience.

Maybe there should be a check button that asks the user way he would like his windows button placed. (but that too would add more level of complexity to the install process and make it less human friendly)

Personally as a sysadmin in charge of a university where Ubuntu is used solely by all our staffs, students, and faculties. This change should never have come in an LTS release (if it most be made at all) and in my humble opinion is just a solution looking for a problem. It doesn't in anyway increase my workflow or that of my users and having to resort to gconf command or installing extra ppa everytime I install ubuntu for my users (and I do that alot) is not something am looking forward to. But then maybe am not as long sighted as Mark.

hills (hills) wrote :

Mark Shuttleworth :
> That doesn't mean we should be cavalier, but I'm not going to shy away from an opportunity to do something much better now just because Microsoft did something a particular way 20 years ago.

It is something more than Microsoft whim. In the West culture we are reading from left to right, from top to bottom. These are natural starting and ending points. So, the most convenient place for close button is a bottom right corner of window. That's why big buttons (Close, Apply, OK etc.) in bottom right corner of windows works so well.

Top right is the worst place for close button. Think of moving close button to the top right or even bottom right.

hills (hills) wrote :

Edit: Top *left* is the worst place for close button.

Brewster Malevich (brews) wrote :

I was sceptical of this change at first. But having only used lucid since the alpha 3 release, I've grown quite fond of the current button position, on the left hand side of the screen.
I would encourage users to be patient and to give lucid (now beta 1) some solid, rigorous use (not 5 minutes as virtualized install) before making a decision and voicing an opinion.
While I understand that many people have put forth this effort and continue to disagree with this design choice, I have been surprised with the large number of knee-jerk reactions to this change.

Time will tell. I feel quite good about the contribution I'm making, but
you're entitled to disagree. I'm sure you have a complete perspective on
the many things that I do, and therefor are in a good position to make
that judgment.

Mark

-----

Sarcasm isn't going to help your issue here. There are a lot of very excellent
points and perspectives all up and down this thread, against putting the buttons on the left.
If you value Canonical's credibility at all, then your line about "We're interested in data which
could influence the ultimate decision." won't be just transparent placating. Hopefully, for your sake
and the community's sake, you'll follow through on this.

It's saddening that you apparently do not have any problem whatsoever using an LTS release for UI/UX experimentation.
Why not have a testing branch like Debian does? But of course, you're too busy trying to beat companies
on who's radars Canonical doesn't even appear. It's quite bizarre.

It baffles me to no end, that you would get so pouty about the community's reactions to
such a monumental change in UI/UX. We're not all fanboys and praise singers, you know? Deal with it.

bigbrovar (bigbrovar) wrote :
Download full text (3.8 KiB)

@ Mark Shuttleworth I think what @Pablo Quirós meant was that the aim of design and usability is to make the life of the user easier, to improve their workflow hence their productivity. If the design fails to achieve this (and only the user can tell) then that design has failed and reason be restored.

>Yes, design is a democracy in the sense that users vote with their feet
>they choose the products that work well for them. If we fail badly
>with this, or any other piece, they will go somewhere else, and we lose
Are you saying that those who think that the new design of windows button placement does not suit them, should take a walk and find another distro? You might ask how can we know if users are happy with this design choice without first trying it and see from their feedbacks if it helped make their lives easier? True but you really don't want to perform such a test on an LTS which is the version of Ubuntu that is adopted by enterprise users. Even though I feel this change is a solution looking for a problem. Still I am not against giving it a try in one of the in between LTS releases and using the feedback generated as input on whether such a move would benefit the user or not.

>Look, I understand this is risky. In my judgment, it's worth the risk.

 Serious Mark you really think making this risky decisions for an LTS release is worth it? seriously?
>Being able to tackle risky things is one of the things that gives us the
>chance to catch up to the big guys, and beat them.
One way to catch the big boys is ask what their secret is. and one of it is consistency. Windows as pretty much maintained the same look since windows 95, they just added more polish and more superlatives but its essentially the same start-menu, windows management buttons, the same task-manager hence a user knows what to expect from a newer version of windows. This is one of the reason why windows is very popular many people know what to expect and how to find their way around. Even with all its flaws Microsoft or Apple wont wake up one morning and decide their were going to change the location of their window button placement its just not something you want to do for a serious OS. You dont experiment too much with a serious OS. look at redhat or Sled the big players in the linux desktop They don't experiment with their users. They try to keep things consistent I am not saying Ubuntu should be that conservative or enterprise focussed, we can always maintain a balance.. keep the desktop consistent and the underthehood stuffs should do the magic design thats and design and usability decisions should really improve the usability and workflow of users. and not force them to have to relearn how to use their desktop. Consistency is the biggest problem of free desktop we always move the post to many times.

 Whatever decision the usability team makes the deciding factor is how the user reacts to its, whether its makes their usage of ubuntu easier or adds to their problem. You raised the issue of the Kernel team (among other teams) If they make a radical change to the Ubuntu kernel which impacts negatively on the user. You would get the same backlash you are getting now...

Read more...

"The problem with your Forums post is that it says "this is what really
happened" and is, in fact, quite incorrect.

Some members of the design team asked that the window controls be
grouped on the left, and presented the visualisation. So it wasn't that
I "prefer it that way". I didn't like it initially, anticipating that it
would generate a great deal of resistance. However, it does line things
up nicely for work I would like us to do in future."

No, Mark, the real problem is that is what the public perception of what happened is. And that matters as much as, if not more than, what really happened. The first indication we had of any part of the decision-making process was you saying in an IRC chat that you do prefer it that way. You didn't say you were initially opposed to it.

Perhaps instead of focusing on minor factual clarifications, you can focus on the bit about how things could have gone? I fully respect that you're self-appointed benevolent dictator for life. I fully support your prerogative in making decisions without opening it up to a vote. It does behoove you, as a leader of an open source project that touts itself as a community-based distro, to have a certain kind of transparency in your process.

You can even be secretive about it while also being transparent. A simple Wiki entry or Blueprint (or even just a quick email on a mailing list) that goes along these lines "Lucid alpha users will see a small change in the button order with this latest update. I know this will take a little getting used to, but rest assured we on the design team have a good reason for changing it up, and you'll be excited to see what we put on the freed-up right side. We aren't opening this up to a voting process, but if you have legitimate concerns about the move, please let us know, and we will take them into consideration." Would that have been so difficult to do?

"And the major
argument against it appears solely to be "we're used to it here", which
is important, but not overriding.

Mark"

Mark, you're a busy guy, so I know you don't read all forum posts and brainstorms, but maybe you can take a second look at the comments in this very bug report. Comment #71 has quite an extensive list of arguments against the change, and they aren't just "we're used to it here":
https://bugs.launchpad.net/ubuntu/+source/light-themes/+bug/532633/comments/71

I'm hoping you just skimmed over and missed that and that you aren't being deliberately obtuse. I have a lot of respect for what you've done these past five years with Ubuntu. I want to give you the benefit of the doubt here.

Adam Williamson (awilliamson) wrote :

Mark, if you'd let someone entirely unrelated plunk an oar in for a minute, I think "However, it does line things
up nicely for work I would like us to do in future." is at the nub of this. You've said a couple of times that the idea is to free up the right hand corner for Other Stuff You Will Put There Later, which is a valid idea. What I don't get, though, is why you think it makes sense to do the freeing-up before you've got around to inventing the Other Stuff. It gives people all the drawbacks of the re-arranging with none of the benefits of the Cool New Stuff, so it's not that surprising that they wind up belly-aching.

You said somewhere that you think it's better to 'get ready' for the change now, but...why? I don't see how it would be innately more difficult for people to adjust to the new layout once you've got the Cool New Stuff ready, and then they'd have the Cool New Stuff to make up for having to adjust to the new layout. Sure, it probably wouldn't be any _easier_ either, but that's not really a sufficient argument for doing it now. If you did it when the other changes are ready too, it'd probably make a lot more sense to people. If you've covered this somewhere, sorry, but if I haven't seen it, probably a lot of others haven't either =)

Miguel Branco (arlanthir) wrote :

I agree with Adam Williamson and I think a lot of the heat this is generating comes from the fact that we don't know what is the "Cool New Stuff" that is being envisioned for the now free space.

I think most people can't really see improvements with this change and maybe it would open our minds a bit if we knew what sort of plans Mark/the Design Team have in store for us.

More than one person is missing the point here, I believe.

Ubuntu is free to use, distribute, and even more important in this case, free to modify. If you dislike the buttons on the left, just use the already mentioned gconf or extra PPA methods. That's it. Of course, you can like Ubuntu's/Canonical's decision on this issue, or you can dislike it; but noone is pointing a gun at your head. This is not how things are done in the free software world. They make a choice, and you can make the opposite choice in your own computer if you prefer.

Personally, I don't like Ubuntu One. And I am not blaming Ubuntu for including it in the default installation; I just uninstall it.

LOL, this shit storm is hilarious. I'm not going to waste my time with ubuntu anymore. It was a noob distro anyway.

On 18/03/10 17:36, bigbrovar wrote:
> Are you saying that those who think that the new design of windows
> button placement does not suit them, should take a walk and find
> another distro?

No. I'd rather they joined this thread and the ayatana list and
discussed options and ideas there. I wasn't saying "if you don't like
it, take a hike", I was acknowledging Pablo's point that ultimately
users *do* vote, by choosing products that work best for them.

> You might ask how can we know if users are happy with this design
> choice without first trying it and see from their feedbacks if it
> helped make their lives easier?

That's very hard to guage from the initial reaction. There have been a
lot of people who said, in effect, "EEEK CHANGE". There have been others
who said "I got used to it and haven't seen any major problems that I
was worried about, like accidentally closing apps". It would be useful
to get data. A mailing list or bug thread isn't data, though it's still
useful.

> True but you really don't want to perform such a test on an LTS which
> is the version of Ubuntu that is adopted by enterprise users. Even
> though I feel this change is a solution looking for a problem. Still I
> am not against giving it a try in one of the in between LTS releases
> and using the feedback generated as input on whether such a move would
> benefit the user or not.

The fact that this is an LTS cuts both ways. If I'm confident that
10.10, 11.04 and future releases will have the controls on the left, it
makes even more sense to do it now (because the LTS will then not look
dated compared to newer releases). As a precedent, we shipped Firefox
3.0*beta* for 8.04 LTS, which caused an uproar but was the right
decision given that 2.0 was nearing its end of life at the time.

>> Look, I understand this is risky. In my judgment, it's worth the risk.
>>
> Serious Mark you really think making this risky decisions for an LTS release is worth it? seriously?
>

Yes, very much.

> Consistency is the biggest problem of free desktop we always move the
> post to many times.

Much as it undermines my position, I have to agree.

Mark

Download full text (4.4 KiB)

I wish Linux proponents would decide whether you want people to switch to Linux from Windows or OS X, or not. I'm just trying Ubuntu again (Karmic) after last trying it (I think Dapper Drake was the last version I'd tried previously). It has improved tremendously since then but now I read this condescending attitude by the developer and I'm wondering what is is that makes Linux developers so arrogant at times. You guys all have Asperger's Syndrome or something? If I want to be treated badly by a company that thinks that I should have no say at all in their design decisions, I can just keep using a Mac (in case you are wondering, I am NOT a Mac fanboy — in fact I sincerely doubt I'll ever buy another, it has disappointed me in many ways).

Anyway, having used a Mac, I would say that it would not be a big upset to me if the buttons were on the left provided that the order emulated that which Mac users are accustomed. But it's troublesome to me that you want everyone that has learned how to get around in Windows, and/or on a Mac, to learn yet a third button pattern. This is not an insignificant thing - I, like many other computer users, have developed a "muscle memory". Maybe you don't experience this and don't understand it, but some of us don't cope with arbitrary design changes as well as others. If there were some valid reason for this — if it were necessary because of some new feature or something, or even because of some legal issue, then I could understand it, but no one is saying that.

So the way it comes across to me, and probably to many others who've noticed this change, is that you're doing it simply because you can, just to prove you wield some kind of power over others. It's like you're saying, "Look, Dad, I can force people all over the world to change the way they do things! I can make them unlearn YEARS of habit and use the computer the way *I* want them to use it!" Many of your users are telling you that this MATTERS to them, and your response is essentially "Let them eat cake!"

Sure, those who are knowledgeable enough can change the button order, but then you run into another issue, non-standard operation between machines. Let me give you an example. When I got my Mac Mini, I was coming from a Windows machine and wanted to use my Windows keyboard and have it operate as it always had, so I went out and got a third-party program (keyremap4mackbook) that let me switch keys to make them more Windows-like. I'm happy, and certainly not frustrated by the keyboard anymore at all (though I was very frustrated the first month, before I found that program). Trouble is, my son also has a Mac, and he does not remap his keys. So guess what happens when he tries to use mine? He gets really frustrated because he's used to a keyboard that operates the way Apple intended, which is non-standard from Windows.

Now you are going to have users that are used to the Mac OS X, and to Windows, that will change the button order first thing. Then you will have other users that either don't have the "muscle memory" issue, or are too uninformed to switch the button order. So what happens when a Linux admin who is used to the new order has t...

Read more...

@Fox

I agree entirely. If Ubuntu fails, this is why. Look no further. Look at how many people hate this, and yet we have the developers saying that the majority opinion of the people that use the thing daily is stupid and that the non-standard behavior won't change.

It's not a meritocracy when bad things float to the top and you have a small self-interest enforcing the bad ideas over the opinions of the masses. This is exactly the kind of behavior that makes people want to get up and leave Microsoft or Apple to begin with.

Ever since Canonical went and bought Mac Asay, it's been "to hell with free software" and trying to mindlessly mimic the Mac. :P

Mr. X (obvio-capitao) wrote :

Mark Shuttleworth wrote:

> No. This is not a democracy. Good feedback, good data, are welcome. But
> we are not voting on design decisions.

Mark,

I completely understand and agree with your position -- you are the benevolent dictator for life, and Ubuntu is not a democracy.

HOWEVER, I also understand and agree with most of the critics who say that this particular change in the user interface is bad.

People gave different reasons for why the change is bad. I'll give you another reason: touchscreens.

In the next couple of years we're going to see more and more touchscreen devices. As you may know, our fingers are not as precise as mouse pointers. If you put the close/minimize/maximize buttons on the left side, people *will* click on these buttons accidently, when they try to open the Applications menu. And that mistake, repeated over and over, will be infuriating.

If you agree that we are going to see more and more touchscreen devices, I hope you'll also agree that the close/minimize/maximize buttons should stay out of the way.

You don't have to listen to our opinions, but please consider what is best for the project in terms of usability.

Adrian2MiL9 (adrian2mil8) wrote :

Hi Mark , let me make a little contribution a this controversy , a o.s. , this one o anyone should be easy to use to the novice , they should do it so that it turns out to be as easy as possible to which are not geeks , the geek o experienced linux user can tune the desk by himself , but a novice what come from winxx it can turn out to be afraid in the first moment and to retire before beginning for things tam simple as the position of the buttons, it is me who believes , allow me to suggest humbly a idea and this is an option would be nice , at the first login after install with a dialog box that shows if the buttons of a side are wished or of other and that he is this user who decides as he has left more comfortable .
a cordial greeting Mark . :-)

Neil Broadley (scaine) wrote :

Still no comments from the design team at all? Compiz, Firefox,, gnome-appearance, gnome-shell, etc that will need to be remodelled?

What about the users who don't like the buttons on the left and swap it to the right - will they therefore forgo the pleasures of Cool New Stuff when 10.10 comes out? Will doing so break themes? Worse still, will everything be patched to have close-on-left and therefore look stupid when users change to buttons-on-right?

What about Kubuntu and the other distros which don't appear to have picked up this change?

What about a simple method of feedback to guage how many users oppose this?

All questions asked over and over again in this thread, met with total and utter silence.

KSSG (kssg) wrote :

@Mark

Mr.Shuttleworth, you clearly are a more successful person than I am, and I respect your opinions to a certain degree.
I only want this change to be reverted since I work with regular end-users without computer knowledge and I am sure they will react to this change in a negative way.
You seem to be either stubborn or very confident. I won't discuss this change further since, after all, it doesn't affect ME personally. I can change it, most of the persons posting here can, if they like it or not.. Just think of those who got Ubuntu installed by a friend or relative, the type of people vulnerable to phising scams and spyware infections. They need to be babysitted, to put it bluntly.

Your adamant replies suggest me you do have something interesting in your mind, and I am certainly not the only one wanting to know what it is. You also imply you thought of the negative consequences, so you clearly thought of the non-tech users (which are after all, the largest numbers to handle).
From my humble position I suggest a little insight on the things to come. Play your cards right and you might turn hatred into hype.

Being an Ubuntu user, I am naturally inclined to see my distro of choice success. It's the same reason we want our team to win.

Mr. X (obvio-capitao) wrote :

Adam Williamson wrote:
> You've said a couple of times that the idea is to free up the right hand corner
> for Other Stuff You Will Put There Later, which is a valid idea. What I don't get,
> though, is why you think it makes sense to do the freeing-up before you've got
> around to inventing the Other Stuff. It gives people all the drawbacks of the
> re-arranging with none of the benefits of the Cool New Stuff, so it's not that
> surprising that they wind up belly-aching.

That's a very good point.

If there are any reasons for the change, this should be tested separately -- like Gnome Shell, which I love.

The worst thing to do, in my opinion, is to do a disrupting change in a LTS.

Jef Spaleta (jspaleta) wrote :

Scaine:

The problem here is that people are talking past each other. What's primarily missing is a definition and explanation of the data and data collection methodology that Shuttleworth and the rest of the design team are interested in seeing collected and will respect as being good enough to form the basis of addressing design deficiencies. Without the precise details of what the form of the data is that the design team is interested in reviewing, the external group of people who are interested in seeing this reverted are casting about making a best effort to provide the input they feel qualifies as "data."

So far Shuttleworth has disregarded everything people have pointed to as not meeting his definition of "data." This can go on forever, further causing frustration and leading people to assume others in the conversation are acting in bad faith, until Shuttleworth puts his neck out and makes an emphatic statement as to what actually constitutes data. The ball is in Shuttleworth's court. If he wants to play ball with the community over the design process...he'll define what the community needs to do to impact it. If he doesn't want to play ball...he should just leave it at "trust me" and not talk about wanting "data" and getting everyone's hopes up. The more good faith effort people put into trying to convince him otherwise and being rebuffed as inadequate, the more emotional its going to get.

The problem is... the design team hasn't set forth a workable process by which deficiencies in their decision-making can be addressed by externals. If Shuttleworth is sincere about desiring data that will influence decision-making, then he needs to communicate what that means to the layuser sitting outside the design team and who is sincerely endeavoring to provide the necessary feedback to impact design decisions. Not just this one decision...but a standing process that applies to quantifiable deficiencies in all the closed door design decisions.

It also doesn't help that Shuttleworth and the design team are keeping future plans for the titlebar so private instead of sharing mock-ups as to what the open space on the right of the title could actually be used for in 10.10 and beyond. Withholding that sort of information makes it harder for others to correctly contextualize the short-term pain for long-term gain of this change.

Vish (vish) wrote :

> gnome-shell, Compiz, Firefox,, gnome-appearance, etc that will need to be remodelled?

To add to the list , "webpages" .[chat tabs, mail tabs , info bars , in-page popups, modal popups ] All the major sites have close buttons for these on the top right. [I'm not even sure if there is a site which places the "close" in a different location ]

When we are trying to blur the the distinction between desktop and the web, moving the close button to the left further widens the gap. User will now have to get used to two different positions for the same action.
Even if we fix all the apps within Ubuntu , not sure if we can convince the rest of the world to switch too. ;-)

IMO , if the "new exciting" stuff needs the space in the right, Ivanka's suggestion of "max and min on the left and close on the right." seems more reasonable.

zcat (zcat) wrote :

http://blog.internetnews.com/apatrizio/do-not-want-dog.jpg

I've read through most of the comments and justification but I still think this change is MAJOR FAIL. Please revert.
I've been working very, very hard to fix Bug #1 and this sort of change is probably the most destructive thing you could possibly have done. Nobody I've spoken to likes this change, no matter how you may justify it. You may as well have changed the default keyboard layout to dvorak!

scholli (scholli-tz) wrote :

@ Atel Apsfej:

+1

But publish ideas and inventions soon in form of mock-up's can be copied by the concurrence and the "Joker"-Card is played before it could dig hurtful. Better believe to Shuttleworth and let him play the poker-game without rush him show his cards. I believe in his abilities, you not?

robbert (robbertvandendoorn) wrote :

Can people please stop complaining about the window controls being on the left side? Windows has them on the right side, but it’s completely illogical to have them on the right side. The GUI of Windows is completely illogical and causes it’s users to get RSI, because of all the mouse movement when working in Windows.

To start an application, you’ve got to go to the lower left corner of the screen to click on the Start button. Then you want to do some tasks in this application, so you’ve got to go to the upper left corner to get to the File menu, the Edit menu or the icons on the toolbar. Then you want to close the application and you’ve got to go to the upper right corner to click on the X. Then you want to start another application and you’ve got to go all the way back to the lower left corner.

This is completely illogical and causes RSI, because of all the mouse movement. Apple already figured out it’s better to have the window controls on the left, because everything else is on the left (menu bar starts from the left, icons on the tool bar start on the left and tabs on a tab bar start from the left). Gnome already figured out it’s better to have the Applications menu on the top of the screen, because everything else is on the top of the screen (menu bar, tool bar and tab bar are all on the top of the screen, so applications are more quickly accessable when they’re on the top too).

Moving the window controls to the left is the best decision Canonical ever made. The applications are on the upper left corner, the menu bars, the tool bars and the tab bars are all on the top of the screen and most of the time only the left part of these bars are filed with menu items, icons and tabs (especially since resolutions of computer screens are getting higher and higher). Most of the clicks are being done in the upper left area of the screen, so it’s completely obvious to have the window controls in this area too.

Even before the first screens of this new button layout appeared I already made the change myself. I’m running Ubuntu with the window controls on the left for more than a year now and mouse movement has been reduced. Now everything is just in one place (the upper left area of the screen). Before I moved the window controls to the left side, I was constantly moving my mouse from the left side to the right side of the screen when opening and closing applications. Completely illogical. The left side is definately the right place for window controls.

Bruno Girin (brunogirin) wrote :
Download full text (3.6 KiB)

<sarcasm>
<disclaimer>this tag may include content you can't see the funny side of</disclaimer>
<workaround>please read the whole post and go have a walk before replying in anger</workaround>

Oh dear! A pre-release version of the next Ubuntu includes a massive change to an essential element of user interface: the close button is now on the left! The world is going to end!

OK, so what? If I look at all the window managers I've used in the past apart from Gnome, I count: Amiga OS (1.3), Motif, CDE, Ye Olde Mac Classic, Mac OS-X, whatever the WM was on SunOS 4.x and the old HP-PA, Windows 3.1 to Vista. The only thing I can say is that the positions of the Close, Minimise and Maximise buttons has been quite varied. In fact, the only OS in here that ever had the Close button in the top right corner was... Windows 95/NT4 and above. Every other one had it in the top left corner.

The current argument reminds me of the time when we upgraded customers from Windows NT 3.51 to NT 4. Microsoft did something terrible with NT 4: they replaced the application launcher window with this weird bar at the bottom that had a "Start" button and they moved the Close button from top left to top right! How dare they? My customers were up in arms. Granted, considering said customers were FX and equity traders, some of them had an IQ inversely proportional to their earnings and found it difficult to adapt to the change, but still. Every time I visited them, I was told: "We'll call your boss, you'll lose your job over this! We'll go to the competition! Microsoft will crash down in flames for doing this!" Did I lose my job? No. Did they go to the competition? No. Did Microsoft crash down in flames? Hell no, otherwise we wouldn't have bug #1!

</sarcasm>

Having said this, is this a major change? Yes. Should it be pulled back? No, not now and here's why:

1. Despite the fact that this thread seems to indicate that the whole Ubuntu community is up in arms, this is not the case because the sample of users in this thread is a self-selecting one. The users who see no problem with the change will never find this thread because they won't go looking for it. On the other hand, every single user who disagrees with the change will go to Launchpad, find the thread and add his own negative comment. So whatever data this thread contributes to the problem is by definition biased and should therefore not be used in the decision. On the other hand, that same data provides an interesting set of test cases as it shows a varied range of opinions and experience, which is useful for my second point.

2. Such a usability change can only be validated or invalidated by widespread user testing. No amount of polls, reviews or limited usability studies will tell you whether the change is a good one or not. And, guess what? A beta release is exactly the right way to do such testing: it's stable enough that you can give it to non-technical users but you still have the option to correct bugs before the final release. I suspect this is exactly why Mark Shuttleworth said that the current button layout would stay *for the duration of beta 1 at least*. And I believe that, if beta testing were to show t...

Read more...

personman (personman-145) wrote :
Download full text (8.1 KiB)

OK. Fair warning, this is long as hell, but there were some ideological differences that I felt needed to be addressed. This is a reply to Mark which is probably too way long to justify his reading it, but I'm posting it anyway.

>We all make Ubuntu, but we do not all make all of it. In other words, we delegate well. We have a kernel team, and they make kernel decisions.

Seems reasonable enough, assuming they are reasonably open-minded individuals, who take the ideas of others in to consideration, particularly their users.

>You don't get to make kernel decisions unless you're in that kernel team.

If by "that kernel team," you mean, everyone who has ever filed a bug report or mentioned an oops, or tested SOMETHING or any of the various other cooperative activities between users and developers that have given us the kernel we have today over the last 18 years or so, I might even agree with you here...

>You can file bugs and comment, and engage, but you don't get to second-guess their decisions.

Now that is where, IMO, you are completely wrong. NO ONE is above being second-guessed. Not a president, not a king, not Linus Almighty, nor God himself. (Who, incidentally, I don't believe exists, and if he did, should be overthrown.)

I'm not going to call you a dictator because that is extreme, and a word obviously widely-viewed as being a personal attack. I will say, it seems to me your thought process is indicative of an authoritarian mentality.

Why should it not be? You're a CEO... That is the job. I personally don't believe in the authority principal... This does not mean I reject all authority. The Anarchist Mikhail Bakunin put it well. It is long, but hopefully, enlightening. I've offered a brief summary in my own words that follows this, feel free to skip ahead...

"Does it follow that I reject all authority? Far from me such a thought. In the matter of boots, I refer to the authority of the bootmaker; concerning houses, canals, or railroads, I consult that of the architect or engineer. For such or such special knowledge I apply to such or such a savant. But I allow neither the bootmaker nor the architect nor the savant to impose his authority upon me. I listen to them freely and with all the respect merited by their intelligence, their character, their knowledge, reserving always my incontestable right of criticism and censure. I do not content myself with consulting authority in any special branch; I consult several; I compare their opinions, and choose that which seems to me the soundest. But I recognize no infallible authority, even in special questions; consequently, whatever respect I may have for the honesty and the sincerity of such or such an individual, I have no absolute faith in any person. Such a faith would be fatal to my reason, to my liberty, and even to the success of my undertakings; it would immediately transform me into a stupid slave, an instrument of the will and interests of others."

To summarize: I will defer to the authority of experts, but voluntarily, and not by force.

I admit, that sometimes the authority of expertise is a legitimate authority. This is why Linus writes my kernels rather than Bob down the str...

Read more...

Jef Spaleta (jspaleta) wrote :

Scholli:

Do I believe Shuttleworth is infallible? No. I believe the previous mistakes made with nautilus spatial are proof enough of that. When he mistake a mistake in judgement...who's he accountable to for that if not the entire Ubuntu community? Who certified him an expert designer? He may be passionate about design but it doesn't automatically make him good at it. I'm passionate about basketball and I'm terrible at it. Whose in a position to tell him his designs are bad if not the external Ubuntu community? You can't really expect Canonical employees to go toe-to-toe with him when he's made up his mind. That's the problem with organizational structures that are built on cults-of-personality... the lines between what it means to be a meritocracy and an autocracy get a little blurry.

Does that mean that all the decisions should be second-guessed? No. I'm not even really sure this one decision is even worth arguing over. But others do.

The underlying problem here is Shuttleworth has rushed an incomplete set of changes onto users without laying down a roadmap to put those changes into context. If this needs to be top secret for business reasons...they could have just waited and wow'd everyone when it was time to implement the beneficial changes that require this not so beneficial change. He hasn't articulated why this change really needs to be in an LTS release when the benefits of the change are going to be experimented with in a 10.10 time frame. Isn't this sort of experimental stuff exactly why PPAs exist? Couldn't the Canonical design team work on this in a PPA and invite people to consume the PPA as early adopters?

On top of that he's really giving people mixed signals about how to constructively impact design decisions. People are trying to show him "data".. its just not the "data" he thinks is valuable. Okay...great..so what exactly is valuable "data?" He's not saying. His responses strain the credibility of the idea that he wants community feedback.

Ubuntu is utterly and completely Shuttleworth's baby. If he wants to collaborate with the community that has been drawn into the project's promise of transparency..then he should make good on that promise and be transparent and communicate about plans. If he wants to be Steve Jobs 2.0 and wow potential consumers with innovative product offerings born from behind closed doors with no community input then he can be that instead. He just needs to decide be consistent about how he wants to interact with the Ubuntu community. Consumer or collaborators...his choice.

Download full text (8.6 KiB)

El vie, 19-03-2010 a las 00:18 +0000, personman escribió:
> OK. Fair warning, this is long as hell, but there were some ideological
> differences that I felt needed to be addressed. This is a reply to Mark
> which is probably too way long to justify his reading it, but I'm
> posting it anyway.
>
> >We all make Ubuntu, but we do not all make all of it. In other words,
> we delegate well. We have a kernel team, and they make kernel decisions.
>
> Seems reasonable enough, assuming they are reasonably open-minded
> individuals, who take the ideas of others in to consideration,
> particularly their users.
>
> >You don't get to make kernel decisions unless you're in that kernel
> team.
>
> If by "that kernel team," you mean, everyone who has ever filed a bug
> report or mentioned an oops, or tested SOMETHING or any of the various
> other cooperative activities between users and developers that have
> given us the kernel we have today over the last 18 years or so, I might
> even agree with you here...
>
> >You can file bugs and comment, and engage, but you don't get to second-
> guess their decisions.
>
> Now that is where, IMO, you are completely wrong. NO ONE is above being
> second-guessed. Not a president, not a king, not Linus Almighty, nor God
> himself. (Who, incidentally, I don't believe exists, and if he did,
> should be overthrown.)
>
> I'm not going to call you a dictator because that is extreme, and a word
> obviously widely-viewed as being a personal attack. I will say, it seems
> to me your thought process is indicative of an authoritarian mentality.
>
> Why should it not be? You're a CEO... That is the job. I personally
> don't believe in the authority principal... This does not mean I reject
> all authority. The Anarchist Mikhail Bakunin put it well. It is long,
> but hopefully, enlightening. I've offered a brief summary in my own
> words that follows this, feel free to skip ahead...
>
> "Does it follow that I reject all authority? Far from me such a thought.
> In the matter of boots, I refer to the authority of the bootmaker;
> concerning houses, canals, or railroads, I consult that of the architect
> or engineer. For such or such special knowledge I apply to such or such
> a savant. But I allow neither the bootmaker nor the architect nor the
> savant to impose his authority upon me. I listen to them freely and with
> all the respect merited by their intelligence, their character, their
> knowledge, reserving always my incontestable right of criticism and
> censure. I do not content myself with consulting authority in any
> special branch; I consult several; I compare their opinions, and choose
> that which seems to me the soundest. But I recognize no infallible
> authority, even in special questions; consequently, whatever respect I
> may have for the honesty and the sincerity of such or such an
> individual, I have no absolute faith in any person. Such a faith would
> be fatal to my reason, to my liberty, and even to the success of my
> undertakings; it would immediately transform me into a stupid slave, an
> instrument of the will and interests of others."
>
> To summarize: I will defer to the authority of experts, but ...

Read more...

Download full text (3.9 KiB)

Bruno Girin wrote:
> <sarcasm>
> <disclaimer>this tag may include content you can't see the funny side of</disclaimer>
> <workaround>please read the whole post and go have a walk before replying in anger</workaround>
>
> Oh dear! A pre-release version of the next Ubuntu includes a massive
> change to an essential element of user interface: the close button is
> now on the left! The world is going to end!
>
> OK, so what? If I look at all the window managers I've used in the past
> apart from Gnome, I count: Amiga OS (1.3), Motif, CDE, Ye Olde Mac
> Classic, Mac OS-X, whatever the WM was on SunOS 4.x and the old HP-PA,
> Windows 3.1 to Vista. The only thing I can say is that the positions of
> the Close, Minimise and Maximise buttons has been quite varied. In fact,
> the only OS in here that ever had the Close button in the top right
> corner was... Windows 95/NT4 and above. Every other one had it in the
> top left corner.
>
> The current argument reminds me of the time when we upgraded customers
> from Windows NT 3.51 to NT 4. Microsoft did something terrible with NT
> 4: they replaced the application launcher window with this weird bar at
> the bottom that had a "Start" button and they moved the Close button
> from top left to top right! How dare they? My customers were up in arms.
> Granted, considering said customers were FX and equity traders, some of
> them had an IQ inversely proportional to their earnings and found it
> difficult to adapt to the change, but still. Every time I visited them,
> I was told: "We'll call your boss, you'll lose your job over this! We'll
> go to the competition! Microsoft will crash down in flames for doing
> this!" Did I lose my job? No. Did they go to the competition? No. Did
> Microsoft crash down in flames? Hell no, otherwise we wouldn't have bug
> #1!
>
> </sarcasm>
>
> Having said this, is this a major change? Yes. Should it be pulled back?
> No, not now and here's why:
>
> 1. Despite the fact that this thread seems to indicate that the whole
> Ubuntu community is up in arms, this is not the case because the sample
> of users in this thread is a self-selecting one. The users who see no
> problem with the change will never find this thread because they won't
> go looking for it. On the other hand, every single user who disagrees
> with the change will go to Launchpad, find the thread and add his own
> negative comment. So whatever data this thread contributes to the
> problem is by definition biased and should therefore not be used in the
> decision. On the other hand, that same data provides an interesting set
> of test cases as it shows a varied range of opinions and experience,
> which is useful for my second point.
>
> 2. Such a usability change can only be validated or invalidated by
> widespread user testing. No amount of polls, reviews or limited
> usability studies will tell you whether the change is a good one or not.
> And, guess what? A beta release is exactly the right way to do such
> testing: it's stable enough that you can give it to non-technical users
> but you still have the option to correct bugs before the final release.
> I suspect this is exactly why Mark Shuttleworth said that the ...

Read more...

@Mark Shuttleworth

> There's a job waiting for you at a tabloid, if that's how you treat
> commentary. Isolating snippets and using them out of context is just rude.

So, instead of answering him, you criticize him of "taking quotes out of context" when I looked and saw that, amazingly, he didn't. Instead of shutting out suggestions, maybe actually read them. Now, if you like it, that's fine, it's your very own look and feel for your distribution, but take some consideration into the feelings, comments, and suggestions of people who actually use it. I most relate this to a quote: "I've never lived in a building without my name on it." - Ivanka Trump. And it seems like you won't use a distribution without your name all over it. Well, at least I hope you eat your own dog food.

Download full text (4.5 KiB)

On Fri, 2010-03-19 at 00:41 +0000, Dave Stroud wrote:
> Bruno Girin wrote:
> > <sarcasm>
> > <disclaimer>this tag may include content you can't see the funny side of</disclaimer>
> > <workaround>please read the whole post and go have a walk before replying in anger</workaround>
> >
> > Oh dear! A pre-release version of the next Ubuntu includes a massive
> > change to an essential element of user interface: the close button is
> > now on the left! The world is going to end!
> >
> > OK, so what? If I look at all the window managers I've used in the past
> > apart from Gnome, I count: Amiga OS (1.3), Motif, CDE, Ye Olde Mac
> > Classic, Mac OS-X, whatever the WM was on SunOS 4.x and the old HP-PA,
> > Windows 3.1 to Vista. The only thing I can say is that the positions of
> > the Close, Minimise and Maximise buttons has been quite varied. In fact,
> > the only OS in here that ever had the Close button in the top right
> > corner was... Windows 95/NT4 and above. Every other one had it in the
> > top left corner.
> >
> > The current argument reminds me of the time when we upgraded customers
> > from Windows NT 3.51 to NT 4. Microsoft did something terrible with NT
> > 4: they replaced the application launcher window with this weird bar at
> > the bottom that had a "Start" button and they moved the Close button
> > from top left to top right! How dare they? My customers were up in arms.
> > Granted, considering said customers were FX and equity traders, some of
> > them had an IQ inversely proportional to their earnings and found it
> > difficult to adapt to the change, but still. Every time I visited them,
> > I was told: "We'll call your boss, you'll lose your job over this! We'll
> > go to the competition! Microsoft will crash down in flames for doing
> > this!" Did I lose my job? No. Did they go to the competition? No. Did
> > Microsoft crash down in flames? Hell no, otherwise we wouldn't have bug
> > #1!
> >
> > </sarcasm>
> >
> > Having said this, is this a major change? Yes. Should it be pulled back?
> > No, not now and here's why:
> >
> > 1. Despite the fact that this thread seems to indicate that the whole
> > Ubuntu community is up in arms, this is not the case because the sample
> > of users in this thread is a self-selecting one. The users who see no
> > problem with the change will never find this thread because they won't
> > go looking for it. On the other hand, every single user who disagrees
> > with the change will go to Launchpad, find the thread and add his own
> > negative comment. So whatever data this thread contributes to the
> > problem is by definition biased and should therefore not be used in the
> > decision. On the other hand, that same data provides an interesting set
> > of test cases as it shows a varied range of opinions and experience,
> > which is useful for my second point.
> >
> > 2. Such a usability change can only be validated or invalidated by
> > widespread user testing. No amount of polls, reviews or limited
> > usability studies will tell you whether the change is a good one or not.
> > And, guess what? A beta release is exactly the right way to do such
> > testing: it's stable enough that you can give it...

Read more...

@ Atel Apsfej:

Wow. I am baffled about your ability to write and think. Here are writing many genius, but not all here have your ability to say it clear, with good arguments (points) and the cruel reality without being offensive, arrogant or simply unrespectful. I saw you are member here since February here and I don't know how much time you're familiar with Ubuntu and how much is your knowledge about Canonical's politic. I am with you with the most things you said, but nevertheless we are talking only about some simple control-buttons moved from the right to the left. I am really shocked about, how polemic that gewgaw is handled by the community. To be honest, and now I come to that what you wrote, is your wish about the transparency between Canonical and the community:
I think there are some important cases where a work-together and transparency would be really nice. But do you really think that this - buttons - are a essential and important element which has to be supervised by the community? We have to spend all our spare time and energy for this thematic? This peanut can be managed easily by the design team. We should give really only "datas", no emotions and without creating a religion from it. The desing team collects "datas" meanwhile we spend our energy in truth important stuffs. For that I am agree with #234 (Bruno) Point 2.

im going to fedora if the buttons stay

Mark Appier (appier) wrote :

Pat, the buttons don't have to stay--you may put them wherever you would like. Customization is one of the really great things I like about Ubuntu and other linux distributions. My desktop barely resembles the default. Because I have a mix of Ubuntu releases and Debian as well as Windows that my users navigate throughout the day, I intend to keep default positions for the buttons for my users on the right for the remainder of this school year.

I have students in my classes who use Mac at home that have consistently moved their buttons on their desktops to the left side on Hardy, Intrepid, and Jaunty. The neat thing is that for a desktop user to move his or her buttons doesn't bother anyone else--their buttons are still where they left them. (I haven't actually implemented Lucid on any machines in the lab because it is still in development. We tend to do the LTS thing on most machines. Of course, teaching Chemistry, Physics, and being Coordinator of an Eschool Program probably makes me a defining example of "geek".)

Personally, I think Mark Shuttleworth's idea for "the default position of the window controls will remain the left, throughout beta1" is a good idea. This should give the team a good opportunity to collect solid, objective data. At this point almost everything, excluding aysiu's poll and including my examples, is completely anecdotal. Just the activity on this bug and in the forums indicates that this issue justifies some study using the scientific method. If the button order and left placement truly tests out better and is easy to accommodate, this stands a chance of really setting Ubuntu apart from the pack and competing with the big guys. Add a new functionality on the right hand side, and we have icing on the cake.

In the meanwhile, if you like the buttons on the right, as is my personal preference for the time being, then, put them on the right. Unlike the GUIs found on some other proprietary operating systems, you have the freedom to implement it however you would like.

Thanks again for a wonderful operating system!

Mark Appier

mangwills (mangwills) wrote :

My mouse cursor usually hovers around the right side of windows because the vertical scroll bars are on the right. Also, since I read left-to-right, it seems easier to interact with windows at the right side.

I usually close, minimize, or maximize windows and work with menus using the keyboard, so I think I can get used to a "left-handed" window controls.

personman (personman-145) wrote :

But on a more serious note, people have looked to the top-right corner for window controls since Windows 3.1 atleast. Unless he is reserving the top right corner for some magical blow-job button, I think he is going in the wrong direction.

server_3249 (server-3249) wrote :

I think it's amazing how Ubuntu manages to screw up every major version with some serious deal-breaker. 9.10 broke my wireless and graphics drivers (that worked perfectly in 9.04), and asked me for a password every minute. I never got to using it. And now 10.04 comes along with ridiculous purple colors and window buttons with changed position by default. I mean seriously don't you have enough problems with Ubuntu? There are more pressing UI failures in Ubuntu than window buttons. Why do you need a stupid double taskbar and the user to type a password (that can't even be set to a short one) every minute- Not all users are dealing with government secrets you know? - is something I have never understood.

You should start thinking of messing with such things once you have as much UI poish / taste as Firefox. Also Mark Shuttleworth's attitude to this whole matter has been egregious, rude, haughty and alarming. You just lost another user.

Yann (lostec) wrote :

Looking back at this thread, the issue seems completely misunderstood by Ubuntu representatives.

Maybe to understand the debate, it should be made clear that this is the straw that broke the camel's back!

Someone hereupper complain about regressions every 6 months... the most annoying and not quirkable maybe the wifi: In a world where more laptops are now shipped than desktops, do you think this is a minor issue? As well as constant changes in acpi/power management that break suspend since... Dapper! No, it's not.

For wifi, since ipw replacement by iwl, Intel boards (so widely shipped in centrino based laptops) are subject to regressions since 2 years (and latest LTS, still not reliable): Yesterday I tried the lucid dailly build ISO (probably what will be the b1): My 3945 was at 60% strenght, limited to the worst modulation sheme (that limit wifi g BW to 1Mb/s!), 3 meters from AP... That's worse than hardy...

More surprising, I'm now trying alternatives: One of them caught my attention, PCLinuxOS. Same iwl driver, but full strenght and BW, a beta that works like a charm from live USB with nvidia proprietary drivers loaded: Never seen that before.

I don't know if I'll keep hardy till next year support end... and switch to Debian 6.0 that should be there meantime... or try something that is still more on the edge, but with users in mind (because sticky to the basis, as ubuntu at the beginning: Good HW support, acceptable reliability, clean interface without social networking stupidity/Apple bad copy. Hassle free rolling release: Another user centric feature delayed by ubuntu by 6 months... every 6 months!)... but upgrading to lucid is no more in my plans even if a full reinstall bothers me.

The confusion between what democraty should trigger (general long term distribution orientation, usability priorities...) and what meritocraty should apply to in ubuntu process (kernel/driver expertise, applicative sw test and integration)... is really worth reading!

Tom Arnold (g0tt) wrote :

OK, just a short comment:
I like change and I think Ubuntu should be able to change things to be better than their competition.
But I also use Chrome, Kubuntu and Windows and this is really hard to get used to (I tried for weeks now).

IMO it is better to change these things with upstream in Gnome 3.0 and not in a LTS.

Thanks to all that care about Ubuntu

mystiko (tvodv1) wrote :

I am somewhat disappointed that none of the community contributors as so far is aware of the real intentions of this issue. Moving the buttons to the left is not a change for the sake of change as someone earlier supposed.

No, they are keen enough at Canonical's and have weighted this carefully. As is admitted in the mean time the movement has to do with freeing space on the right side of the desktop. But they cannot say why, for it is somewhat controversial. And neither Microsoft as Apple has done this so far.

It's all about introducing commercials to the desktop!

Yes people, as off Ubuntu 10.10 we can enjoy banners, pop-up windows and so on.

Such as: “You have been busy for an hour now, take a Coca Cola for new Energy”

or if you typed the word “boat”:
“Happy Hollydays offers you a 3-day mini-cruise to the Bahamas for the awsome price of $...”.

Oh, you don't like advertisements on your desktop? Well Cannonical can supply you with a commercial free version of Ubuntu at the reasonable price of $49.99.

Is this weird? Time will learn. It works this way on the internet. For this moment take a deep breath (or two).

Mr. X (obvio-capitao) wrote :

> My mouse cursor usually hovers around the right side
> of windows because the vertical scroll bars are on the
> right. Also, since I read left-to-right, it seems easier to
> interact with windows at the right side.

That's a very good point.

There's no sense moving the min/max/close buttons to the left, if the scroll bars are still in the right.

Perhaps the UI designers were trying to open space for the notifications? A better solution would be to display the notifications in the bottom right.

On 19/03/10 10:53, Mr. X wrote:
>> My mouse cursor usually hovers around the right side
>> of windows because the vertical scroll bars are on the
>> right. Also, since I read left-to-right, it seems easier to
>> interact with windows at the right side.
>>
> That's a very good point.
>
> There's no sense moving the min/max/close buttons to the left, if the
> scroll bars are still in the right.
>

Our design roadmap calls for us to reduce the visibility of scrollbars,
and emphasise:

 - touch scrolling
 - scrollwheels

Most people don't scroll with the scrollbar any more. The use the
scrollbar to gauge "how much fo the document am I seeing".

> Perhaps the UI designers were trying to open space for the
> notifications? A better solution would be to display the notifications
> in the bottom right.
>

No, notifications were not the primary driver. Moving the window
controls to the left does ease the interaction with the notifications,
though.

Mark

> No, notifications were not the primary driver.

Why not simply say that you cannot tell us the reason? :)

Paul Sladen (sladen) on 2010-03-19
description: updated

@Mark

Scrollbars are still very useful even with a mousewheel, when navigating in a large document for example by either scrolling the bar or middle clicking, please don't kill them at least *before* something as useful is implemented :)

Furthermore, a lot of users (at least around me) don't even know how to use touch scrolling (or hate it because it's 'hard' to use).

Philippe

Mr. X (obvio-capitao) wrote :

Mark Shuttleworth wrote:
> Our design roadmap calls for us to reduce the visibility of
> scrollbars, and emphasise:
>
> - touch scrolling
> - scrollwheels

If you are actually considering touch scrolling, than you should also consider that touch screens are much less precise than mouse pointers: the mouse contact area is exactly 1 pixel, while fingerprints spread across a significant area. That is a good reason to keep the close button out of the way.

I really love Ubuntu, and want it to succeed.

Neil Broadley (scaine) wrote :

Shouldn't this bug, by now, be assigned to someone on the desktop experience team? And can anyone confirm when a decision will be made regarding this?

And still no comments from anyone who was responsible for this? Other, obviously, Mark himself. Or any rebuttal to comments made in post 71?

Martin Meyer (elreydetodo) wrote :

Forgive me if I'm confusing this bug with the one about moving buttons back to the right side of the window, but I actually like this order:

gconftool-2 --set /apps/metacity/general/button_layout --type string "minimize,maximize:close"

It seems to me that there is some argument is around having the close button so close to non-destructive menus. So why not move it back on the right and leave the other two on the left? I'm finding that I kind of like having minimize and maximize over on the left, just not close so much.

FWIW, I do prefer minimize on the left of the maximize button. I can't really explain why.. it just seems right. It could just be an i've-always-had-it-this-way thing. I can't be sure.

Would it be possible to put a new tab in the Appearance capplet to control position of the window manager buttons? Maybe if we make this easily configurable (via GUI) it will enough for people? It'd be nice to have a little preview of what the top border would look like and allow the buttons to be dragged to different positions.

splashis (splashote) wrote :

I totally agree with all the people that don't want such a big change in an LTS.
As Mark said: He wants to free space for something "NEW", but people want to work with an LTS for several years and don't want to be bothered by a design based on an "in between" conception.
If you're sure you want to do it, ok, keep discussing with the community and implement it in 10.10 but NOT IN A LTS-Version!

Yann (lostec) wrote :

"
Our design roadmap calls for us to reduce the visibility of scrollbars,
and emphasise:

 - touch scrolling
 - scrollwheels

Most people don't scroll with the scrollbar any more. The use the
scrollbar to gauge "how much fo the document am I seeing".
"

Hum... I think the very long list of concerns in current bug is a very good test to see how much this is wrong (as navigating in any long single paged document, like source code...).

Experiment using a touchpad or a scroll whell on this report and hear your fingers complain! Scrollwhell is useful for line to line precise navigation. Elevators are more appropriate to move quickly on large areas.

So both are usefull and current global ergonomy, after about 25 years of fine darwinian tunning process, again really make sense.

This would be another error, for mainstream computer use IMO.

Maybe for a MID or a tablet interface, something else could make sense: But I don't see touchscreens going in generalist computer area, there is too much people upset by fingermarks on a computer screen for this concept having any future oustide very specific use cases.

hills (hills) wrote :

According to comment #208, if we are going to change button position and order, this is the best:
(left:) maximize, (right:) restore, minimize, close.

scholli (scholli-tz) wrote :

I hear alway touchscreens as argument. But it's a funny argument in my eyes. The pick-up'ed Icons on the panel, switch off - button on the panel, control-buttons (right or left), hide windows-applet, ... all is too small for that feature. Honestly it needs a different Desktop-Interface like the Ubuntu-Remix for Netbooks is, but THAT as an argument is ridiculous.

# 253: I think it's a bad idea separate the control-buttons. Firstly it's looks hideous and second ... mhh I don't know. Don't like it. Before that, better put it all together to the right side. The best is left. Menu, toolbar-buttons etc. all in a ratio near together. I am faster now and have shorter mouseways since the new change. ,)

John Talbot (jwtalbot) wrote :

My opinion...
Love em on the left!!

My 2 cents worth:-

1. From a purely productive point of view, having the minimize, maximize and close buttons near the menus saves having to move the mouse pointer to the opposite side of the screen under certain circumstances. Personally I would rather waste untold seconds of my life enjoying a good book or a nice wine than moving my mouse pointer unnecessarily.

2. I totally agree with the view that this isn't and shouldn't be a democracy. Coming from a Gentoo background, when Daniel Robbins left (along with autocracy), and the "council" came into existence (the beginning of democracy/meritocracy), seemed to be the start of some problems with Gentoo.

Basically when everything has to be decided by committee/consensus view it a) slows the decision making process down a lot and b) some pretty silly decisions get made in the interests of trying to keep everyone happy.

Personally I would rather have things move forward and improve quickly at the expense of a minority of decisions I don't agree with. The crux may come when a lot of decisions aren't agreed with by a lot of people and then the distribution becomes crap. We aren't there yet and as long as Mark Shuttleworth and others in the upper echelons remain conscientious it probably won't happen.

Andreas Scherf (scherfa) wrote :

I think most people are right handed and now their way (with the mouse) is greater than before.
Please let the icons on the right side of the bar. Users who come from another OS are confused and so they
search for an alternative OS. Stop this wired things.!!

Matt Wagenknecht (mattwag) wrote :

ok. guys.. I didn't read all the posts because the bickering started to make my head hurt. I am as passionate about Ubuntu as most of the people that posted here. I'd show you the tattoo but it's in a private place. :) Seriously, the passion of this argument is good but not directed in the right place.

Stop and think for a second.. Dismiss all the personal attacks and clear your mind. What is one of the primary reasons that people have embraced Ubuntu so passionately? Most of your personal answers can be boiled down to one point: openness. The ability to make it your own. While I understand the reasoning to dress up the new OS to a more appealing look, it changes the usability of the interface. I don't agree with it, but I understand it.

It has been assumed many times that the purpose of improving Ubuntu is to increase market share. Considering where the majority of the market share lies, Ubuntu defaults should focus on making those users (who are primarily very, VERY non-technical) comfortable with switching over. It's a sad fact, but if you make non-technical users have to think about basic usage actions, they will be less likely to switch. Most of them don't even know what a DOS prompt is in their old OS, much less a terminal in this new OS. Look at it from the perspective of the target audience, not the perspective of us that have been using it for years.

If one of the goals of the new release is to pull users from the OSX religion, you are on the right track. However, I can tell you that you won't be nearly as successful as you would be targeting another market. You're are not investing your resources well at all.

Rhetorical question: How hard would it be to add a toggle button under Customize Theme in the Appearance dialog? If it restricts the ability to build custom themes or opens a can worms, fine.. toss a shell script somewhere safe for those of us that could actually find it, instead of requiring non-technical users to find threads like this to feel comfortable.

"Window-Buttons-Editor" or *mwbuttons* ("Metacity Window Buttons"}, as the
original script

was called, (c) 2010 Pablo Seminario <email address hidden>.

Is a simple GUI script to place the buttons on the Titlebar in any order,
and right or left.

Create a link, put it in the menu, desktop, menubar, etc.-

The only thing missing is an option to center, or right and left the *Title
text* in the Title bar.

I am sure that a script could be created and added to enable Title centering
into the

"Window-Buttons-Editor" or "Metacity Window Buttons" script, perhaps also
adding a

"Window-manager icon" (/usr/share/pimaps/other/Windowmanager.png) to the
link,

or what ever icon you wish to choose.

The *"attached*" file is the script for Window-Buttons-Editor.

BavarianPH,
Ubuntu forever!

Amazing, what a fuss just because it was decided to move some buttons to a different side

This is a setting and not a hard coded feature... it can be changed by the user.
Let me guess all here complaining still have the default wallpaper, theme, login splash, ... you never changed nothing
from the default settings.

What is actually the problem when this setting can be easily changed?

Jef Spaleta (jspaleta) wrote :

scholli:

I make no claim that this particular issue is as important as the emotion displayed in the discourse would suggest.

It's like when I have a big argument with my wife over something small. Once the emotions are spent and we rationally talk through why the out-of-proportion argument happened..It's never just that one small thing. It's a series of small things..and that one just happened to be the one that triggered the release of built up frustrations. More often than not the underlying problem is that one of us is not communicating well enough about requirements,intentions and plans to the other person.

Maybe the out-of-proportion response here is indicative of a systemic lack of communication from the design team about their plans and vision.

Contrast how the Canonical design team works with how the recent Gnome hackfest participants communicated what was going on at the event. http://live.gnome.org/UsabilityProject/London2010

Out of all the listed participants on that page with blogs... how many of the non-Canonical employees made an effort to communicate back about the event to the Gnome community via the Gnome planet. I can count multiple posts from participants employed by several other companies making a concerted effort to communicate to the rest of us in the Gnome community where the design discussion was going from their expert pov. How many Canonical employees made a proactive effort to communicate what was going on? I don't remember seeing a single Canonical employee who participated in those design discussions blogging about it in the Gnome planet feed.

I mention that little caveat because I think it speaks to the underlying problem..a problem that will persist and color all future interactions with the community over differences of opinion in design decisions. That problem is a a lack of proactive communication on the part of the Canonical design leaders about what's going on. This should be a big concern for the community watchdogs inside Canonical. How the design team, and its growing influence over the Ubuntu experience could be the genesis of a systemic, insular corporate culture inside Canonical that is more concerned about dealing in a reactionary manner to community feedback as a drain on their productivity instead of proactively communicating a roadmap and soliciting the community for feedback early on in the design process.

It's really easy to brush the egregious emotion over this one design issue aside and chalk it up to a small number of malcontents. But even Shuttleworth got dragged into making uncharacteristic personal attacks in this report. That should send up a red flag. There's something else going on here that is causing an out of proportion response. And if I'm right about the underlying problem, then the communication break down between designers and the community is just going to get worse unless its dealt with.

linex83 (linex83) wrote :

It is my opinion as well that the button should be in the right edge, because this is where ALL users are going to look for it.

owen.c (owen-c93) wrote :

I would just like to add that this is very hard to trackpad users. Pushing the mouse to the right takes longer and is harder to do. Pulling your finger is much easier.

If I had to test a location for the buttons I would use the center.

Hopefully you consider laptop users in the decision.

enb (elitenoobboy) wrote :

Fine, move the button thingies to the left. Whatever. But the least you could do is give the users the ability to move it back using the gui, by putting something in the preferences> appearance config menu, so they don't have to mess with gconfig to get the buttons to where they are consistent. Is that too much to ask for, Marky?

bwat47 (bwat47) wrote :

I agree with Luiz Felipe Talvik.

Changing it is not only completely pointless but it is just annoying the users and it is completely inconsistent with every previous version of ubuntu and every other distro (for no reason)

CyrusCT (cyrusct) wrote :

I think the real problem here isn't whether the controls are on the left or on the right. If users don't like something, they will find a way to change it, and share those changes with other like minded users. The real issue seems to be about whether or not the novice user will be able to make such changes and how the applications and user interface respect those changes if specified.

In xubuntu, there is already a solution to this issue. When selecting the theme, there are options on the right side of the "Window Manager" window where the user can select which elements are represented in the title bare and where they are placed. These options to modify become unavailable when they are not supported by the theme. Since both Gnome and Xfce are based on Gtk, it shouldn't be too hard to add these configuration options to ubuntu. I would recommend including them so that they can be accessed by opening Appearance Preferences, going to the Theme tab, clicking on the Customize... button, and having them be somewhere on the Window Border tab of the Customize Theme window.

As long as the process for changing the setting can be found intuitively by a novice, I don't care where the default position is.

As for my own preference, that would be on the right, in order to be consistent with the KDE apps I use, when I rdesktop in to one of the computers at work (which much to my dismay run Win98 and WinXP).

I can see the merit of clearing the space for things to come, and not wanting the LTS release to look outdated, but if it will be 2 year before the things to come actually arrive, e.g., not implemented in 10.04.1, 10.04.2, etc., then I fail to see the benefit of doing this in an LTS. I would greatly appreciate it if Mark S. would indicate some of the intended uses, or indicate that he is not at liberty to disclose that information, and why (such as a statement indicating that Canonical can't afford the risk of their business competitors getting a hold of the prospective uses for the area). The secrecy without reason will only aid Microsoft's FUD-mongering.

Benjamin Geese (ben-8409) wrote :

I did not read all the comments here, but some of them are really annoying and stupid. i got used to the new position and now i like it. The only thing which confuses me is the shutdown button still being on the right.

All these people here complaining about the issue with google chrome having the button on the right side: it costs you only 20 seconds to change that: open the chrome options menu, click on options, change to the "personal stuff" tab und choose "use system title bar and borders". not really a hard.

In my opinion, new themes look great. with kms and plymouth, its the most beautiful booting, login and desktop experience i've ever seen on any desktop os and by far superior the the older ubuntu releases.

XFACT (avinandan) wrote :

It's very disappointing to know that people don't like to try anything new, they always like to be happy whit whatever going on and usual, Lucid tried somthing new this time and all of you are disagreeing with it :(

Very bad! i like th new feature and it's good! I strongly contrary to this bug!

On 19/03/10 18:52, Atel Apsfej wrote:
> Contrast how the Canonical design team works with how the recent Gnome
> hackfest participants communicated what was going on at the event.
> http://live.gnome.org/UsabilityProject/London2010
>
> Out of all the listed participants on that page with blogs... how many
> of the non-Canonical employees made an effort to communicate back about
> the event to the Gnome community via the Gnome planet. I can count
> multiple posts from participants employed by several other companies
> making a concerted effort to communicate to the rest of us in the Gnome
> community where the design discussion was going from their expert pov.
> How many Canonical employees made a proactive effort to communicate what
> was going on? I don't remember seeing a single Canonical employee who
> participated in those design discussions blogging about it in the Gnome
> planet feed.
>

As it happens, Canonical was a sponsor and host of that summit. We had
folks attending. We agreed not to have our entire design team there so
as not to swamp the event and make it "too Canonical", which was a
concern expressed by some of the people involved in planning the event.
Without us, it would not have happened. We are very serious about
improving the way design is done in GNOME, and invested a lot to help
all the participants improve their user experience analysis skills and
processes.

Now, you are welcome to draw your own conclusions, but please accept
that your assumptions about other people's intent and motivations may
just be mistaken.

Mark

From a support standpoint this is a nightmare.

I can see that if this was a smaller project, it wouldn't create many waves. But come on, Ubuntu is #1. I'm moving to Lucid from Hardy because of LTS. I run LTSP servers for thousands of students and teachers. They are ALL going to complain to me. As easy as it is to fix w/gconf, this is going to make Ubuntu look very inconsistent to them. That is not good for the image of Ubuntu to its users.

Jef Spaleta (jspaleta) wrote :

Mark:

I did not make any assumptions about intent or motivations on the behalf of anyone at Canonical.

What I am saying is that maybe...just maybe the Canonical design team isn't communicating enough about intent and motivation so that the external community can see individual changes in context of the long term vision. I've sketched what the consequences of a lack of communication can look like...but I've not spoken to what I think Canonical's motivations are in failing to layout a bright roadmap for externals to use to put changes into the correct context. But man, I'm so hoping its revenue generating Google Adwords in window titlebars...but I haven't actually said that yet.

What I am suggesting is that there is a lack of communication from the Canonical design team outward into the larger community. Did I at any point question the fact that Canonical cares about usability and design? I know very well Canonical sponsored the Gnome event. But sponsoring a small team event, is not the same as communicating the vision created in that event. I saw a lot of people making an effort to really communicate a larger vision of what is going on in an effort to prepare the wider community for the UI changes that are going to result of that peer-expert meeting. And because of that effort to communicate, its going to be much easier for externals to understand how each individual change fits into a broader context. Did any of the Canonical participants at that Gnome hackfest blog or any other way communicate their experience of the Gnome hackfest? Sure Canonical sponsored it...but did any of the Canonical attendees "communicate" to the wider Gnome community outside that room? Its effort to communicate expert opinion to non-experts that aids in the acceptance of the larger vision...not the simple fact that the experts are in fact experts.

What I am suggesting is that you and your team need to be mindful of a pattern of behavior that disregards the power of external proactive communication to set the context of a discussion over individual changes. I'm not speaking to what is motivating that pattern of behavior, what's motivating the lack of discussion about the benefits opening up the right side of the titlebar. I'm just pointing out its a deficiency in your communication strategy in that you haven't laid down a roadmap where this change makes sense in context. If individual design decisions continue on like this, communication is going to become more shrill which each such change.

dfoerster (dfoerster) wrote :

Already now a large number of people are upset by the changed placement of the window controls. There's still time to fix it before the release though. Just admit people don't like the change and revert it! Put up a poll if you don't believe it. Releasing this change would have a major negative impact on usability and alienate a lot of supporters and advocates.

Jordan Erickson (lns) wrote :

@Mark Shuttleworth: You said in #248,

> Most people don't scroll with the scrollbar any more. The use the
> scrollbar to gauge "how much fo the document am I seeing".

Can you site any references to this? Scrolling through this bug report, for instance, would take a LONG time with a mouse wheel.

Jef Spaleta (jspaleta) wrote :

Jordan:

I don't think you can hold up webpages this long as typical or even moderately common usage.

Having to scroll all the way to the bottom to see newest comments and to get to the "Add comment" box in Launchpad is more indicative of a design failure of the launchpad web interface itself than it is an example of the necessity of keeping an emphasis on scrollbars. Note the word "emphasis"

I think we can agree that if you have to flick your finger 100+ times on your scroll wheel or your trackpad or on your multi-touch display..to get to an input box...the webpage is broken by design.

Jordan Erickson (lns) wrote :

@Atel, Yes, the web is broken. Ubuntu is changing it's design, and the web is not compatible with it. The web must change.

Seriously?

Pablo Quirós (polmac1985) wrote :

@Atel I ALWAYS use the scrollbar to scroll, and I know more people who does.

I just hope this possible change isn't made the same way that the buttons', and some usability testing is done before doing changes that may seriously affect lots of people like me.

Not to talk about having to redesign lots of websites on the internet... and scrolling large documents in OpenOffice... are we kidding??

John Baer (j.baer) wrote :

It appears there are two items causing concern with this team.

  The first – the window control buttons are now located in the upper left hand quadrant of the window frame.

  The second - the order of the buttons has changed.

There is plenty of data to support locating the buttons in the upper left corner or upper right corner of the window frame. Which is better? I do not know but my assumption is folks do not choose an OS based on the placement of the window frame controls. If that were true Mac OS or MS Windows would be different.

My belief is this decision was not made by the flip of a coin, the toss of a dart, or the personal preference of any single individual. I believe the concept was discussed, debated, and evaluated as to adding value to Ubuntu as it exists today and what it will become tomorrow.

As to the order of the buttons, the same arguments apply.

My suggestion is let’s not be too quick to judge and give it a try. I see a "work-a-around" is already in place for those who feel strongly the placement is incorrect.

In my opinion the community should be willing to take reasonable risks to advance the user computing experience and stand ready to accept the challenges when the bar is raised.

The number of comments offered on this subject stands as evidence to the strength of the community as everyone who participates takes pride in what the final solution becomes.

Maybe the communication wasn't as good as it could have been but folks are busy and things will be missed. In some circumstances there is no right or wrong - just different.

Lucid will be a success and that success is something we can all be proud of as I believe it will set the standard for all future releases.

Respectfully,

John
Artwork Team

solca (osolares) wrote :

Respectfully I want to say that moving the buttons to the left and changing buttons position is a very bad idea, if you want to do that create a new theme and don't make it the default for the minority that wants that.

Sure, I'll vote with my feet too if you ship like that because you are not validating your users, maybe it's time to return to Debian, and I really liked Ubuntu... :(

Luckily I know understand that I can configure the buttons with gconftool. My anger is finally gone. After many times scanning the gconftool shell command I actually didn't understand the meaning of ":". The good outcome of this bug is that I have my minimize and close button back on the right. Furthermore, I "killed" my maximize button. I don't need it as I double click on the title bar.

As long as I have the power and especially knowledge (!) on how to configure my interface I don't care what the default solution is.
 After every ubuntu installation I rearrange many interface settings anyway, like reducing the workspace to a single one or moving the taskbar to the top.

For the distro upgrades I would recommend keeping the buttons at the same location. Sensible users who don't understand how to rearrange the buttons would surely get confused.

Regarding the decision making process I think it is good that Mark backs the decision of the design group. That gives the groups security that their decisions are respected. However more transparency might be helpful and for the community to help adding research (like usability studies) and discussion. The teams then can still decide on their own.
 Or perhaps we just don't know enough about how these special groups operate and it is a lack of communication / informaton.

At last an off topic wish. As a micro Karma contributer it is still very unclear to me where to post what in the Ubuntu landscape. We have brainstorm, launchpad, mailinglists with similar topics, all where wishes can be placed. With a wish of mine I went through launchpad, gnome bugzilla, a gnome mailinglist, an ubuntu mailing list and finally got no reaction, not even where it would be best to place my wish. https://lists.ubuntu.com/archives/ubuntu-desktop/2010-January/002406.html

So please give us better instructions where to contribute - perhaps with a very easy to find single (!) page as a signpost (e.g. "ubuntu lighthouse") with explanations and short use cases. Goto x when y ...

Thank you. Rafael

RegPerrin (rto27) wrote :
Download full text (3.2 KiB)

As far as I know, there have been no papers or research published on window button placement, or the advantages/disadvantages of any of the suggested positions and combinations.

What we do know already is that it appears that MS arbitrarily chose the top-right position, and Apple chose the left because they didn't want to follow MS. As with many decisions taken in the infancy of UI design, it was probably a "well that seems alright" or a "can't think of anything better right now" type of decision. These decisions have stuck with us for many years now, so there is much to be said for keeping it that way. It may just happen to be that the initial top-right position is in fact the best or close to the best position possible, and that the initial designers just got it right first time.

There is a natural ease of movement of the arm and wrist of right-handed mouse users in an arc roughly centred on the elbow/wrist area. A natural pivot-point.
This means that the top-right position for most-used buttons is an easily reached one. Top-left buttons would appear to be reached via a non-natural wrist movement, or a movement requiring small movement of the whole arm which entails more effort from the user. There are of course a series of mouse-movement enhancers (like acceleration) in the software which are designed to mitigate these problems.
There is a natural tendency to "throw" the mouse pointer towards the known position of a button, and anything which makes this easier or harder will be embraced or rejected by users.

There is also the principle of positional constancy to be considered.
If there is no conclusive evidence to show that repositioning buttons will be advantageous, then it is better to keep the status quo. There is a saying "if it ain't broke, don't fix it". People often quote this for good reason: they don't like change.
Even if something is "broken", there is often such widespread acceptance of the "broken" item, that changing it causes more alienation and or user rejection than the efficiencies a correction or fix would create.
A good example is the 'qwerty' keyboard.
The layout was set when manual typewriters could not keep up with the speed of key strikes by operators. The 'qwerty' layout is designed to slow down the user. This obviously does not now apply in the digital age, yet changing the vast majority of the populace away from a known bad design, to a proven better layout (e.g: dvorak) would be extremely difficult if not impossible.
Any hardware manufacturer insisting on this would most likely see a large drop in sales.

Keeping it all in perspective, as window buttons are probably not on the same level of user-interaction importance as the main interface device (keyboard), I would be all for change if there was good evidence showing improved window management with button repositioning, with only relatively small retraining or disruption involved. However, as I mentioned before, there does not appear to be any research to support such a change.
I would suggest there is a whole PhD in such a research topic!

If a window button layout, which is different from the accepted status-quo, is imposed upon users, then it is my consid...

Read more...

reida010 (david-reichling) wrote :

Hello,
i hope this was not already mentioned (i can't read 283 comments now) but when you use gnome-shell the buttons are very near to the activity button.
sometimes i open the overlay mode when i want to use the buttons.
This can suck ;-)
on the other side when i don't use gnome-shell i prefer the buttons on the left side.

David Reichling
ps: Lucid will rock no matter if they are left ore right :-)

scholli (scholli-tz) wrote :

# 281:

Really the minority? I had understand in a post before that 99.9% are happy with it and 0.1% unhappy... they come here in search of shout loud somewhere! and let a comment. :-) ... Well, maybe I am only saturated a little bit with the 280 comments: yes, not, anger, off-topic, chantage, ideas, datas, ...

Seriously. If there a good idea for 10.10 out and the buttons have to be on the left for that reason, why don't let them do! I was skeptic at first, too, but I noticed, with time, that it isn't so bad everybody is shouting out. Surely it will exist something for change the side quickly for everybody who want have it really on the right side or because the third-game-theme looks better with the buttons on the right side.... Maybe a ratio-button in the preferences or a simple and little Metacity-Tool!? I think we should be curios and begin to thing different and not be a old, conservative and all new hating person. I saw that someones aren't really against this, but the reason that this is a LTS, they are in panic. But if 10.04 have it finally on the right and 10.10, 11.4, ... on the left; for the mentioned new feature, the LTS will be 2 years long a strange creature! But this had said Mr. Shuttleworth yet.

Good night. :-)

On Sat, 20 Mar 2010 00:55 +0000, "j_baer" <email address hidden> wrote:
> My belief is this decision was not made by the flip of a coin, the toss
> of a dart, or the personal preference of any single individual. I
> believe the concept was discussed, debated, and evaluated as to adding
> value to Ubuntu as it exists today and what it will become tomorrow.
>
> As to the order of the buttons, the same arguments apply.
>
> My suggestion is let’s not be too quick to judge and give it a try. I
> see a "work-a-around" is already in place for those who feel strongly
> the placement is incorrect.

I have to politely take issue with this "give it a try" attitude.

Firstly I feel underestimated, do you really think I don't know what I
want? that *we, linux users* don't know what I want? Simply choosing
linux already implies having strong opinions about computers.

Secondly, I have business to do, and a life, enough free software is of
alpha and beta quality for me to be enrolled into a usability study to
justify someone's pet windows configuration I never asked for.

Thirdly, this is a LTS, do you want to make an experimental release out
of a LTS? Making it opt-in is the best option.

Fourthly, if the polls reflect the preferences of the users (when in
reality polls are visited by early adopter types) I predict most users
will simply google for "ubuntu fix window buttons" where they will find
this one liner in the forums

$ gconftool --type string --set /apps/metacity/general/button_layout
menu:minimize,maximize,close

And go about their business as usual.

Certainly this change won't break ubuntu (except for a few hundred kids
who will as a result of this hate ubuntu as soon as their school forces
them to use it) it will only make it slightly more annoying, this will
simply be added to the list of stuff we have to do every time we upgrade
like installing codecs and such.

The tragedy is, the ubuntu packers will go around thinking they made
everybody happy *while* proving everybody wrong! haha! But no, listen to
the polls, the polls are the answer.

Some else said that this is not an issue people over which choose their
distro. It's true,probably, ubuntu won't loose much users from this
change, certainly, it won't gain any. And the people who don't and won't
care will still not care. so what do the people that do care think? Is
their opinion that unimportant?

--
http://www.fastmail.fm - Accessible with your email software
                          or over the web

I would of expected a user survey to go out, or something along those lines to get an accurate, and full understanding of what USERS would feel best with. After all, ubuntu is an OS that is built around open and free ideals. Not letting everyone, or at least OPENLY DISCUSS CHANGE, is a breach of its own beliefs and mission

Seeing as that changing the side of the window buttons is a pretty big UI change, many users feel that they aren't getting a say in the changes that they dislike, and is why there are a lot of negative thoughts, with negative attitudes. But, however, if it is put into perspective, it is reasonable to be acting in such a way.

For years, ubuntu has had its window buttons on the same side, in the same order. With the new changes the buttons are now on the left, but not only that, they are in a different order. I strongly believe that this completely ruins the consistency factor of ubuntu. And on the other side, seeing as this is it's 10th release, and a LTS, it is also reasonable that there is going to be some change.

However, the main problem is that every, every, every popular OS has the close button in a corner, and never towards the center...this is probably the greatest concern of all the people who are against the change, and NOT the side of the buttons.

Whats done is done, unless the UI Freeze is lenient. But for NEXT TIME, Canonical should put extreme care in making sure users are satisfied.
(Surveys, surveys, surveys, heck, even Google is doing it!)

Tyler Brown (tylerratboy) wrote :

This has probably been mentioned many times before, however. The way I look at it, I don't mind them on the left side. What I have a problem with, is that they just threw the buttons on the left side, and left it in the same order as they were on the right, meaning the close button is on the inside, and the minimize button is on the corner, which makes things really really awkward. I've used them on the left many times before, however, when I always put them on the left I always put the close button in the corner, and the minimize button in the inside.

So, my problem isn't the fact that they did it. My problem is the fact they just swapped the three buttons and the Menu button/icon, and didn't try to re-arrange it in a way that would put the close button on a corner.

double (doppelbauer) wrote :

Moving the buttons left is a *big* step ahead. User look from the top-left to
bottom-right. Currently I am a KDE-user (Kubuntu) but will switch to GNOME
with lucid. Aligning the title left is also a very good idea. I never liked
centered titles.

RagTimE (cragtime) wrote :

very bad decision

like to have the window controls on the right

Martin Kaba (kanute) wrote :

For me it makes no big difference, left or right, if the developers want it this way, let it be. I left Windows almost 10 years ago, and I've changed my habits several times, this is certainly not going to be the last or the biggest.

steveacab (antonio.chiurazzi) wrote :

I would have a more constructive idea that respects the ideas of canonical and the ideas of some users of the community.

should also be easy to implement.

Bug #542772

2 click and we are all happy.

Jason (beatme101) wrote :

I too am strongly opposed to this change. I just hope it does not catch on in Kubuntu, or Linux Mint.

CyrusCT (cyrusct) wrote :

Does anyone know if this bug might be related to maximus failing to hide the window decorations? I am currently running ubuntu (not the netbook remix) with maximus and window-picker to maximize on desktop real estate.

Mr. X (obvio-capitao) wrote :

John Lewis wrote on 2010-03-19:
> Basically when everything has to be decided
> by committee/consensus view it a) slows the
> decision making process down a lot and
> b) some pretty silly decisions get made in the
> interests of trying to keep everyone happy.

Rafael Gattringer wrote on 2010-03-20:
> Regarding the decision making process I think
> it is good that Mark backs the decision of the
> design group. That gives the groups security
> that their decisions are respected.

I agree with the posters above. Even under pressure, Mark shows that is a true leader.

However, I still hope he will discuss the issue with the design team and revert the change.

aodhagan (aodhagan) wrote :

Honestly people. Really? This whole thread has devolved into watching a flock of birds peck at one another. Trying to belabor this process to death by having a running popularity contest of who likes what where won't convince anybody of anything. I would be willing to go out on a limb and suggest that everyone who has posted to this tread thinks the same thing now as before they posted.

I in fact have been employed within the field of human computer interaction. This type of change just really isn't that significant. It is annoying to relearn, but so is everything else ever so subtly different between any two systems. Haven't you ever sat down at a friends computer and felt the psychological discomfort that comes from having different programs installed, short-cuts in different locations, and configuration settings slightly different?

My hat's off to the whole Ubuntu community for building a hell of a system. My hat is off, and will remain so, to Mark S. for his generosity in funding Canonical and the Ubuntu community with his personal resources, including his time and his wealth. Show some gratitude and stop acting like my six year old.

Mark and the design team are making a tough call. That's what they do. That's why they are in the positions they inhabit. Even wolves and lions recognize that any group needs leaders. In the end, a committee creates excellent dialogue, but the chairperson has to make the decisions and live with the results.

My two cents suggest that the current position of the close button on the right side of the three windowing buttons 'feels' wrong. The buttons were kept in the same order as on the right, but simply moved to the left. Understanding the danger of using the same layout as Mac OS X, and the comments of copying and emulation that will undoubtably ensue, the close button seems to belong in the corner. However, its not my call. I love enough about Ubuntu not to get in a huff over one issue. If a persons commitment to something can't even weather one issue failing to meet expectations, then their commitment was zero anyway.

Thank you again to everybody who has worked so hard to make Lucid such a well developed system, especially those whose contributions have spanned not only this release, but all those that came before - those long hours of incremental improvement have made this a highly anticipated release in my Free Software experience.

To whom it might concern:

- The proposed changes should not happen suddenly on a LTS.
- Things should happen for a reason: Do you have a way to show us where this is leading to? Do you have factual data that supports that this is the best solution?.
- Our changes and customization should not be written over. It's understandable that a new installation will come with new features and different options than before. It's not unreasonable to ask that, when upgrading the distro, changes are not overwritten, so our options get respected.
- A way to opt out some of the proposed features would be also great to have.

While this community is not a democracy, one would expect real respect and consideration from whomever has the steering wheel.

So, basically, what many us, the community, are doing here is affirming their right to disagree with you, the company. Yes, we can disagree with your decisions, that's what ultimately Linux is all about; we customize our desktops to suit our needs. What we need from you is respect, so that your decisions don't affect ours and our productivity overall.

Optimus55 (andre-richards) wrote :

I honestly can't believe what I read here.

Mark's response to fewt were clear and very truthful. If everyone out there got to make design decisions for ubuntu, it would ship by default with hundreds of xp, vista + osx clone themes and thousands of tasteless bikini wallpapers with "ubuntu" tagged on.

This thread almost makes me want to stop using ubuntu not because of the window borders, but I don't want to be associated in any way with the kind of people I see here, crying and complaining. Completely disgusting.

Mark Appier (appier) wrote :

Optimus 55, if you don't like the ability to customize your desktop or implement alternative themes, there are a number of proprietary operating systems that already accommodate you. As for Ubuntu, one of the really neat things is that it does have a number of themes that ship with it as well as several hundred if not thousand variations and alternatives that are desktop ready on art.gnome.org. To me, this is a plus, not a minus.

Regarding the community, the reason there are so many comments is because there are a lot of people that care about Ubuntu. If a similar change were made on one of the less popular distributions, hardly anyone would notice. People are here that want to see it succeed!

Michael Noyce (miken) wrote :

Personally, at the time of writing this, I do not like this change as it seems to be more a change for changes sake in an effort to simply be different. There seems to have been an element of groupthink in the design and decision process. This is a pity because for the most part, despite a few edge cases here and there, I actually quite like the look of the new Lucid themes.

The top-left of the window is now overloaded and looks cluttered with the window buttons, window title, application menus, and icon bars. Even more so when the window is maximised and you have the Gnome Panel and Gnome Menu Bar in the top-left as well. The old Window layout was more balanced with the actual application icon, window title, and window buttons spaced across the top of the window. (I have not tried this with Gnome Shell yet, but I can foresee problems unintentionally entering the Activities Overview. And just to add to the confusion when using the Activities Overview a close button appears on the top-right of the window under the mouse.)

Even after several days usage I am struggling to over come my muscle memory. I still instinctively move the mouse to the upper-right to maximise, minimise, and close my windows. When I then look at the top-right of the window to actually select the window button I want I have found myself momentarily confused ("Hey, where are the window buttons?") before correcting myself ("Hey, they are on the left now, remember."). I still get caught out using the maximise and minimise buttons.

Perhaps this is being made more difficult because I am also using other computers running Windows and Karmic so the existing muscle memory is being re-enforced using these. Whatever the reason, I am finding it frustrating and it makes the time to perform the intended action longer.

I am sure there are usability and GUI experts out there that would have a field day explaining why this is the case. Thankfully, unlike some other desktop environments, with Ubuntu I can change the theme and window button positions if I decide this change is not for me in the long-term. I guess time will tell.

I'm against making that change, at least now, without having them a few
months in "beta testing" for find out all the "regression bugs" that it
generates and how the people feel about it.
Maybe since the first 10.10 alpha?
>
> The fact that this is an LTS cuts both ways. If I'm confident that
> 10.10, 11.04 and future releases will have the controls on the left, it
> makes even more sense to do it now (because the LTS will then not look
> dated compared to newer releases). As a precedent, we shipped Firefox
> 3.0*beta* for 8.04 LTS, which caused an uproar but was the right
> decision given that 2.0 was nearing its end of life at the time.
>
I don't think that the FF 3 situation is the same, you knew that a few
months later everything was going to be OK.
Now you will have a half backed solution that will still around for 2 years.
I think that you can always give the 10.4 users the option to move the
buttons to the left in 6 months in an update if all those experiments
work out.

> Our design roadmap calls for us to reduce the visibility of scrollbars,
> and emphasise:
>
> - touch scrolling
> - scrollwheels
>
> Most people don't scroll with the scrollbar any more. The use the
> scrollbar to gauge "how much fo the document am I seeing".

Please don't get rid of it, I don't think that the mouse is going away
any time soon, specially in the enterprise and the scroll bar is the
best way to go directly to a specific point in a large document.

Moved them back to the "right" side from the left ("wrong" side for me) by doing this thanks to iRock:

gconftool-2 --set /apps/metacity/general/button_layout --type string menu:minimize,maximize,close

Among other things, with them on the Beta default left, I frequently lose a line on the 1024x768 laptop display. I need every line I can get.

Jerry

Optimus55 (andre-richards) wrote :

@Mark Appier,
I couldn't agree with you more. The reason there are so many comments is because people do feel passionate about Ubuntu, which implies they are doing something very right. I love customizing my desktop and understand that if i want to change something, I can.

It doesn't matter if I like the button placement by default or not. I have the option to change it.

My problem is with people who are seriously offended because ubuntu has made a design change which they (ubuntu) believe will help them advance linux desktop usability and differentiate the product from dozens of other run of the mill distros.

You need to understand. Ubuntu has done leaps and bounds for the usability image of linux based OSes. They got to where they are by doing what they were doing all along. Why now should the process change? People shouldn't feel a god-given sense of entitlement to control the development decisions. The code is open, you can make your own changes to the interface, you can even contribute ideas and suggestions.

It's fine if people disagree, but disagree respectfully. Offer a ppa or workaround option. Show something quantifiable.

I feel glad knowing that there are so many passionate open source users. Just do it logically and with taste is my advice.

Pako (elektrobank01) wrote :

Putting the buttons on the left side is very functional. Make a test and you'll notice that whenever you open the window, the pointer is always closer to the left than the right side of the window, meaning less pointer movements over the desktop.

owen.c (owen-c93) wrote :

Fine add it as an option to put it on the left, but leave it on the right for default as the little gain (which is very debatable) does not to weigh the outrage from users. Look at what yo have from alpha testers which are people who expect change and want to try something different.

Imagine what will happen when the other (less tolerable) 99% realise, and then find out how you completely ignore the testers input (in this case).

And if you are stuck on the idea then add it as an option on the live cd so the user can choose upon installation.

Denis.K (dkorkut) wrote :

@Mark Shuttleworth (if you still check this)
Given the amount of disappointment, I (as well as the design team) would listen to what people are saying, but of course, you said it wasn't reasonable to do so for the future (for new features). Then at least give our thoughts *some* consideration.

Since the decision is to put the buttons on the left now, the only logical, and understandable action to take would be to completely mirror the original layout onto the left. Therefore making the order, Close - maximize - minimize. Note that this still isn't the same as OSX. (OSX-Close, Minimize, Maximize)

Now, I can see you give the counterpoint that it's in the same order on the left as it is on the right. Sure it's a valid point, but the brain still tends to want to click the [left] corner to close, because it used to be in a corner originally.

I still don't understand what is holding us back from keeping the button layout on the left, but in a different order. If you could explain, it would be great, so people, like me, will stop worrying and trying to give counterpoints in an attempt to persuade somebody, that might, or might not be listening. (It's like firing a gun a night)

There should not be any reason to not make a huge change, slightly less easier to adapt to.

Thanks, and I hope you and the design team will still consider some sort of change to the order.. of course, if you had the time to read this.

Vish (vish) on 2010-03-22
summary: - [light-theme] please revert the order of the window controls back to
- "menu:minimize,maximize,close"
+ [Master] Window Control buttons: position/order/alignment
description: updated
Oded Arbel (oded-geek) wrote :

I think the main problem with the new button order, and the reason why the close button is where it is in MS-Windows and MacOS-X, is that the close button is the most used buttons of the three window controls and it needs to be somewhere that is static and easy to get to.

Because some windows have all three window controls, some have only two (like status dialogs which cannot be maximized) and some even have only the close buttons (like a modal dialogs) - then in Lucid, sometimes the close button is the farthest left, sometimes its a bit in from the left and sometimes its the third button on the left - often with no rhyme or reason.

Someone above mentioned RSI, which is a good argument but its worse then that, Jim - its simply hard to know where to hit when you go against the grain because muscle memory and Fitt's law want to target the far corners. The user has to make the conscious effort of clicking somewhere else.

I personally don't mind if the buttons are on the left or on the right, as long as the close button is in a consistent location. I think the suggestion made by several people to have the maximize and minimize buttons on the left and the close button on the right is a good compromise.

Pako (elektrobank01) wrote :

Well, here is the second reason why LEFT buttons are better, ESPECIALLY FOR RIGHT HANDERS. If you lay your hands on the keyboard you''ll notice that the right hand is always pointed to the left corner of the monitor, it's a natural placement of hands and wrist, that's why moving cursor to the left side of the monitor is always easier, especially for right handers who prefer to use touch-pad instead of mouse. It's a law, it's a pure physics. Do you remember the Ergonomic Keyboards? Did you ask yourself why the buttons are curved?

Aigars Mahinovs (aigarius) wrote :

Pako, that's exactly the reason why window manipulation actions should be on the right - the left is crouded with easy to access and easy to target application menus and toolbars, it is also close the the Applications menu, but if you *really* want to close a program, this action should significantly differ from the routine movement to the top-left, that is why the close button MUST be on the top right, so that there is zero chance of confusing this very destructive and rare action with all the other actions that we do all the time in the menu and on the toolbars.

scholli (scholli-tz) wrote :

Aigars that is the wonderful thing that all is left. The start-menu on the panel. The windows with their control-buttons, the menu, the toolbar-icons, most important bookmarks, tabs, ... Wow, it's really faster work with it. I never clicked bad, because I look quickly and target well... like always. The scrollbar is on the right - it's a one-moment action to come to the point in a long list I wont to be. From there I use the wheel of the mouse for slight moves on the page. If I have open windows (inactive and above) they are situated generally on the right side of the screen. So I can click on them to activate without running in danger to click some of the control-buttons. Maybe the close-button on outside side would improve the stuff a little bit more, but I can work with the current positions well, too. I noticed, too that many peoples at first was shouting against, but than they gave a try and they changed their opinion... like me.

I know Ubuntu since the beginning as something different, better and this is why I like Ubuntu so much against the rest.

Aigars Mahinovs (aigarius) wrote :

Too many control elements in the same place actually increase distance between all of them due to Fitts law - if there are many elements in one area, you need to slow down the mouse movement to accurately hit the one specific target you are aiming for. Moving such dangerous button as 'Close' into the mix increases it even more as you will want to be REALLY careful not to close your window by accident.

In short - moving these buttons left actually decreases the speed that you can work with menus, toolbars and Applications menu - in has a hard negative impact on the usability of all elements around it. While a rare 'Close' action might be sped up a bit, all the freqent actions of accessing the menu, using toolbar buttons and using Applications menu are significantly slowed down by the presence of the explosive 'Close' button in that area of the screen.

While you might the merfect mouse sharpshooter, keeping in mind the needs of people with less precise mouse movements is also important - the precision needed to hit these buttons on the left among all the other control elements there is much higher than before - people with special needs and movement problems will have a much harder time navigating this environment.

This is why I would recommend the layout of 'minimize,maximize, title ,close'. Accidental clicks on minimize or maximize are easy to undo and maximize can be also accessed by double-clicking the title, so minimize should be in the corner as it is harder to access otherwise.

Spang (hetkot) wrote :

Look I'm not opposed to progress, if I was, why on earth would I mind installing a beta OS. But the concept behind progress is that there is actual improvement. Changing things for no good reason is simply unproductive.

Why could you oppose change in this case. Because it forces us to change habits, more specifically in this case automatisms. Automatisms allow us to live life without having to think about trivial tasks. They aren't there when you're born, but are built with experience, which takes time. By forcing people to change automatism (for no good reason) your actually forcing people to waste "thinking time" on trivial actions. It's like changing the order of the throttle and the break in a car, just because the designer liked it better that way?

If the potential fancy new toy in the right corner was actually there, people wouldn't be feeling that the changing effort is for nothing.

And by the way, for those who state it's all about options. Yes, options are great, but they are no excuse for poor decisions. By which I'm not stating this one is a poor decision. I do strongly disagree with it though and form me it's back to menu:min,max,close for now.

phede92 (phede92) wrote :

For Mark

Ubuntu = Mac OSX

scholli (scholli-tz) wrote :

@ Aigars

"Moving such dangerous button as 'Close' into the mix increases it even more as you will want to be REALLY careful not to close your window by accident."

This should be the reason why the ’Close’-button is in the third place... for ’no’ clicking by accident.

"... there are many elements in one area"

That is the great stuff. It's a good usability-point... I don't see it negative - the opposite happens. ;-)

> While you might the merfect mouse sharpshooter, keeping in mind the needs of people with less precise mouse movements is also important - the precision needed to hit these buttons on the left among all the other control elements there is much higher than before - people with special needs and movement problems will have a much harder time navigating this environment.

Maybe. But even this I don't think it's so grave. The applications with important datas who's get a change will ask you before closing always if you're sure that you want close without ’save’ it. The second is, that the ’Close’-button is in a place there this kind of accidents are nearly impossible.

"This is why I would recommend the layout of 'minimize,maximize, title ,close'."

Safer, but more ugly. (my point of view)

Aigars Mahinovs (aigarius) wrote :

@ scholli

> > Moving such dangerous button as 'Close' into the mix increases it even more
> > as you will want to be REALLY careful not to close your window by accident."

> This should be the reason why the ’Close’-button is in the third place... for ’no’ clicking by accident.

No, the new location of the Close button is not in any safe place - it is right next to the 'Edit' and 'View' menus in most applications and right next to the middle of the 'Applications' menu for maximized windows (or any windows put into the top-left corner of the screen. It is surrounded by useful functionality, which is not harder to reach realiably because of this mine.

Also, if 'ugly' is a valid argument, I think it looks ugly when everything is piled up in one side of the window and the other side is bare and unused.

Moraes Junior (moraesjunior) wrote :

IMHO, if it'll be on the right side, please keep the same old order: minimize, maximize, close. But If it goes to left corner, please, keep the OSX order: close, minimize,maximize.
It is already "hard" to change from windows and osx style, now imagine to have to pay attention in the new Ubuntu buttons order proposal either! So please, no metter what corner, but keep it natural for the users.
Cheers!

Jordan Erickson (lns) wrote :

Obviously this UI change is 'hot' enough to warrant an easily accessible choice by the user. At the *very least*, please include an option in "System -> Preferences -> Appearance" to put the buttons on right/left/middle/whatever the user sees as their own individual preference. Please don't force it on us and make it hard for 90% of users to change. The UI design of window control buttons on the right goes way beyond Windows/Mac/Linux. It is the standard in almost any software windowing system anywhere. It's almost universal, and this UI change causes confusion and frustration (obviously).

On 03/22/2010 09:21 AM, Aigars Mahinovs wrote:
> While you might the merfect mouse sharpshooter, keeping in mind the
> needs of people with less precise mouse movements is also important -
> the precision needed to hit these buttons on the left among all the
> other control elements there is much higher than before - people with
> special needs and movement problems will have a much harder time
> navigating this environment.

Of course, if you're not very precise with your pointing device (or
visually impaired, or simply using a high-resolution screen) you're
pretty much screwed with the new theme anyway since it is apparently a
design decision (!) not to allow the buttons to scale (bug #532641,
status "Won't fix") and, to add insult to injury, to not give any visual
feedback as to which button has been pressed (bug #532551).

Sadly, the design team doesn't feel the need to comment on those bugs
(especially the first one) either.

frotz (frotz) wrote :

Ubuntu should probably consider following the <a href="http://en.wikipedia.org/wiki/Principle_of_least_astonishment">Principle of Least Astonishment</a>. Now, if the theme is "ugly" when you have the buttons on the right in the "correct" order, then something is wrong with the theme. Correct the theme! Don't force a reordering of the buttons to compensate for a lack of foresight!

Jiri Lebl (jiri-lebl) wrote :

I think that most of the posters have Ubuntu's well being in mind. While not a democracy, I hope that the fact that so many people arguing against the new layout is taken as data by the design team of Ubuntu. It's not that the design team must do whatever the posters want. But the design team should notice that the change is highly unpopular among these early testers. If it causes these users enough of an annoyance, extrapolate to the generic user.

If the argument is "where you like the buttons best" then I would agree that it doesn't matter. But as far as I can see, there are lots of people "annoyed" by the new layout, rather than simply not liking it. There is a difference. This should be taken as an indication of the wider userbase. A thought experiment should be a person trying Ubuntu for the first time. Is that person going to be annoyed by this? If so, it is very counter productive. The people arguing for the new layout don't seem to be "annoyed" by either layout, they simply like the new one better.

Pako (elektrobank01) wrote :

If the left buttons would be a standard for all operating systems (although standard in MAC) shift from left to right will also bother you, I think it's more about habits than functionality. I think 99% of you already know how to set your desktop by your measure, It is your opportunity to do that in Linux, which is not the case with other operating systems, so keep respect for the developers.

I've made comments on blogs about this and I hope it will be helpful to add them here.

The layout I've seen in screenshots has already shown flaws, because whatever draws the window frames hasn't been made to adjust rounded outlines when buttons are missing. That's an "easy" fix, barely worth noting. Same goes for other complaints about broken themes.

But also apparent in those screen shots is that with the new button arrangement the buttons will either be in different places on different windows, or there will be gaps, or we will need frame controls that for some windows are always disabled. This was already a problem because of the order of Minimize and Maximize; no maximizable window is not minimizable, but some minimizable windows are not maximizable.

It was always advisable to put Close in the top-right corner because we have left-aligned menu bars in the windows. In fact, in the early days of GNOME it was decided that the Help menu item must not be right-aligned because that would place it too close to the Close button (among other reasons).

There has always been a good reason to keep Close away from Minimize and Maximize - it's too easy to miss your intended target.

Put these together and an order like Min-Max----Title----Close seems best.

But the danger of accidentally clicking Close can be mitigated by other changes. The Close button can be disabled when there are unsaved changes in a document. You still have to reopen your document, but at least nothing should be lost. In lieu of that, the application can prompt the user to save changes. Annoying, but alas.

If these things are done, then Close can be safely put next to Minimize and Maximize and it can be put on either side.

If missing-button gaps are to be avoided, disabled window frame controls will not be used, and the buttons will be grouped together, then there is one button order which is suitable for the frames; from outside to inside that is: Close, Minimize, Maximize. Change those conditions, and anything goes. (Well, almost.)

I favor getting rid of all three buttons and replacing them with . . . well, that another topic, eh?

I like the buttons on the left. I would like it even better if the menu bar was put to sleep. The File Edit ... bar is a throwback from pull down menus in 80's text console applications.

I would like to point out some things for those who are willing
to listen:

1) Mark has not stated that the window controls decision has been
finalized. He said that he supported the interface team's decision to
do it this way for the beta. I think we do Ubuntu and the Canonical
team great disservice if we believe they won't consider community input.

I work in a corporate environment, and one of the most precious things
in that setting is the ability to make decisions. What happens to the
interface team if Mark turns around and says, "ZOMG! The community is
ON FIRE! Revert the window controls change NOW!" Not only does that
undermine the interface team, it undermines every other team in Ubuntu,
because it sets a precedent that says that Mark will override anyone,
at any time.

While I'm skeptical about this particular change, I give Mark a lot of
credit for backing the people he has hired to make these decisions. I
have trust that they will ultimately do the right thing.

2) It's fairly straightforward to work around, should the final
decision be to leave controls on the left for the release of 10.04. I
agree with those who are asking for a radio button or other easy config
dialog to choose which side to use.

Mark Shuttleworth wrote:
> This is a difference between Ubuntu and several other community
> distributions. It may feel less democratic, but it's more meritocratic,
> and most importantly it means (a) we should have the best people making
> any given decision, and (b) it's worth investing your time to become the
> best person to make certain decisions, because you should have that
> competence recognised and rewarded with the freedom to make hard
> decisions and not get second-guessed all the time.

I must respectfully say that this logic is a bit flawed. Isn't the best person to make any decision actually the original (upstream) developer? And if that's the case then sticking with their defaults should always be optimal. If you want to change their code, then you need be very proactive and persistent to sway their opinions.

However, even bringing the change up with upstream will probably seem quite rude. They have already chosen to paint their bikeshed blue, and you want it purple; but its their bikeshed. What gives you the authority to impose your views on their property? If you really want to paint their bikeshed, you should really demonstrate to a very good reason to do so (as yet unseen yet for the button change). On the contrary, you have asked the community for data to support upstream non-divergence, but the correct approach is for you to justify the divergence to upstream and the community.

On the other hand, if you try, they may happily adopt your viewpoint; they'll push the change, and it will eventually roll into an Ubuntu release.

As it stands now, this is the wrong way of going about this change.

Best wishes,
Mike

Craig Hansen (craig-hansen) wrote :
Download full text (4.2 KiB)

If the design team is on the ball, they should recognize that the position of the buttons is not arbitrary, to be changed on a mere whim, or the observation that not all window system do it the same way give one license to place them wherever they please. Moving the buttons to the left because there may be other interesting things to do with the space appears equally arbitrary unless the proponent can suggest something concrete to do on the right with all that empty space.

There are logical reasons for placement of the controls. For example, the controls can suggest a hierarchy of controls where controls on the left (and top) have more dramatic effects (such as closing the window) than controls on the right (or bottom) (Menu items). Posters in this thread have observed that left-to-right readers see controls on the left before the right. Internationalization, where some users are right-to-left readers would likely see this the opposite way, so selecting a left-to-right language might suggest that the placement should be reversed. Alternatively, for the close button, because of its logical finality (there's no more window to interact with once it's closed) may suggest that it should be in the LAST place one looks. Certainly in a dialog box, the usual location for the "OK" and "Cancel" buttons is at the bottom right, for a choice to be made after reading the dialog, and a close button could logically be located there.

Consistency of use interface is extremely important, and a late chance of this type is going to lead to an enormous number of applications that don't follow such a late-breaking trend - it would have been, and still could be, much more orderly to make the button positions set in a gconf-string as in a theme, also have a similar effect on applications - thus the applications can be altered first to make them consistent with a dynamic theme setting - then changing the theme makes all the applications stay consistent.

There are more subtle choices to be made in the user interface that should be made in conjunction with such a change. GUI's have struggled with scroll-bar placement over the years (left-scroll-bar vs right-scroll bar). I make the personal observation that my mouse position tends to gravitate toward the right because of the right-scroll-bar, and making the scroll-bar position match up with the window-manager controls would further reduce eye and mouse motion. Minimizing large motion is important because Fitt's Law (which has been frequently misused in the discussion above) suggests that it take extra time to make a precise positional move when the initial motion is large.

Personally, I'd be fine with having the window buttons on the left, but I'd rate the importance of having the close button in the corner very high, and I think it's also extremely important that these choices should be made consistent with the applications. If the applications can't be altered to be fully consistent with the UI change in time for the release, the best solution is not to change at this time. As to Mark S's comment that there's something interesting to do with the space, I fail to understand how that motivates the placement of the but...

Read more...

Jasey (jason-rivers) wrote :

Just to add my input here to Mark, The design team, and everyone else involved. This is a MAJOR change, and is a huge risk. I like people taking risks, however, I really do not think that an LTS version of the Operating system is the place to do this sort of thing. Especially when there are so many other applications (which have been mentioned more than enough times in this post) all have the close button on the right.

My vote here goes to reverting back to buttons on the right, and then at the very start of the work on the next release to play with which order buttons should go in, (close on the right, minimise/maximise on the left as another example). I might be interested in this change, however not at the beginning of an LTS, when other applications do not (and probably will not) follow suit. from a usability point of view this is going to annoy far more people than it pleases.

I honestly do like the idea of changing it, I just don't think this is the right time to do so.

Jason.

Brosseau (brosseaub) wrote :

as someone how help teachers get tech in the class this is desastrous our users are VERY low tech and it just create frustrations. i know i can move them back using a script but what will it break in the futur ? i just cant see the benefit being so great

Mark Lister (mark-lister) wrote :

Since there's no use for the extra screen real estate at the moment what about duplicating the controls left & right? Possibly collect stats on which side gets used (and stuff like how users scroll for that matter). Netbeans had something similar a year or two ago.

Magnetizer (magnetizer) wrote :

Hi Mark,

as far as I can see, you (and (y)our people) are doing a great job. Just do not try to convince everybody or defend yourself in an endless discussion in which every single post will be nullified anyway (of course this one will not be different).

Your time is better spent thinking about the next steps for Ubuntu (and of course other projects) that will make sure it becomes or stays (fill in whatever you want) the greatest Linux distribution out there which actually could resolve bug #1....

As I see it: buttons on the right, buttons on the left...I'm a human being (hey, that's what Ubuntu is for, isn't it?) and that means I have the ability to learn and to adapt. So, for me it's not a problem at all (otherwise I just change it the way I like it) and besides, I suspect ALT+F4 still closes the current window...;-)

So Mark, don't waste too much time on it...Keep up the good work!

Kind regards, André

Alan (mrintegrity) wrote :

After reading the various (99% negative) news stories about this subject, I was totally ready to come here with my flaming pen and write some nasty comments :). However, after having read through most of the report, it has become clear that many of the issues are pure knee jerk reactions (including my own initial reaction). TBH, I doubt most people have even tried it yet!

The left handed options are easier to work with once you get used to them and it doesn't take that much time. This doesn't change the fact that the option to switch back to the previous layout should be totally easy and done by meerly switching theme, not by running a command manually.

As for the comments from Mark, it's great to see such interaction from the head of a project of this size, quite unusual and a big plus for Ubuntu (regardless of your viewpoint on the button placement).

Keep up the good work :)

/Alan

Dave-B (david-balch) wrote :

In the interests of structured information, I've created a wiki page to list the pros and cons of the window control location, skipping the anecdotes and highlighting areas where more information would be helpful: https://wiki.ubuntu.com/LucidLynx/WindowControlIssues

Please add/edit to include more pros/cons, but keep it clear from ranting :-)

Paul Belanger (pabelanger) wrote :

DR;TL

Just fork ubuntu if you don't like it.

FWIW: I don't like the layout of the buttons. I like them on the right. If I wanted them on the left, I would get a mac.

Arturas K (arturas-k) wrote :

than hardcore win user meets linux / gnome - at some point comes the question “why on earth someone switched buttons ok and cancel on dialog screens”. my response always is “to make you brainless monkeys read what you are clicking on”. than comes some laugh...

the question about changed border buttons location, while other distributions have it in default location, will be in the same unanswerable never-ending league like “I can not find firefox / thunderbird in debian”, no mater how many times you say “iceweasel / icedove”... even worse - changed button location is not changed branding - its fiddling with a habits, and habits don't go away easily!

by the way, most people I know, to increase productivity and working area - kills top panel on site. this way an argument of preparing some space for future improvements (my guess: deeper messaging integration, or something cloud related) is more of feature bloating or buzzword chasing instead of polishing useful bits already in there...

please reconsider, because the scale of average user irritation this change might bring is mind blowing...

I have been testing this for a few days on my Netbook with touchpad only and I think it does take more mental effort to go after the buttons with them being on the left.

I don't have Lucid on my desktop machine yet, but I have changed the buttons to match the new Lucid setup and. IMHO, it isn't a hard change when it only requires one little flick of the wrist to move the pointer to the left hand side.

I realize that Mark or at least the design team may have some plans for what is going to happen on the right side and I am all for having something that is unique to Ubuntu. I think there is a lot of knee jerking happening and some people just can't handle change. If it is decided that the buttons will stay on the left, there really needs to be an easy GUI option for changing it from side to side.

In the Appearance applet, if one were to click Customize, there could be a selection for left or right side button in the free space to the left of the Delete button. Just a thought that I am sure someone may have already voiced on the design team, but maybe others will agree that this could help during the next six months, until the "new function" can be added to the right side of the control panel.

krutoileshii (krutoileshii) wrote :

I guess i will add my 2 cents. window control placement really makes no difference to me, except i find it useful when close button is opposite of the minimize and maximize buttons as my aim is not that great with the mouse.

i would be nice to have an option at install to pick the placement though, for extra irritated people.

Evgeny Kolesnikov (evgenyz) wrote :

We have scrollbar on the right and Poweroff/Status buttons on the right. Every Gnome HIG compliant dialog have Close/Cancel/OK buttons on the right. And mouse pointer most of the time is on the RIGHT side of the screen (just make video
of your desktop while you working and see it)!!!

But hey! We need slick widow title bar! This is very important! Slick!

Ar-r-r-rgh...

Richard (rd1) wrote :

Clearly there are many people (including me) who don't like the new title bar layout, and the loss of the application's icon from the title bar - so as a minimum there should be a GUI way to easily revert to the older layout, and this should be the default when choosing a different theme. Existing themes such as Human and many others were designed around the old layout, so why is the new layout imposed on them?

Also, this will really not help at all with maximising the ease of transition for Windows users (bug 1) - they can adapt to the system menus being on the top of the screen, but this will just be another roadblock in adopting Ubuntu.

Another problem with the Light theme is the highlighted area just below middle of the top panel - this draws the eye to that part of the screen for no purpose. Normally such highlights are used in web and UI design to draw the eye to the most important part of the screen, but here it's just used for no reason I can see.

Instead of imposing this annoying change, how about fixing a real issue that is causing accessibility and usability problems to users today - the fact that on large screens (or any screen for someone with visual/motor disabilities) it's very hard to resize a window using most Ubuntu themes: https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/160311

AJenbo (ajenbo) wrote :

@BobPendleton make sure you are not running gconf-edit with sudo or you Will be changing the setting for the root user and not your self.

Sorpigal (sorpigal) wrote :
Download full text (3.4 KiB)

If you're going to clone MacOS button layouts you should be cloning the right version, namely <= OS9. The MacOS X button layout never made any sense and is a clear usability regression. Color blind users have a harder time distinguishing between the buttons. Initially the buttons had no iconography apart from the color until mouseover, when a small icon appeared. These points are sufficient to illustrate the fact that MacOS does not hold some special usability knowledge and is not automatically worth copying.

That said, cloning any Mac button layout is not ideal.

The "dangerous" close button should be isolated from other buttons, or visually very distinct. MacOS 9 and below did this by putting it on the left, by itself. Windows, recently, has done it by changing the size and shape of the button.

Having any buttons on the left-hand side is a problem as long as the menus for the application are also on the left. In classic MacOS this was less of an issue because maximized windows were not the norm and the menu bar was disconnected from the application. If the menus are on the left and the menu bar is in the application window and the close button is on the left then there is a probability that close will be clicked by mistake. Having "less-dangerous" buttons on the left is also problematic in this scenario, but not as catastrophic. Since Ubuntu uses in-window menus it is not advisable to have buttons on the left at all.

Intuition is a hard thing to pin down. It is my perspective that computer UIs are never intuitive and must always be learned; thus, there is an advantage to not requiring unlearning and relearning but no advantage to making the initial learning "intuitive." Once something is learned the most intuitive type of UI will be similar to the learned UI, regardless of what the learned UI looks like. Given that appealing to Windows users is a stated goal of Ubuntu keeping the window control buttons in the learned location makes sense.

Whatever goal might exist with regards to moving the default button location it should be remembered that this is not a design decision but a user preference. Users can, and will, change it back. When they do it is important that the experience remain pleasant; the theme must adapt to the button location and not appear 'ugly' as a result. Further, whatever is eventually meant to occupy the right hand side of the title bar must be equally able to occupy another place on the title bar, or even be absent, depending on where the user has chosen to place his buttons.

If a change were to be made then the ideal placement for window control widgets would be the bottom left of the window, not the top at all. When dragging and resizing a window the titlebar and right-hand side are the most common places people place their pointers. By putting the buttons, especially close, at the far opposite end of the window it becomes a very deliberate operation to access them. In addition, typically nothing else is "nearby" the lower left corner of a window on an Ubuntu desktop (on Windows this would still be an issue since the Start menu is there for maximized windows.) This is the least dangerous position for close and a ...

Read more...

Pako (elektrobank01) wrote :

I'm sure it took you at least 15 minutes to write this comment, to change the button layout will take you less than 15 seconds.

Jonas Jørgensen (jonasj) wrote :

Mark,

I prefer the left-side layout, but what is your answer to how it will work with gnome-shell? Assuming Ubuntu in the future will use gnome-shell instead of metacity+gnome-panel, that being the direction that upstream is taking, have you or your design team considered the effect a maximized window having its window controls right under the hot corner for entering the overlay?

I guess 90% of the normal Ubuntu users ( not the testers aware of this
bug report) won be able to do so in 15 minutes (never heard of
gconf-editor and so on. And for them we take this action.
P.S. This comment took 15 seconds.

-----Oorspronkelijke bericht-----
Van: Pako <email address hidden>
Reply-to: Bug 532633 <email address hidden>
Aan: <email address hidden>
Onderwerp: [Bug 532633] Re: [Master] Window Control buttons:
position/order/alignment
Datum: Tue, 23 Mar 2010 12:11:01 -0000

I'm sure it took you at least 15 minutes to write this comment, to
change the button layout will take you less than 15 seconds.

Pako (elektrobank01) wrote :

How can be so sure that new users will doesn't like the new layout?

I guess Ubuntu feels a desire to stand out. I can't really think of any other (sane) reason behind this change of window control button order. I actually don't care that much whether these control buttons are on the left or the right side. To be honest, I think its more consistent that they are placed on the right hand side, as we have the scroll bar at that side. However, IF these buttons are to be placed at the left side, FOR THE LOVE OF GOD, put the close window button in the corner! When I want to close a window, I aim my mouse at the corner of the window (doesnt really matter if its left or right), but its absolutely critical to have the button in the actual corner! It is a complete mystery that the Ubuntu designers don't understand this! Please, aim for consistency and swallow your pride: This has to be changed back for the final release of lucid, or you are making a huge mistake.

Pako (elektrobank01) wrote :

jgv:
There are thousands of Mac users switched from Windows. Are they complain about different layout? None of them.

Kasimir Gabert (kasimir-g) wrote :

Mark: Stating that these design decisions are good because ``the people who made them are good'' is some pretty poor logic---an appeal to authority if I'm not mistaken. I think the hundreds of upset people would be better convinced if you presented some sort of an explanation as to why this design decision was made, or delegated this decision out to whichever good person made the decision. If there's no way of convincing people it is good, then there is something seriously wrong.

"If there's no way of convincing people it is good, then there is something seriously wrong."

This is a weasel word fallacy.

And yet Galileo never relinquished his belief of a heliocentric solar system because there was something wrong with ...

Pako (elektrobank01) wrote :

Hm, according to gnome-look.org if you go to most downloaded section you'll find a MacOS-X theme at first place with 1622321 downloads, so there are 1622321 potential users that will like the new Ubuntu Left layout.

Yann (lostec) wrote :

For those who say "I don't see any problems, Mac users does not complain about left buttons", that's really unfair:

1) Because it's their decision to buy this SW/HW bundle.
2) Other points of the interface make a difference: Menus are not on the application window (they are on the upper bar), so for Mac users there is no risk to close the application when you want to open a menu for instance.

Almost everyone complain because this change user habits and lack the coherence of the inspiring Mac OS interface: It's a badly engineered hybrid that will annoy users, being source of many errors.

But maybe Canonical, in it's short history, lack knowledge of annoying users cost? Maybe they could ask Microsoft about Vista debacle...

On top of these concerns (among others), underlying Ubuntu evolution that may appear in these interface changes have imo been summarized very well by Crunchbang (originaly Ubuntu based) founder speaking about the reasons for recent Debian rebase:

"Unlike the Ubuntu project, Debian does not have a commercial sponsor with any commercial interests. This was never an issue for myself, until recently when Canonical seems to have become less of a sponsor and more of a governing party; I know this is debatable, but I believe that some of their recent decisions might not necessarily have been made with the best interest of their users/community at heart."

I hope this data is useful; At first, the change was very alien to me and I kept going to the top right to access the window controls. I went through a period of cheating by just using F keys before deciding to give them a fair commitment - this is development after all - and not a place to complain and influence the outcome to suit me personally.

After three days of usage (two hours per day), I found that the mistaken click behavior stopped - besides the very rare relapse. Now I get it right all the time and I attribute that to the fact that it 'makes sense' to me. It feels like that's where they belong, and I have less to think about. "Whatever it is you want, it's on the left." I also love the visual look of having the right space opened up.

I find I have to scan less often as all controls, toolbars, buttons etc. seem to naturally blossom from the top-left now. It's organic and it works - for me.

I have notions of supporting Ubuntu for local charities and maybe schools and I did consider the support consequences. However, I don't think that a new button position will warrant a phone call from the users. They may complain as they get used to it .. but I can't imagine being called with a question like "can you remind me where those buttons are again?" And if you *are* providing support, you should be competent enough to change them back if you feel it absolutely necessary.

I think in the end, this experiment will boil down to: "How resistant can people be to change."

Mr. Pako, I am glad we seem to have the same point of view with this. I have faith that Mark and others have an innovative plan for our new button layout, but I think there will be quite a few people that just can't handle change.

Way up the list there was a post about system admins wouldn't implement this release because of the button issue using productivity as an excuse. I would hope that if a system administrator thought this would have a negative impact on his/her coworkers, then he/she would have the sense to look up the fix. entering "ubuntu buttons" into a Google or Yahoo search will quickly bring up links to the many threads and blogs on this issue. He/she could even put a message on every desktop on how to get him to change it after giving it a try.

Yann (lostec) wrote :

"Way up the list there was a post about system admins wouldn't implement this release because of the button issue using productivity as an excuse. I would hope that if a system administrator thought this would have a negative impact on his/her coworkers, then he/she would have the sense to look up the fix"

The problem is this kind if change will trigger more and more patches from Debian base to keep global interface/application coherence: At least all tabbed applications will probably soon have their tab close button go left for instance.

So in a near future this problem will not be solved by a few lines of configuration added to gconf (or gconf-editor will start to look like regedit!), for each users (no global setting possible): That's an unpredictable hassle for people who make long term predictable choice, imo a deal breaker.

Ubuntu servers took market shares... desktop not really.

2 reasons:
-It's long term choice and next Ubuntu will only be third LTS (compare to Red-Hat history...): Maybe we were at the end of the observation period.
-Maybe having 1 year to switch after only 2 years (3 years support and 2 years between LTS desktop releases) is too often: Compare to Red-Hat (about 7 years support) or windows (XP: 2001-2014): Maybe having the same support time for desktop and server LTS (5 years) could help.

Now, we add a third reason... Ubuntu desktop will not go corporate this way :-(

scholli (scholli-tz) wrote :

Inconsistence: I don't think here is a inconsistence, because the close-button is still on the right.

Customs: If somebody works with a Mac and use at home Ubuntu or via Dualboot... I never heard complaints about it. I think it's better to have a own face than have the same face like the majority of the Operating Systems. Many peoples don't like change customs, but it's life and that isn't really grave. Buy a new car and you have to learn again.. never mind.

Accidentally clicking: The close-button is glowing red! and totally outstanding. Please don't invents nightmare-histories.

Chantage: It's rude and nobody get afraid of it.

Newcomers: The don't know how easy is the change from left to right with gconf-editor, even they don't know that this exist. It's true. So they will work with the default-setting and the will custom on it. Hope that a setting in the preferences or a ratio-button will included somewhere.

etc. etc.

I am totally agree with the post #321. The functionally don't suffer any misery. It's only a habit-point that peoples don't want. But how to get a new face if you can't change it without forcing learn new habits. At first nearly everybody shout loud, but with time the noise disappear and they accept the new face of Ubuntu. Maybe they see and recognize that left have positive points, too. For my part I am moving less the mouse and I like it.

Hope that the design-team don't get afraid to do what they think to do and give Ubuntu a new, nice and recognize face.

respectfully Scholli

Yann (lostec) wrote :

"Accidentally clicking: The close-button is glowing red! and totally outstanding. Please don't invents nightmare-histories"

Well... never user a touchpad? Or a >5 years old mouse? Ask your elderly about their gesture precision too...

Application menus not located on the application window in Mac OS (but on top bar) make a difference:
http://commons.wikimedia.org/wiki/File:%C3%89diteur_de_scripts-dictionnaire.png

That's obvious: You are free to aggree with current settings (that you could have made on your own before!), but don't destroy real usability arguments because the functionnality is there: This is differents concepts you are mixing intentionaly... with a "let's be honest" toned message!

Well, be honest yourself!

Pako (elektrobank01) wrote :

Well... never user a touchpad? Or a >5 years old mouse? Ask your elderly about their gesture precision too...

Gesture precision has nothing to do with the left or right side

I've noticed only one mention of the disappearance of the system menu, also called the window menu or the application menu. It's the one that shows when you click the application icon in the frame, right-click the frame, or press Alt+Space. To maximize a window, I usually use Alt+Space-X. That may be a habit formed to avoid missing Maximize and clicking Close.

I mentioned this bug to a Mac user I know and she knew the buttons were in the frame but didn't recall, without looking, which did what. She confessed she almost never uses the frame controls. A thousand anecdotes don't make a data point, but there you go.

jgv (visserjg) wrote :

Well... never user a touchpad? Or a >5 years old mouse? Ask your elderly
about their gesture precision too...

Gesture precision has nothing to do with the left or right side

But it does! Cann't you see that?

"Having any buttons on the left-hand side is a problem as long as the
menus for the application are also on the left. Since Ubuntu uses
in-window
menus it is not advisable to have buttons on the left at all."

Please, make allowance for other people, who don't have your skills.

-----Oorspronkelijke bericht-----
Van: Pako <email address hidden>
Reply-to: Bug 532633 <email address hidden>
Aan: <email address hidden>
Onderwerp: [Bug 532633] Re: [Master] Window Control buttons:
position/order/alignment
Datum: Tue, 23 Mar 2010 16:17:13 -0000

Well... never user a touchpad? Or a >5 years old mouse? Ask your elderly
about their gesture precision too...

Gesture precision has nothing to do with the left or right side

scholli (scholli-tz) wrote :

"Well... never user a touchpad? Or a >5 years old mouse? Ask your elderly
about their gesture precision too...

Gesture precision has nothing to do with the left or right side

But it does! Cann't you see that?"

I have to admit that this is probably a negative point from this change. The rest of the contra-arguments don't have really sense...
But in other hand there are good points of this change. Mostly shorter mouseways, all near in one range and a own face, for example.

Yann I am always honest with what I say. I always say what I feel and see. Here I see a good change and it feels good. ,)

chris109 (chris109) wrote :

> Pako wrote 5 hours ago: #341
> I'm sure it took you at least 15 minutes to write this comment, to change the button layout will take you less than 15 seconds.

- And you have to change it every time it every time you set up a computer.

- And you have to explain how to change it to every user who's is switching from Windows to Ubuntu.

- And you will spend a lot more time to answer to new Ubuntu users, asking in a forum how to change it.

There is no reason for this new default button arrangement. Doing things different just to be different is stupid. (Sorry, for that.) Most people look for the buttons on the top right corner of a window and it's always a sign of good user interface design to match peoples expectations as often as possible.

Personally I support every change, which has a reasonable background. This change doesn't.

"- And you have to explain how to change it to every user who's is switching from Windows to Ubuntu."

That is assuming that people coming from Windows are not open minded to change, which I find to be hard to believe, being the person has actually opened up the to the opportunity for such a major change. When I came to Linux, I was prepared and wanting something totally different from Windows. I saw people posting bashing everything about Windows on the forum. Now it is most of those same people who are now complaining they want Ubuntu to look like Windows.

I gladly help others on the forums and I am actually planning to start working on getting into the BT, so I can help people the best way possible. I will gladly respond to the help threads and help people put the buttons where ever they may want them.

I think Mark is going out on a limb here to bring a change that will possibly make Ubuntu stand above many of the other distros that are trying to get into people's desktops.

hitaisin (hitaisin) wrote :

I like new button position!

please hide somehow file menus from apps (like in chrome or new opera 10.5)

Jeff Burns (admiraljkb) wrote :

GUI changes AFTER a product has released are always controversial. You'll get less complaints by building a whole new Window Manager than by changing a small usability item. Whatever gets released is pretty much what you're stuck with, unless you can keep making minor usability changes/tweak over a span of years so as not to rock the boat too much. (I've had experience with other UI projects at work, and a couple of buttons getting moved around sometimes result in nothing short of death threats.... People get REAL cranky about the interface of things after they've started using it.)

Most of us are used to the current window layout, and much of us have used it since the 80's. That's been a really big selling point of Ubuntu and OpenOffice is the lack of retraining for end users. Folks who were used to WindowsXP and Office 2003 could come over to Ubuntu and be productive nearly immediately. I tell folks that all the time, and they generally find it to be true, particularly the ones who were avoiding Vista and didn't want a Mac. The buttons on the right make sense. I know there is supposed to be something to take advantage of that space, but why can't it use all that "dead" space on the left instead?

I think to my wife and daughter, and both sets of our parents.... They all go NUTS when there is any UI changes at all and get lost very quickly when someone "moves their cheese" as it were. I admit the button placement disoriented me for a while, but like a trooper I went on for a week and until I could make a informed choice. One issue for me is that I go back and forth between MANY systems of varying OS's. They all have the buttons on the right, with the oddball exceptions of Lucid and Mac. As a result that does hit the productivity a bit, and I found I actually prefer the buttons where they are. Sometimes on a change like that I would find that it was more convenient.... But not this time. Change for change sake isn't good, ask MS about Vista...

However, this mini-debacle has raised a good point about the UI config, and I DO think it would be cool if users had an EASY way to make decisions for themselves on this. I mean that's one of the brilliant parts of Linux and OpenSource projects is the diversity of ideas. Let the Mac guys (and others who like it) have change to buttons on the left, while the rest of us keep our buttons on the right by default.

Pako (elektrobank01) wrote :

Well, I think the position of the buttons should be defined by Mr. Mark, after all he is responsible for the development and progress of Ubuntu and he invests in it. Democracy? It is like hiring a Yokel cave man in Mr. Pininfarina team to advice him about a new look for the next model of Ferrari. There are things that can't be done a democratic way!

Jordan Erickson (lns) wrote :

Not that this adds, in any way shape or form, any kind of useful information...but there was a story posted regarding Ubuntu's Lucid entering beta:

http://linux.slashdot.org/story/10/03/23/2348232/Ubuntus-Lucid-Lynx-Enters-Beta?art_pos=1

And the first comment (and subsequent replies) are about the window button placement. ;)

Rocko (rockorequin) wrote :

The button re-arranger in Ubuntu-tweak (http://ubuntu-tweak.com/) is a nice touch (albeit a bit buggy - it loses the button order if you switch from left to right to left again), but the problem still remains that if you change the order of the buttons it looks awful because the 'indentation' effect relies on all three buttons always being present and always in the order max, min, close. It's a pity because otherwise the indentation effect looks great.

Yann (lostec) wrote :

@Pako:"Gesture precision has nothing to do with the left or right side"

Please, read again...

I was saying that with current desktop+window layout (having applications menu in application window, unlike Mac OS where menus of the selected windows appear on desktop top bar), being imprecise when buttons are right is not a big problem: Worst case make you select the background.

When left, everything looks too close and the risk is to hit close/min/max buttons when you want to open an application menu (typicelly the "File" menu, always at the left).

With right buttons, separation was clear... as the separation is also clear in Mac OS whatever the buttons position is because the logic of the interface differs: Menus are not in application window.

So it's not a problem of precision being better right or left sided... but the consequences of the same error are now worse: Up to killing the application you're working with.

This is the problem of copying some elements of an interface missing others: Coherence is lost.

Watch this to see the fundamental difference... but carefully this time:
http://commons.wikimedia.org/wiki/File:Mac122.jpg

Pako (elektrobank01) wrote :

Yann, maybe you are right, but not absolutely. If you read my previous comments #304 and #308 (which I truly believe it has a point) You can find the advantages in left side buttons, but claiming that left side buttons are absolutely wrong placed, is non sense.

scholli (scholli-tz) wrote :

Peoples are thinking what that new feature can be in 10.10!? And I found this idea in a forum (mock-up made by tawk):

http://media.ubuntuusers.de/forum/attachments/2410878/hybrid-leiste.png

So the motto is "Change" we have to tolerate new stuffs and the decisions behind that (if you can't accept) ... We should be glad that new ideas and stuffs are coming and not crying like little girls, because things and habits are changing. Ubuntu is already Mark S. Baby and the design-team is surely very specialized for that job.

Johnathon Weare (jrweare) wrote :

Consistency in the interface is all that matters. Moving to the left is inconsistent with a Firefox tabs as others have mentioned above. I personally like right placement so it is above the scrollbar. Changing is OK, but there should be an overall goal of consistency in mind, not whim.

Imtiaz Rahi (imtiaz.rahi) wrote :

I have already switched the buttons to the right with gconf-editor according to posted instructions.
So, its no issue on my Desktop PC and in my user account. But still I hope Ubuntu will switch to the old layout.
Lots of people showed fantastic arguments why it should be. So, I am not going to add more.

My concern is when other people to whom I advocate to (in BD) use Linux (specially Ubuntu), they are going to ask explanation from me (they don't know Canonical/SABDFL) why the buttons are on right. And I don't want to answer that question and explain this as I don't accept and not convinced by the arguments provided by Ubuntu design team.
Not to add I will have instruct or change this thing for all of these general/non-tech users.

scholli (scholli-tz) wrote :

@ Weare:

But the close-button on the Firefox-tabs and Google-Chrome (Chromium) -tabs are on the right. Like the close-button in the control-buttons-bar on the Metacity; it's on the right, too. Where is the inconsistency, please? It's on the left, but it isn't a Mac-Clone, because the order is different. The close-button is in the end (right) and is nearly impossible to click on it accidentally - the signal-color is red and even for color-blind peoples see the different [contrast] between Max, MIn and Close. I say nearly impossible, because users with touchpads, old mouses and elder peoples without gesture precision can click bad accidentally. But this can happen to you maybe if you have them on the right side, too. Important "datas" you want lost in any case, because the applications will pop-up a security-ask-window before leaving it totally. Unfortunately this are only points I am thinking. Would be nice to hear something from the chefs. :)

Gaurish Sharma (gslive) on 2010-03-24
Changed in metacity (Ubuntu):
status: Confirmed → In Progress
Pako (elektrobank01) wrote :

scholli, there is no sense to be argued with hot heads, we will only lose our energy. Full respect for you and Mr. running_rabbit07. I'm out of here, for now ;)

scholli (scholli-tz) wrote :

I am out of here, too. I see the bug is in progress now - so the developers has collected enough datas. Let's see how the final decision will be. :-)

Pako (elektrobank01) wrote :

gaurush shauman, who's this guy? What's is in progress?

Omer Akram (om26er) wrote :

Please dont change the status of the bug if you dont know what you are doing

Changed in metacity (Ubuntu):
status: In Progress → New

No one is arguing it isn't easy to change.
The point is that this will only make things harder for new users
(mainly from windows but also mac).
The point is also that this makes no one happy (or about %5 of users
IIRC the poll has disappeared or become hard to find)

All the arguments in favor are very weak or irrelevant.
"You can get used to it!" yes, but why?
"You can change it back!" yes, but why? Also newbies can't.
"I like it better this way!" most people --including current users--
don't.
"New features...!" can go on the left instead.
"Mark's baby...!" is our baby too, as in we love ubuntu too.
"But he pays for it" which is why we are arguing with him, not forcing
him.

I won't even make the argument that the new position is inherently bad,
the menu button has been on the left since forever and I hardly ever
click it inadvertently.

That's all, that's the end of it I'm unsubscribing to this bug. I don't
think there is much left to say.

--
http://www.fastmail.fm - A fast, anti-spam email service.

Pako (elektrobank01) wrote :

Oh, you made me cry

On 03/24/2010 01:13 PM, Pako wrote:
> Oh, you made me cry

http://www.ubuntu.com/community/conduct

If you don't have anything nice (or meaningful) to say, don't say it.
This bug is already long enough.

Pako (elektrobank01) wrote :

I was polite in most of my comments, I'm very sorry if I insult anyone here.

kallisti5 (kallisti5) wrote :

Please don't move the button locations Canonical.

Having the close buttons on the left side is the farthest away possible location from the scroll bars on the right (where users spend a great amount of time with their mice)

don't change the location simply based on the want to change (or look like OS X). As a very,very minimum.. keep the buttons where they are and make your new-fangled left button approach an option in the appearance applet.

kallisti5 (kallisti5) wrote :
Alvin (alvevind) wrote :

::Switching daily between Windows and Ubuntu::

I have tested the left aligned buttons for a week now.

A point to note: I use Ubuntu at home. I must use a Windows computer at work (and in Windows the buttons are still on the right side).

I have not been clicking the wrong thing lately (but did it earlier on).

The main reason for this that is that every time I minimize/maximize/close a window I now have to consciously think and look at the buttons before I click.

Instead of a 0.3 second automatic reflex gesture the operation has become a recurring 2.5 second IQ-test. I pass the test every time now but still my brain must channel off focus at a task that before was automatic.

What is worse is that this also impacts me when using the Windows work computer. The buttons there remain on the right side as always, but I now experience the same pause-and-think effect as I do with the left-side buttons on Ubuntu. I estimate the semi-conscious pause before clicking the correct button is "only" about 1.5 seconds in Windows.

Even though a few seconds here and there is not a big deal there is still a noticeable effect.

If I was using *only Ubuntu* both at *home* and at *work* I suspect I would have no problem adapting to this in a few weeks, and get back to the 0.3 second automatic gesture.

But making the company I work for switch their computer park to Ubuntu is not an option that is on the table.

I doubt I am the only Ubuntu user that is stuck with using a Windows computer at work.

My assessment is:
1) Full time Ubuntu users (that are not regularly using another OS) will fully adapt to the new layout in a matter of weeks.
2) The new layout will be a recurring bump-in-the-road for people who are unable to become full time Ubuntu users (due to work or other factors).

PS:
Apart from the window button placement, the other design changes in Lucid are all pointing in the right direction (no pun intended)

I have been silently watching the debate/debacle, and I would like to suggest the name for Lucid Lynx be changed to Livid Lynx, because the vast majority of people are livid about it. ;)

As a computer user for over 32 years, changing the button order and location for unspecified reasons is an unwise move in my opinion. Mark and Canonical are certainly entitled to do as they wish, but so am I. I will not use the gconf hack because I believe that while this may temporarily solve one issue; and it may indeed only contribute to the further breaking of the overal UI experience because of the burron order/position being implemented by those responsible for the changes of the UI. I'm already using a more popular operating system at work where I must constantly "band-aid" and "fix" shoddy programming. I won't do that at home or for my clients.

If the order/position does not change back in Ubuntu before the final release, I will simply move on to straight Debian, leaving Ubuntu behind. I agree with the sentiments of those who have posted on the various message boards, blogs, emails, and in this very bug post here; on the negative things that this will cause for Ubuntu, Canonical and users. This will not make people who were loyal stay, and it certainly won't entice Windows users to switch. Most of the public is very, very, very non-technical. Lucid Lynx will soon become the same albatross to Canonical that Vista was to Microsoft.

Clearly, there is a division and a schism that transcends far beyond merely button order/positions; and while such changes are major (though all too-often I've seen them called "trival", trust me, they are not...); what is even more major than this change is the fact that these changes were snuck in ala Microsoft-style right before the freeze. This tells me that people KNEW this would go over like a lead balloon.

Ubuntu the OS is technically based on Debian.
Ubuntu the community is based on the Ubuntu philosophy of "humanity to others". Making major changes, and especially sneaking them in, is counter-productive to all involved. It is also inhumane to do because of the imposed learning curve and the very real potential for breakage of related UI systems because of this fundamental change to the UI.

Try changing "File Edit View" to "googlimaxmus Fredricktar and Jimjombjam". It's only a "trival" change. No one will get upset, and if they do, well, they are just being unreasonable.

Right?

Colin Law (colin-law) wrote :

Just adding myself to the list of those who think moving the buttons is a bad idea. I am particularly concerned about friends and family that I have persuaded over to Ubuntu. It is easy enough for those who have commented here to switch the buttons back but less technical users will be confused when they upgrade and suddenly all is different. I will have to sort them all out I suppose. :(

kallisti5 (kallisti5) wrote :

if ubuntu makes the default in the top left, then flops it back in the next release users who got acustom to it in the left will once again be disbanded. Pleas Ubuntu, don't make this change and make yourselves look like a less professional / polished operating system.

James P. Carter (jpcarter) wrote :

@ Shane Comment #188
"This is a very simple matter of people who feel strongly against a change always seem to shout the loudest. I have the feeling that 99.9% of users dont feel strongly about this issue either way."

This bug report does not represent a good subset of 'users'. Most 'users' have no idea this bug report nor even launchpad exists. The 'users' are unaware of this issue and the backlash from this change is nowhere near the level it will likely reach. Some of those 'users' are technical and savvy but do not play with the 'testing' version of any distribution or OS. When the 'users' update... and receive the change it will be interesting to say the least.

@ No one in particular...
While rolling out linux desktops to corporate users... the ui will be changed for their comfort... not against. This is not to produce leisure, gaming, or laziness... it is for production. Most people (users) have grown accustomed to Wintel system UIs... NOT Mac, NOT UNIX, NOT Linux.

I can roll linux and give it to corporate users if I make it simple and familiar (GDM theming, fluxbox hacking etc...) I've done it many times now with full acceptance and praise (slackware and debian). I can not say the same for the 2 times I have attempted similar roll outs with MacOSX... too different and it scares the "users".

The more comments I read on this the more disappointed I become in the design decision. Not my place as I have learned from the comments... unfortunate...

My third and final comment on this bug... I apologize for being a pest and focusing on the trivial. I'll move back over to dealing with my swap issues. Thanks for all the fish!

On 23/03/10 13:36, Kasimir Gabert wrote:
> Mark: Stating that these design decisions are good because ``the people
> who made them are good'' is some pretty poor logic---an appeal to
> authority if I'm not mistaken.

I didn't say the decision is good because the people are good. I am
fairly quick to admit my own fallibility, and under pressure might even
admit the fallibility of my colleagues too. It's not yet clear whether
this decision will stand the test of time, or not.

However, I did say that:

 - I and others appreciate the feedback and the passion
 - we have a mandate to make decisions of this nature
 - we have reason to pursue this change, and are running it through the
beta to evaluate it
 - we know it's controversial. more controversy doesn't help, data might
 - if we think this will stick for two years or more, doing it now makes
more sense than less

We've made other decisions in the past that were controversial. The
current layout of the standard GNOME desktop, for example, was quite
controversial at the time. Till GNOME and then other distros adopted it.
Some of those decisions missed the mark, some stuck.

Mark

Jordan Erickson (lns) wrote :

Hey, regardless of the nature of this controversy, cheers at least for the head honcho actually keeping involved with the process AND community input. You can't say that for most. *holds up pint*

James Lewis (james-fsck) wrote :

I found the change to be un-desirable, not because I don't like it... but for 2 reasons.

1. When it happened, it broke the menu button and I only had maximise, minimise and close.
      I hope this will not happen in the final release.

2. When it happened, because it didn't work correctly I was looking for how change the setting, and there was no way to do it...
      I think that if this was a configurable change it would be far less of a problem.

Once I knew how to change it (and fix the menu button) I decided that I quite liked the change and decided to leave it.... but I would still have been aggrieved if I was unable to choose....

krutoileshii (krutoileshii) wrote :

I would actually like to track the mouse positions over the course of a couple days(Might actually be interesting to see what the most common resting place is at least for myself) just to see. Anyone know a way to actually do that? I will gladly share the data if anyone will want it.

I am still amazed that people insist that a new person coming from Windows would have a problem with the button change.

An person without an open mind would not leave Windows for Linux.

I have been to Best Buy and I have seen people playing with Macs for the first time and I have never seen any of them say that they were not about to buy an expensive system with the buttons on the left. Yes, it is clear why they put them on the left.

I am looking forward to this new innovation that might just surpass Mac's interface.

Good luck to you all and please don't blow a fuse over something so simple as a button change.

Mark Appier (appier) wrote :

"An person without an open mind would not leave Windows for Linux." --voluntarily...

However, I am in a school environment where I assign students to computers. I try to accommodate student preferences to a certain extent, but a number are just assigned to a computer that meets the requirements to complete their assignments. For asian language support, that is Ubuntu. Also, a number of corporate users are on Ubuntu because the administration of their place of employment has chosen Ubuntu as their operating system. These are not voluntary users.

I would like to see more corporate users choose Ubuntu, so the less negative feedback those decision-makers receive from their employees, the more of them will stay with Ubuntu or adopt Ubuntu in the future.

Gaurish Sharma (gslive) on 2010-03-25
Changed in metacity (Ubuntu):
status: New → Confirmed
cornbread (corn13read) wrote :

I have over 20 clients on ubuntu. When I do the upgrade on their systems they have all made the choice, they will all continue to have buttons on the right.

If you can't "experiment" with new functionality with the buttons on the right (by adding another button that replaces them when toggled) then the experiment has already failed.

If you plan to move the buttons to the left make more space in between them and the menu bar OR move the menu bar to the right to prevent accidental pressing of users.

This is not meant to open up sores or create controversy, simply to explain how 20+ users feel about it.

nomnex (nomnex) wrote :

Comment #390> I think that if this was a configurable change it would be far less of a problem.

I wonder if there is a point, knowing most users will probably use the option to move them on the right.

Obviously mostly nobody (Canonical & Mark aside) likes the layout (and the "Mac" design) of these buttons. These buttons suffer a plain rejection from start. No matter the type of users, they all agree about the fact: "the button look like Mac buttons and that's bad. The buttons on the left--again a lot like on a Mac--is wrong".

We already had a similar situation in 9.10: System>Appearance Preferences>Menus and Toolbars: "Show the icon menus" as they were in 9.04. The only noticeable feedback I could read on the net about this change was: Ubuntu 9.10 is getting neater. I have never used the option--and probably nobody has--because removing these icons made sense. Good change are always welcome from the majority.

If these buttons create such a polemic and provoke a global rejection, the common sense would be to review the design and location before the official release. A "configurable change" in this case would be only the tacit reconnaissance of a misjudgement.

nomnex- I am guessing you haven't been watching the thread aisyu made with the poll in it on UF. There are quite a few people coming out of the woodwork saying have have given it a try and aren't having much of a problem at all.

scholli (scholli-tz) wrote :

In my opinion the most are more nightmares than value arguments. I am tester and since Alpha 3 I am using Lucid with all default from home. Than the new Brand come and I had the buttons left. I was surprised, but I gave it a change. Till today I haven't noticed any contra-productivity, inconsistence or other problems. It's simply on the left. It's all. I like the idea of looking different than Mac, Windows or even other Distros. In this form I never saw the buttons. The next positive surprise was that I am moving less the mouse.

But everybody haves different opinions of that. Nobody knows really how much peoples are pro and how much are in contra. The easiest would be to put it to the right and forget all about. This would be a great pity, because we lose directly the change of give Ubuntu a new face and identity in this little detail. (KDE/Gnome works different than Windows - why the buttons must be same like in Windows).

So my hopes are that Canonical is doing a scientific test separately and get the award they need for the final decision. This threat owns more opinions than value datas. That's fact.

On Thu, 2010-03-25 at 03:54 +0000, running_rabbit07 wrote:
> nomnex- I am guessing you haven't been watching the thread aisyu made
> with the poll in it on UF. There are quite a few people coming out of
> the woodwork saying have have given it a try and aren't having much of a
> problem at all.

This is not about a problem, this is about identity. Some people might
express their content on a poll, these buttons are still a topic of
polemic for most I guess.

ps: do you mind pasting the link for my information? Thanks

There are a few others on this subject as well in the same sub-forum. You will see there are a lot of knee jerk responses, but there are quite a few good arguments for both sides of the issue. http://ubuntuforums.org/showthread.php?t=1430585

scholli (scholli-tz) wrote :

Clicking on the menu?! (I saw it in the linked forum). But what bad precision, really. wow. The distance is far enough. If the control-buttons haves finally hover- and pushing-functionality you see clear! you are over the buttons and not over the menu. Have it all near together (menu, toolbar-buttons, tabs, important bookmarks.. ) [all in the same range] is not bad. It's a feature ... it's shorter mouseway.

If the decision will be left, so we have to understand that the free space on right will be reserved for a new feature which will come in 10.10.

magneze (jeff-magneze) wrote :

I return to this bug and it's still going round in circles. Maybe the design team could address the usability issues that have been posted time after time. People being rude are getting responses where they don't deserve them whereas some people make usability points that aren't addressed.

Pako (elektrobank01) wrote :

The same this people or most of them proved that they doesn't respect the look of Ubuntu no matter which version is, they 1622321 times downloaded the Mac theme from gnome-look and thousands of other themes, I'm pretty sure they will completely change the look of their desktop at the moment 10.04 will come, even complained in the previous version that they can't change the theme of GDM, (the dialog manager that last only 5 second on your desktop), proving again that they does not respect the Ubuntu design. Did they care about new users? I don't think so!

Alvin (alvevind) wrote :

Quote from Mark Shuttleworth:
"It would be useful to get data. A mailing list or bug thread isn't data"

I am very interested in what specific type of "data" that qualifies as relevant.

Does this poll produce relevant data?
http://ubuntuforums.org/showthread.php?t=1430585

Or has a piece of tracking software been added in Lucid beta 1 that automatically records statistical data about the user's use of window buttons and sends it back to Canonical?

Please give us some specific examples of how we can gather the relevant data that you are actually interested in.

nomnex (nomnex) wrote :

<quote>Or has a piece of tracking software been added in Lucid beta 1 that automatically records statistical data about the user's use of window buttons and sends it back to Canonical?</quote>

r u kidding? Ubuntu bundled with spyware software, like Adobe or M$? That's funny.

Now the sheer irony... post #404 and talking about spy software not found in Ubuntu.

404....indeed.

Yes, Mark, if you can clarify a bit about what kind of data you will actually consider as a factor in your decision, perhaps people here can actually help you by providing that data so we can avoid arguments that just go around in circles.

What are you looking for? Polls? Anecdotes?

If polls, what would you like the poll options to be? If anecdotes, what specific things do you want people to test for?

Believe me, most of the people here who are opposed to the change would love to be able to work with you to get you what you need to make a well-informed decision. We just need guidance on what will actually help you.

So far, you haven't seemed to really take into consideration the valid criticisms that have been brought up (and, no, they haven't just been "we're used to something else"). You keep mentioning "data," so it'd be great to know either what data you are currently collection and what userbase that consists of or what data you would like us to collect for you and how you would like that approached so that you do take it seriously.

That should say "currently collecting"

Jef Spaleta (jspaleta) wrote :

aysiu:

Yes this is one of the fundamental communication breakdowns between the closed door design team and the external community. Shuttleworth and the design team want data.. but they haven't communicated what that means. Why hasn't that happened? Is the team concerned that the passionate minority with game the system and heavily bias the data that is being collected? There hasn't been a general data collecting methodology articulated for any of the experimental design decisions. This, more than any individual design decision, is the fundamental breakdown in communication which risks hardening passionate contributors in the Ubuntu community against Canonical in leading this work.

Pako (elektrobank01) wrote :

passionate contributing with 0.0000001%?? with such a poor percentage most of people in this list doesn't even deserve a launchpad account, nor to make decisions in the name of approximately 30.000000 Ubuntu users, especially because they get the OS for FREE.
Whether the new users will like the new layout? I do not know and nobody knows it.

On 25/03/10 17:12, Atel Apsfej wrote:
> Yes this is one of the fundamental communication breakdowns between the
> closed door design team and the external community. Shuttleworth and
> the design team want data.. but they haven't communicated what that
> means. Why hasn't that happened? Is the team concerned that the
> passionate minority with game the system and heavily bias the data that
> is being collected? There hasn't been a general data collecting
> methodology articulated for any of the experimental design decisions.
> This, more than any individual design decision, is the fundamental
> breakdown in communication which risks hardening passionate contributors
> in the Ubuntu community against Canonical in leading this work.
>

Atel, there is no conspiracy involved, nobody is afraid that data would
be biased, because it's clear that all data is somehow biased and will
need to be evaluated in that light. Nevertheless, data would be interesting.

I haven't said what data in particular, because I thought it better to
let people invent for themselves what might be a relevant study. If I
said "I want data on X Y and Z" we'd get into a long argument about
whether that's the relevant thing. I'd rather folks here had responded
by saying "cool, here's some data I gathered".

Since that hasn't happened, some things I'd be interested in:

 - where does the average mouse rest? i.e., when it's not being used,
where is the mouse, usually? Think of a looooong term heat map of mouse
locations, over a few hundred desktops and a few weeks. That would be
interesting. Lots of people have said "My mouse is generally near the
left because there's so much else there". others have said "The
scrollbars on the right mean my mouse is hanging out there". Data would
be useful.

 - are there accidental clicks on the close button in the new location?
We know that the new location has lots going on around it. Are people
accidentally clicking the wrong thing?

 - does it take longer to click it in the new location, once one is
moving with intent in the right direction? We know that the fact that
there's a lot around the target means finer motor control is required,
and we know that generally means slower, more careful, more irritating
movements. But is that actually measurably observed?

Those are three items I'd like data on.

But I'm sure there are folks following this conversation who could come
up with smarter and more insightful formulations.

Mark

Alan Pope ㋛ (popey) wrote :

In terms of mouse heat map maybe we could get people to use the rather funky java based app "IOGraph" which tracks mouse movement and depicts it graphically.

http://iographica.com/

I just downloaded it and ran it from the command line:-

alan@wopr:~/Desktop$ java -version
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8pre) (6b18~pre3-0ubuntu1)
OpenJDK 64-Bit Server VM (build 16.0-b13, mixed mode)
alan@wopr:~/Desktop$ java -jar IOGraph.jar

A window pops up in which there is a 'record' button. Press that, minimise the window (if you can hit the minimise button without the world ending) and you're set. Leave it running for an extended period and try to forget it's there. No cheating now!

As an example attached is a woefully short image of my use over the last 8 minutes since I discovered the application. I was using google chrome to read news mail and do a bit of tweeting. I have attached one image with my desktop behind it and one without. The one with doesn't do well because I have a big fat black terminal which makes it hard to see the lines. Hence attaching both.

Perhaps (if Mark is in agreement) we could have a bunch of Ubuntu community members run this for a day (or whatever their typical computer usage pattern is) and submit their own images ?

Alan Pope ㋛ (popey) wrote :

This is the image without my desktop behind it.

@Mark

I don't know if this is the right place to give you data on those 3 items, but at the moment there doesn't seem to be a more suitable medium, so here we go:

1. I prefer to have "Select windows when the mouse moves over them" (or focus-on-hover), so my mouse is all over the place. I rarely close a window, but i do maximize and minimize allot.

2. well..not *allot* of accidental closes, but enough to get me to pay more attention to what I am clicking. I do however (even now):

 - maximize when i want to actually minimize
 - minimize when trying to maximize

This happens mostly because i use Lucid at home and Hardy at work. We will continue to use Hardy until it is no longer supported. We try to avoid changing things in the workplace that don't *really* need changing (saves time and money).

3. For the first 10-30 minutes, every time i want to use the window controls, i go to the right first, and then remember that...they moved :). After that i consciously make the decision to move to the left (knowing that the buttons moved), and take great care on what i click. So it is not effortless. I have to think about what I'm doing, or i might close the window, lose some work and go out and buy a pound of ice-cream to ease my frustration. It does impact productivity on some scale.

At least at this point in time, taking into account the time i have spent in lucid (2-3 hours a day starting with Beta1), i feel uncomfortable with the change. This happens mainly because i have to get accustomed to the new order every time i get home from work. Its even more annoying when i try to find the controls on the left side in Hardy, because i have gotten used to them in Lucid. It is frustrating when a simple task like maximizing,minimizing and closing requires you to think about *how* to do *what* you want.

Hope this helps a bit!

Best regards,
Gabriel

habtool (clive-wagenaar) wrote :

Hi Mark

Maybe it would be an idea to setup something like:
https://testpilot.mozillalabs.com/

Alpha/Beta/ Lon-term loyal users could then install a test-pilot package and opt-in to certain test that Canonical need done for feedback.

You could then run say the heat map test for 5 days with buttons on the left and then 5 days with buttons
on the right.
I did some of the tests with the testpilot for Mozilla and it was not very intrusive and most importantly
it was OPT-IN. That is key for this sort of direct data feedback.
Dont just change take search feedback like was done in Karmic cycle with the Firefox addon ;)
Many of us Ubuntu users are relatively loyal, but too many 'odd' tests/changes in the development cycle could
scare us off. Make the controversial changes opt-in like test-pilot and then directly track the usage you need ;)

I moved to Crunchbang #! Statler for some quite time during button-gate.
(XFCE based on Debian Squeeze for Alpha) and will then track Debian stable.

Any way, just an idea of how you can get the real data ( but must be opt-in if it reports data back to base)
The only feedback you get without something like test pilot is us screaming here in bug reports when we think you
taking a wrong turn. Most of us want Canonical to succeed but as we run the Alphas/Dev versions we also get spooked
when we see potential for something embarrassing happening.

Best of Luck

Jef Spaleta (jspaleta) wrote :

Mark:

Good, finally some guidance. You shouldn't wait for people to think up data products on their own, that risks people spinning their wheels creating "data" that gets discarded because it doesn't meet your definition and leads to people feeling they are being ignored.

You and the design team are the only group in a position define what is acceptable data in your decision-making process. Putting forward some questions you want answered like you did above is helpful. But you could go further, and articulate a framework by which questions can be proposed by externals, accepted by the design team as important to the design process, and then answered with an acceptable data collection methodology.

If you do not articulate a data feedback framework that is acceptable to the design team then how is anyone suppose to know what you think is and is not acceptable? If you don't have a process by which people can propose questions worth answering with data, how do people know what to collect data on?

Generally speaking..when doing an experiment in a professional research setting you have to have a firm grasp on the questions you want answered and how you plan to collect data _before_ you do the experiment. You seldom just throw stuff together and "see what happens." Neither of the questions nor the data collection methodology were communicated before this "experiment" with the button positions. Something to think about before you embark on the next round of design experiments.

Jon Ogilvie (svtdragon) wrote :

@Alan

I think what matters isn't so much the *absolute* positioning so much as where your mouse is hanging out relative to the window that's selected (assuming that's good proxy for the window you're looking at). Another small concern is whether or not it's possible to use this program on a very long-term basis; i.e., on my home--Lucid--desktop, if I leave this app running, does it record the place my mouse is at while I'm at work for 8-9hrs?

Perhaps the program you linked could be modified, or another like it created, which might be able to report back to a central server (when asked to) your history of mouse pointer relative to window-in-focus, in order to generate composite statistics/images.

I'm sure there are plenty of people around here who'd be up for a small project like that.

@Mark,

I like the idea in post #414. You need real world data, not just from us geeks, but Joe Sixpack End-User.

That being said....

" - where does the average mouse rest?"

Upper-righthand corner

"i.e., when it's not being used, where is the mouse, usually?"

Same place as above...in the upper right-hand corner.

"are there accidental clicks on the close button in the new location?"

Yes. A little story that applies here... Back when I worked as a Guitar Tech, my motto was "Never let the musician think" because if they have to think, they can't play. They lose their flow. Crazy as it sounds, but if that effects pedal is not in the exact same place on that stage every night, it WILL throw them off. I guarantee it. It becomes habit to "feel" and "know" where "X" (whatever X is" be it an X button or an X pedal on a stage. EVERYONE is a creature of habit, and while we can adapt, some things are better left *as is* unless there is a VERY good reason otherwise. I have not seen any concrete reasoning other than some vague references to possibilities in 10.10; and as someone else said here awhile ago....why not have those unnamed/unverified features a spot on the left vs the right side? As for those features, I think people would at least like a rough idea of your concepts for that spot.

To quote use a famous movie quote..."throw me a bone here, people."

"We know that the new location has lots going on around it."

Yes. Too much in fact.

"Are people accidentally clicking the wrong thing?"

I'm not...because I refuse to use it that way. I tried liver once too and know I don't like it, so why eat it? Ya know?

"does it take longer to click it in the new location, once one is moving with intent in the right direction?"

Yes. See my comments on moving and thinking, crteatures of habit, etc.

"We know that the fact that there's a lot around the target means finer motor control is required, and we know that generally means slower, more careful, more irritating movements."

In where many older people are using Ubuntu and America's boomers are getting older, this is not such a good idea.

"But is that actually measurably observed?"

Tangibly? No, not in hard data format, but only tangible in the sense that it affects those who attempt to use it that way.

Alvin (alvevind) wrote :
Download full text (3.4 KiB)

Big thanks to Mark for clarifying what he meant by "data".

Data gathering on the scale suggested (hundreds of desktops over several weeks) can be a pretty big undertaking if taken seriously.

My comments to Mark's questions:

Question 1: "Where does the average mouse rest? I.e., when it's not being used."

Data gathering methods:
1A: Ask people where the mouse usually rests within a 3X3 screen grid.
1B: Observe users doing everyday tasks, and make note of the mouse location.
1C: Create and install a piece of software that collects statistical data over a period of days or weeks.

Caveats:
What does "not being used" mean? Does it mean the mouse is in the hand but not actively doing anything productive, or does it also include situations where the user has let go of the mouse? My opinion is that 5 seconds with the mouse motionless but in hand is much more relevant than 5 minutes where the user has let go of the mouse while reading an article.
Are we only interested in the habits of existing Ubuntu users? Or are we also interested in Windows users? And Mac users? Should we collect data separately for each group to see if there are statistically relevant differences?

Question 2. "Are there accidental clicks on the close button in the new location?"

Data gathering methods:
2A: Ask people how often they have clicked on the close button when they did not mean to.
2B: Observe users doing everyday tasks, and make note of the mistakes they make.

Caveats:
The fact that a users click the wrong button (e.g. close instead of maximize) might not automatically be attributable to the placement. Maybe they would have made the mistake even with the right side button placement? What we really are interested in is are there more or less accidents now than before. So gathering the same type of data from a control group (with the regular button placement) might be useful to create a baseline to measure against.

Question 3. "Does it take longer to click it in the new location, once one is moving with intent in the right direction?"

Data gathering methods:
2A: Ask people if they feel the use of window buttons takes longer or shorter now than before.
2B: Ask people if the use of window buttons feels more natural and intuitive now than before.
2C: Observe users doing everyday tasks before the switch, measuring the time of critical operations. Then do the switch. Then make them do the same type of tasks, and measure the time of the same operations. Then compare to see if certain operations have become slower or quicker.
2D: Create and install a piece of software to measure mouse activity and gather statistical data from the seconds immediately preceding a button operation. (Did the mouse change course or did it go straight? How fast did it move? How far from the target button did the speed start to decelerate? How quickly after deceleration did the click occur?)

Caveats:
Data gathering should start before doing the switch, in order to collect control data. What we are interested in is the difference before/after, for each individual test subject.

If we want to gain scientific information about these things we need to be specific about what specifically we are me...

Read more...

Savvas Radevic (medigeek) wrote :

I hope this decision doesn't have to do with the fact that (statistically) most of the designers/artists are left-handed... :P
Anyway, my opinion is that this is just a marketing trick, similar to the one that happened with the ugly background.

Even if it is true, I'm not afraid of changes and I like trying out new things. I can always customize it. :)

Colin D Bennett (colinb) wrote :

Dear Ubuntu:

If you're going to force a left-hand-side window button layout on poor users, at least make the following two concessions (and I have converted many relatively non-technical Windows users to Ubuntu users, including my wife, my dad, and my father-in-law).

(1) My mouse spends nearly all of its time on the left side of the screen since it has the scroll bar AND the window control buttons. If the window buttons are moved to the left, the scroll bar must also be moved to the left hand side.

(2) At least put the Close button in the corner, instead of three buttons in.

The close button is the most important of the three window bar buttons (minimize, maximize, and close).

When the buttons are one the left, I very strongly feel that the Close button should be on the left, closest to the corner. It should not be the third button from the edge, since it is the most important button and being in the corner makes it easier and quicker to click on.

If you disagree that it's the most important button, consider this: You can always resize the window by grabbing the edges to make it big enough or even fill the screen instead of maximizing it, or you can move it out of the way to access other windows instead of minimizing it. Also, you may not minimize or maximize every window you open, but you will eventually have to close each window; although some windows may be closed in other ways, often it is very inconvenient to choose File | Close such as you would have to do for a Nautilus folder window.

Thanks.

nomnex (nomnex) wrote :

I guess we can all do that, if there is someone to record the data:

=Q1. Where does the average mouse rest:

On the right, near the scrolling bar (I scroll; when I am done I close using the upper left X button on 9.10)

=Q2. Do you use the notebook trackpad:

I never will (imprecise, slow). I use a small USB mouse and keyboard to navigate

=Q3. Are there accidental clicks on the close button

No

=Q4. Does it take longer to click it in the new location

Yes, see *A* below

==Added

A. The mouse pointer on 10.04 is now either resting on the scrolling bar (extreme right) either on the buttons area (extreme left): It takes me longer to go interact with the windows buttons from the scrolling bar.

B. the title windows on the left is distracting. I have to focus on the left. A title on the middle is recorded photographically without visual effort.

C. the scrolling bars+mouse+keyboard are and will forever be the core component of my navigation on screen. Tactile screen on my personal computer? I don't need and I don't want it.

nomnex (nomnex) wrote :

For those not following the thread in a linear fashion, #421 comment was answering Mark's questions, see: #410 comment

scholli (scholli-tz) wrote :

Data form User Scholli:

(male, 35 years, right-hand)

1. Mouse-position:
Before the change I had the buttons always on the right. The mouse was generally on the right side. But actions like save, open etc. let me moving the mouse from right to left and back again - automaticly.
Now after ~ 2 weeks work with the buttons on left: With time I get changed my habits (beginning the second or third day). I leave the mouse after scrolling with the scrollbar on the right half of the screen. If I am using tabs, actions on the toolbar or using the menu, control-buttons I let the mouse in the left part; almost near the last action. If I have to change something like tabs or save quickly.. even close the window, the mouse is near and I have to move only slightly. If I am working with Karmic on my Netbook (sorry, no Remix) and I feel stupid now about the long ways I have to do with the Touch-pad from right to left and back. I noticed that left makes my life faster and easier. For that I am a big Fan of this change.

2. Accidentally clicks:
It's a short history. No. Okay the menu don't have a hover when the mouse is over them. But the toolbar-icons have and the control-buttons will have. The last update from the light-themes made Max and Min hover well. Close can be improved more for getting a better visual signal. This signals are avoiding clicks on the wrong button and it's a visual quick mark of that what you want click. It happens quickly and without thinking. All as usual.

Opinion:
It's a little stuff, but it improved, for me, a lot of the usability. I never knew about it. In the first days I was against and asked me what is the sense of this? But I changed my opinion about it quickly. Apart of that I noticed that Ubuntu get a own face. Okay it's left like Appels MacOS X haves, but it's different. I am agree with the idea to start with it now (LTS) and I give this change a +1 (Pro).

PD: My dates are honest and true. I hope the rest will do the same. I hope too that I can leave this threat from now for ever, finally ... :-)
I was participating here a lot of, because Ubuntu imports me much.

Cheers

Download full text (6.2 KiB)

On Thu, Mar 25, 2010 at 4:12 PM, Mark Shuttleworth <email address hidden> wrote:
> On 25/03/10 17:12, Atel Apsfej wrote:
>> Yes this is one of the fundamental communication breakdowns between the
>> closed door design team and the external community.  Shuttleworth and
>> the design team want data.. but they haven't communicated what that
>> means.  Why hasn't that happened? Is the team concerned that the
>> passionate minority with game the system and heavily bias the data that
>> is being collected?  There hasn't been a general data collecting
>> methodology articulated for any of the experimental design decisions.
>> This, more than any individual design decision, is the fundamental
>> breakdown in communication which risks hardening passionate contributors
>> in the Ubuntu community against Canonical in leading this work.
>>
>
> Atel, there is no conspiracy involved, nobody is afraid that data would
> be biased, because it's clear that all data is somehow biased and will
> need to be evaluated in that light. Nevertheless, data would be interesting.
>
> I haven't said what data in particular, because I thought it better to
> let people invent for themselves what might be a relevant study. If I
> said "I want data on X Y and Z" we'd get into a long argument about
> whether that's the relevant thing. I'd rather folks here had responded
> by saying "cool, here's some data I gathered".
>
> Since that hasn't happened, some things I'd be interested in:
>
>  - where does the average mouse rest? i.e., when it's not being used,
> where is the mouse, usually? Think of a looooong term heat map of mouse
> locations, over a few hundred desktops and a few weeks. That would be
> interesting. Lots of people have said "My mouse is generally near the
> left because there's so much else there". others have said "The
> scrollbars on the right mean my mouse is hanging out there". Data would
> be useful.
>
>  - are there accidental clicks on the close button in the new location?
> We know that the new location has lots going on around it. Are people
> accidentally clicking the wrong thing?
>
>  - does it take longer to click it in the new location, once one is
> moving with intent in the right direction? We know that the fact that
> there's a lot around the target means finer motor control is required,
> and we know that generally means slower, more careful, more irritating
> movements. But is that actually measurably observed?
>
> Those are three items I'd like data on.
>
> But I'm sure there are folks following this conversation who could come
> up with smarter and more insightful formulations.

The question is being framed incorrectly. This is not a question of
minimizing hand motion. It is a question of cost benefit for the
individual users. Think about the constant bickering about the
advantages of Dvorak keyboard versus the Qwerty keyboard. No amount of
technical data will convince people to relearn how to type. The
possible advantage of the retraining is not sufficiently greater than
the effort you must expend to get that advantage. Not to mention that
in a world of Qwerty keyboards you must be prepared to type on a
Qwerty keyboard at any time any where. Fr...

Read more...

Download full text (4.6 KiB)

On Tue, Mar 23, 2010 at 5:02 AM, Richard <email address hidden> wrote:
> Clearly there are many people (including me) who don't like the new
> title bar layout, and the loss of the application's icon from the title
> bar - so as a minimum there should be a GUI way to easily revert to the
> older layout, and this should be the default when choosing a different
> theme.  Existing themes such as Human and many others were designed
> around the old layout, so why is the new layout imposed on them?
>
> Also, this will really not help at all with maximising the ease of
> transition for Windows users (bug 1) - they can adapt to the system
> menus being on the top of the screen, but this will just be another
> roadblock in adopting Ubuntu.

Let me point out the unstated assumption here. That is that you can
transition Windows users to Linux. The sad truth is that it is hard to
transition Linux users to Linux. My work requires me to use Windows at
work. That requirement forces me to maintain a Windows box on the
shelf above my main Ubuntu desktop. I am not unlike the vast majority
of computer users in the US. I must use Windows at work or starve.

You can get people to use Linux as their second interface on new types
of devices because they expect a new interface. You can sometimes get
people using a Linux live CD as their secure/banking system (as some
banks are starting to push.) But, you can not expect to move most
people from Windows to Linux because of their need to eat. If you make
the interfaces to different the switch over costs becomes to high and
people will just junk the one that they see as different. For most
people that will be the Linux system.

By the way, Gnome lets you put control bars an any edge of the screen
and Windows lets you move the task bar to any edge of the screen. It
isn't hard to make Gnome look and feel a lot like Windows. You can
make it look so much the same it can be confusing. In fact so
confusing that I just went looking for the preference menu and
realized I was logged on to my Windows box.

Bob Pendleton

>
> Another problem with the Light theme is the highlighted area just below
> middle of the top panel - this draws the eye to that part of the screen
> for no purpose.  Normally such highlights are used in web and UI design
> to draw the eye to the most important part of the screen, but here it's
> just used for no reason I can see.
>
> Instead of imposing this annoying change, how about fixing a real issue
> that is causing accessibility and usability problems to users today -
> the fact that on large screens (or any screen for someone with
> visual/motor disabilities) it's very hard to resize a window using most
> Ubuntu themes:
> https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/160311
>
> --
> [Master] Window Control buttons: position/order/alignment
> https://bugs.launchpad.net/bugs/532633
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “light-themes” package in Ubuntu: Triaged
> Status in “metacity” package in Ubuntu: Confirmed
>
> Bug description:
> *** As per the design team's request***
> All bugs concerning the window controls are being duped...

Read more...

On 25/03/10 22:18, gabriel_samfira wrote:
> 1. I prefer to have "Select windows when the mouse moves over them" (or
> focus-on-hover), so my mouse is all over the place. I rarely close a
> window, but i do maximize and minimize allot.
>

I understand that this is a relatively common preference, but it's only
common amongst highly technical and sophisticated users. I'm glad to
retain it as something an expert can enable (yay FLOSS :-)) but it won't
be the Ubuntu default for the foreseeable future, and therefor can't
easily inform our planning.

> 2. well..not *allot* of accidental closes, but enough to get me to pay
> more attention to what I am clicking. I do however (even now):
>
> - maximize when i want to actually minimize
> - minimize when trying to maximize
>

Yes, I think this is a very valid concern. The use of the same styling /
colour for both max and min buttons means one has to pay closer
attention than usual. The pared back nature of the iconography compounds
the problem.

> This happens mostly because i use Lucid at home and Hardy at work. We
> will continue to use Hardy until it is no longer supported. We try to
> avoid changing things in the workplace that don't *really* need changing
> (saves time and money).
>

If we stick with a theme approach in Lucid that is foundational for
future work, then a backport to current maintained releases would be
appropriate, making it easier for people to keep a consistent portfolio
of machines.

> Hope this helps a bit!
>

Yes, thank you.

Mark

Mark Shuttleworth (sabdfl) wrote :

On 25/03/10 22:25, Atel Apsfej wrote:
> Good, finally some guidance. You shouldn't wait for people to think up
> data products on their own, that risks people spinning their wheels
> creating "data" that gets discarded because it doesn't meet your
> definition and leads to people feeling they are being ignored.
>

We should learn from any data that's presented. If someone comes up with
interesting data, we should gather what insight we can from it. And I
would be cautious to define in advance the set of "things that might
influence us". In my experience, inspiration and caution can come from
unpredictable sources, and quite usefully so.

> You and the design team are the only group in a position define what is
> acceptable data in your decision-making process. Putting forward some
> questions you want answered like you did above is helpful.

OK, fair enough. In future, I'll be quicker to outline things that
*might* be interesting, and encurage the team to do the same, but will
still encourage folks to be inventive with their research and analysis.
Otherwise we're not really crowdsourcing insight.

> But you could
> go further, and articulate a framework by which questions can be
> proposed by externals, accepted by the design team as important to the
> design process, and then answered with an acceptable data collection
> methodology.
>

There are certainly some questions that could definitively be answered
with a single data set. We could keep an eye out for those. But they are
relatively special. In this case, I can't think of a single data set
that would be definitive. But that's why I'd prefer to leave the floor
open to folks to suggest ones that might.

> If you do not articulate a data feedback framework that is acceptable to
> the design team then how is anyone suppose to know what you think is and
> is not acceptable? If you don't have a process by which people can
> propose questions worth answering with data, how do people know what to
> collect data on?
>

Collect data on what's interesting to you. Most of us do this because
it's interesting, and we like both the company (that's you ;-)) and the
domain. I can't guarantee that any contribution will make it into
Ubuntu, whether it be a patch or a translation or a package or an idea.
But they all make it richer, one way or another. And work that doesn't
get picked up here is still part of the commons and may have an impact
elsewhere.

Mark

Warlon (sampsa-p) wrote :

Here's my little grain of data:

My mouse pointer usually hovers above the right part of the screen simply because text on the screen is aligned left and on the right side it's out of the way.

Download full text (4.6 KiB)

If there is no conspiracy, it seems like a desperate act of the
designers to let the community swim in the unknown and then drop some
variables just a few weeks before the final release of a LTS instead of
a well planned, designed and methodical justified inquiry.

-----Oorspronkelijke bericht-----
Van: Mark Shuttleworth <email address hidden>
Reply-to: Bug 532633 <email address hidden>
Aan: <email address hidden>
Onderwerp: [Bug 532633] Data that would be interesting
Datum: Thu, 25 Mar 2010 21:12:25 -0000

On 25/03/10 17:12, Atel Apsfej wrote:
> Yes this is one of the fundamental communication breakdowns between the
> closed door design team and the external community. Shuttleworth and
> the design team want data.. but they haven't communicated what that
> means. Why hasn't that happened? Is the team concerned that the
> passionate minority with game the system and heavily bias the data that
> is being collected? There hasn't been a general data collecting
> methodology articulated for any of the experimental design decisions.
> This, more than any individual design decision, is the fundamental
> breakdown in communication which risks hardening passionate contributors
> in the Ubuntu community against Canonical in leading this work.
>

Atel, there is no conspiracy involved, nobody is afraid that data would
be biased, because it's clear that all data is somehow biased and will
need to be evaluated in that light. Nevertheless, data would be interesting.

I haven't said what data in particular, because I thought it better to
let people invent for themselves what might be a relevant study. If I
said "I want data on X Y and Z" we'd get into a long argument about
whether that's the relevant thing. I'd rather folks here had responded
by saying "cool, here's some data I gathered".

Since that hasn't happened, some things I'd be interested in:

 - where does the average mouse rest? i.e., when it's not being used,
where is the mouse, usually? Think of a looooong term heat map of mouse
locations, over a few hundred desktops and a few weeks. That would be
interesting. Lots of people have said "My mouse is generally near the
left because there's so much else there". others have said "The
scrollbars on the right mean my mouse is hanging out there". Data would
be useful.

 - are there accidental clicks on the close button in the new location?
We know that the new location has lots going on around it. Are people
accidentally clicking the wrong thing?

 - does it take longer to click it in the new location, once one is
moving with intent in the right direction? We know that the fact that
there's a lot around the target means finer motor control is required,
and we know that generally means slower, more careful, more irritating
movements. But is that actually measurably observed?

Those are three items I'd like data on.

But I'm sure there are folks following this conversation who could come
up with smarter and more insightful formulations.

Mark

--
[Master] Window Control buttons: position/order/alignment
https://bugs.launchpad.net/bugs/532633
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “light-t...

Read more...

Pietro Battiston (toobaz) wrote :

Many right things have been said (and scarcely considerated, but that's another story), just one added observation: all comments of the form "they're just buttons", "you can change it", and partially also "you can change distribution" are simply irresponsible.

_I_ can change it, and probably will. But I installed >20 Ubuntus, and certainly distributed it and suggested it to much many people in my LUG activity. I don't control their systems, and I _know_ many of them will have troubles when they upgrade. I also know they don't read this bug. For instance, I know my grandmother will call me saying something's wrong, and I will fix the issue on _her_ computer, and say "sorry" on behalf on Ubuntu.

But next time, I'll probably install Debian. So yes, "you can change distribution" is a partially correct answer... though after putting so much trust and work in this one I suffer in admitting that I was simply very irresponsible in trusting in something that "is not a democracy" (in my ingenuity, I would have sweared that "englightened dictatorship" was just the perfect form of leadership for such a project).

Notice _I_ will probably keep using Ubuntu: it's simpler, more up-to-date. It's just not something I can afford to publicize, install and distribute, now I know the decision making process behind it.

Pako (elektrobank01) wrote :

Colin D Bennett wrote
>If the window buttons are moved to the left, the scroll bar must also be moved to the left hand side.

In my case and I hope in many of yours, I never use the right scrollbar since I'm able to use my touchpad scrollbar on my laptop, it is much faster and more efficient and I use only my right hand instead of both at once. For those who prefer to use the mouse they can find an option in Firefox that allows to use the third button as scroll (unfortunately, this option is not enabled by default in Firefox). With such adjusted environment I do not use right scrollbar at all and I work much faster and more efficient.

Imre Gergely (cemc) wrote :

@Pietro Battiston: I don't think you can be 100% sure that Debian (or any other distro) won't do something in the future you will dislike...

Tech people think that non-techies (your grandmother) will ZOMG what happened to the buttons. Just try to explain that she has to click on the left now to close the windows and not on the right, and she'll get it in notime and forget about it. I have non-tech parents, too, with Ubuntu installed at home, and grandparents who learned how to use a mobile (at their age).

It's just us who are "too aware" about these things (us, who read these bugreports and comment way too much on them). Your grandma will probably think, "ummm there's no button here... but there! on the other side, that looks the same, let's click it and see what happens. Tadda!" She won't care, they've changed it, ok, she'll get used to it. If she can use a computer, she will figure it out.

It's still easier than Ctrl+W, Ctrl+Q, Alt+F4 or File/Quit ;)

Pako (elektrobank01) wrote :

Imre Gergely You are absolutely right! The example of a normal, average, everyday user is my sister. She has a Macbook, not because she knows something about computers or OSes, but she is an trend setter, she doesn't even know where the shutdown button is! So what really is important to her is hers programs, These are: Facebook and Skype. So, until these two programs work well for her, she did not care for the buttons, the colour of the desktop, sounds and even the colour of her computer.

Il giorno ven, 26/03/2010 alle 10.41 +0000, Imre Gergely ha scritto:
> @Pietro Battiston: I don't think you can be 100% sure that Debian (or
> any other distro) won't do something in the future you will dislike...

I'm 100% sure it won't do something that the majority dislikes,
justifying it with secret plans, because it has that obsolete but nice
form of government called "democracy". But we're OT.

> Just try to explain that she has to click on
> the left now to close the windows and not on the right, and she'll get
> it in notime and forget about it.

I don't think she'll get used, after 10 years of Windows/Ubuntu. But
even if she did, why should I make her exert useless effort?! I love my
grandma. But we're OT.

By the way, my grandma doesn't use skype and facebook, we're again OT.

I'm sorry _I_ triggered the OT: my contribute for this bug was and is
just "if you extend _your_ experience to general rules without good
reasons, you're only contributing to confusion", and that's all.

Pako (elektrobank01) wrote :

I agree, but my grandmother would not know how to change the layouts and not even she bother, I think you're making things confusing even though I am 100% sure you already know how to adjust your desktop by you measure.

Pako (elektrobank01) wrote :

I just ended my call with my grandma on Skype. Asking her what side of buttons she prefer, she said Left, because she is a Karmic user, please point me how to explain her to change the layout (She wants to be an modern grandma). She desperately trying to do that and I can't help her.

Imre Gergely (cemc) wrote :

So maybe the first category of data should be: what percentage of the Ubuntu user base cares/notices/is pissed about this change. From ALL the users who use Ubuntu desktop. Because it aims to be for everyone not just for tech-savvy people, right?

Go upgrade to beta at your parents/grandparents/friends, point out the changes and call them again in a week, see if anybody had any problems. For the ones who call you first, you can revert back to the old settings. If nobody complains but you, it's a sign that YOU care too much about it ;)

<OT>I would rather b*tch about why there's 500-600MB of RAM used up after booting in Gnome, without any programs open, than button placing.</OT>

Pako (elektrobank01) wrote :

Imre, why there's 500-600MB of RAM used up after booting in Gnome? Because there are more wishes than bug reports in launchpad, those wishes require а lot of RAM and processor power.

Colin D Bennett (colinb) wrote :

On Fri, 26 Mar 2010 08:18:42 -0000
Warlon <email address hidden> wrote:

> Here's my little grain of data:
>
> My mouse pointer usually hovers above the right part of the screen
> simply because text on the screen is aligned left and on the right
> side it's out of the way.

I had this same thought. The mouse pointer does interfere with reading
the text when it hovers over it.

Sometimes it's even worse: the mouse hovering in an area may even cause
tooltips to pop up and obscure the content of the window! This just
happened to me as I was reading the Boost.Thread docs on www.boost.org
- wherever the mouse rests, even in plain paragraph text, the section
title pops up as a tooltip!

Colin D Bennett (colinb) wrote :

On Fri, 26 Mar 2010 10:08:40 -0000
Pako <email address hidden> wrote:

> Colin D Bennett wrote
> >If the window buttons are moved to the left, the scroll bar must
> >also be moved to the left hand side.
>
> In my case and I hope in many of yours, I never use the right
> scrollbar since I'm able to use my touchpad scrollbar on my laptop,
> it is much faster and more efficient and I use only my right hand
> instead of both at once.

I use my touchpad scrolling and mouse scroll wheel *all* the time.
It's great for scrolling as you read a page.

However, when I'm reading a very long web page, ODT document, PDF, or
source code file (i.e. 50+ screenfulls) and want to get from the top to
the middle of the page, it is a complete waste of time to go "roll,
roll, roll, roll, roll, ..." with the wheel or touch pad; instead I
simply make a quick drag of the scroll bar thumb to the exact place I
want to go.

@pako #438

So then run Enlightenment or XFCE.

Ideally, everything (*nix, Gnome, KDE, XFCE, Konversation, etc) should have a developmental branch and a production branch; with nothing in the Dev version being put into the Prod version until fully tested.

Pako (elektrobank01) wrote :

By some reason Debian GNOME works with only 90 MB. of RAM

Yeah, Gnome uses a lot less than KDE, but XFCE uses even less than GNome, but of course true geeks ask "GUI? What's that? We're in CLUI since the 70's man. No mouse needed. What's the fuss?"

Jef Spaleta (jspaleta) wrote :

Mark:

Even when you crowdsource information you still need a framework. Frameworks like Ideastorm or Brainstorm are crowdsourcing frameworks...frameworks you aren't using for your design decisions. It's just a weebit inconsistent to come back after-the-fact and claim you were diligently waiting for someone to have a crowdsourcing epiphany. If the goal was to crowdsource data...start using Brainstorm or another crowdsourcing tool as a framework and stated that is what you want the crowd to register their ideas over the design.

And no, if you had communicated a need for questions to be asked, there would be no need for you to state your questions that interest you. Hell man, if you had actually used the crowdsourcing tools that you already have available to you, your questions could be slipped to be considered fairly with anyone elses. You could have seeded the crowdsource framework with your questions..under a pseudonym.

Lets roll back the clock and lets say that on the day you introduced this particular "experiment" the design team opened up a ticket in Brainstorm that requested people to add and vote on questions that should be answered with data about the design change being introduced. And then every single member of the design team communicates that mechanism via blogs or twitter or bat signal or whatever. The Design takes X amount of days to let questions come in. They then choose Y number of questions (not the top Y) they deem are important design considerations and communicate those questions of interest widely again and state they seeking people to come up with how to generate data then you move on to crowdsourcing a data methodology for answering each of those Y questions. That is a coherent process for crowdsourcing data driven design. Anyone who really believes that crowdsourcing data methodology is a good idea would be following something similar as a process.

And such a process does not exclude considering a totally left-field idea not driven through the process. Such a process does not take a way decision making at any step from the design team. But what that process does is proactively engage with externals in a time appropriate fashion and lets them know what feedback is desirable.

Coming back 400 comments deep into a heated bug ticket and finally stating that you want the questions to be crowdsourced is, well, its something I don't have polite words for, but it certainly is not going to lead to data driven design nor is it a sincere effort to crowdsource anything. The crowd isn't in this bug ticket. The crowd is on brainstorm.

And no Mark, this isn't about me. You stated flatly, belatedly, that _you_ wanted externals to provide data. I'm just the only one with enough experience pulling your teeth to get you to clarify that statement into something people can actually do something constructive with. You need to do better communicating in a timely manner how you want externals to provide feedback. If you continue to run design experiments this way your just going to burn up goodwill and you aren't going to get quality data.

@Jefspa Leta: AMEN!!!

Not defining what you want will not get you what you want; and that is what Mar kis doing. It's like going to a party and asking people "Hey... you remember that one time that one guy did that one thing you know where with you know who?"

uhhhh yeah..suuuuuuure.

Pako (elektrobank01) wrote :

just to correct my typo error in previous comment. "works with only 90MB of RAM" > uses only 90MB of RAM.

While Jefspa Leta brings up all good points, I don't see a need to keep saying could'a would'a should'a or "I told you so" to Mark at this point.

I do hope Mark takes this to heart for future design changes. Most critics of the change fully understand that Mark is in charge and that this isn't a democracy. But even a dictator can be open-minded to constructive feedback and provide guidelines in advance for how that should be given.

At this point, let's just get together what data we can that we think will help.

Alvin (alvevind) wrote :

To gain more data I posted a poll on the Ubuntuforums Community Cafe board.
http://ubuntuforums.org/showthread.php?p=9031462

The reason for posting it there and not on the Lucid Lynx Testing board is to better to get a broader user base to answer (not only the beta testers).

The poll seeks two pieces of information:

1. Where does the mouse pointer rest?
M) Pointer tends to rest near the menu of the active window.
L) Pointer tends to rest on the left side of the screen.
C) Pointer tends to rest in the center of the screen.
R) Pointer tends to rest on the right side of the screen.
X) None of these.

2. Is there a marked difference based on the type of pointing device that is being used?
M) Normal mouse
T) Laptop touchpad (or other device)

The 10 poll options reflect the corresponding cross correlation matrix.

Hopefully this will produce some insight.
Either by showing a patterns or by showing that no discernible patterns exist.

Jef Spaleta (jspaleta) wrote :

aysui:

Would you like to suggest a better engagement strategy to get Mark talking? He's been pretty reluctant to communicate about specifics in the role he sees externals playing in design decisions until I started poking him in the eye..over and over and over again. I'd like nothing better than to not have to do it this way, because it really doesn't make me look that good. But its effective, and I care more about seeing a workable process that provides a satifactory way to drive feedback into the design process than I do about how you or Mark think about me personally.

I'm persistent in my messaging about better communication, yes. But I'm not berating him and I'm definitely not suggesting that he should have know better. He's human, he'll make mistakes. We all make mistakes. Mark however has a track record of being difficult accepting and acknowledging when he's made an error in judgement, in a timely manner. And in this matter I'm not going to push it so far as to get him to publicly acknowledge he's made an error in his communication strategy, there's no need for that. This is not a personal vendetta. But he does need to accept that fact, and understand how the lack of communication from him and the design team has impacted the quality of feedback he's getting now. I'm being persistent now, so that he'll commit to a better process for next time soon enough to impact design experiments in the 10.10 time frame.

400 comments deep into a bug ticket, several rounds with me, and its the first time he's mentioned "crowdsourcing". That's a problem. That's a big fundamental problem. I think he needs to sit down with an hour of quality Jono Bacon time and have Jono sketch out a crowdsourcing process that the design team can commit to using that includes a coherent communication strategy. I expect Jono could greatly improve on my strawman process.

@Everyone.....

April 29th, the release date is the scheduled release date of the 3rd LTS release...at this point, rather than copy Microsoft and release Canonical's version of Vista because of this "Button-Gate"; maybe it's also time to:

1) Resolve it the way the majority of people want it or...
2) Provide real-world data and reasoning for the button order and position change to the left or.....
3) If 1 or 2 cannot be done (or done in time...) then to postpone the final release.

A missed LTS release date is better than a messed up released LTS.

Let MS release the MEs and Vistas to the world, NOT Canonical.

scholli (scholli-tz) wrote :

@ Pyramid Technologies

What a nonsense. In what relations you can put together the Vista-fail with the buttons?

1. you are sure the majority want it? You want it. Peoples who didn't tried it for a long period will say firstly "no". But this statement is generally not fair.
2. this is a fair point.
3. :O Joke?

Why you did this provocations? Why did you say this rubbish? For throw nonsense-wood in the fire? You think this will resolve your wish and the fear about that nonsense you said will put the buttons to the right place immediately?

Be fair and mature, please.

The statement form Mark S. was clearly. He is looking for value datas. finsih.

@Pako
Until 2005, I ran Debian GNOME or jhbuild GNOME (on Debian) with only 96MB RAM. That was a Toshiba Portege 3010, you can look up the rest of the specs.

Pako (elektrobank01) wrote :

Maybe we could ask Steve Jobs and Bill Gates what they think and why they have chosen left and right layouts? Why not ;)

@scholli

"What a nonsense"

Such is your opinion. I have stated mine and you disagree. cool. So be it.

"In what relations you can put together the Vista-fail with the buttons?"

Vista was going to be this be-all-end-all-wonderful thing with the GREAT idea of the UAC.. just like how there is a GREAT idea of this button order/move.... as well as all of this new features in 10.04LTS as well.

Beware all. beware.

1". you are sure the majority want it?"

Judging from here at 450+ posts, judging from the Planet Ubuntu blogs, other websites/blogs, I would venture to say "YES", the majority DO want it to stay the way it is now in 9.x and earlier, the way it is in Windows.

"You want it"

Glad you got that.

"Peoples who didn't tried it for a long period will say firstly "no". But this statement is generally not fair."

People are creatures of habits and resist change without VERY good reason, which as you agreed to in my #2, has yet to be disclosed by Mark or anyone else responsible. I, we are waiting Mark.

"2. this is a fair point."

Indeed. See the above.

3. :O Joke?

"Why you did this provocations?"

I stated my opinion, which unlike this button order/move, has not prompted "Buttongate" and thousands of posts on websites, blogs, emails, etc. IF there is ANY controversy, it is not because of my opinion, but rather because of the move and order of the buttons propgated by the powers-that-be.

THEY provoked. I, WE, responded.

"Why did you say this rubbish?"

Please refrain from stating your opinion as fact. This is not church.

"For throw nonsense-wood in the fire?"

See the above. Now moving on if we can.......

"You think this will resolve your wish and the fear about that nonsense you said will put the buttons to the right place immediately?"

No. I will wait and see and if it is not to my liking, which I know about the gconf hack, but I know that doing that will break the UI on the DE and applications, I will simply move to Debian. Problem solved for me. I DO prefer to stick with Ubuntu, but so far that loyalty has been pretty one-sided.

"Be fair and mature, please."

 I TOTALLY agree. Mark? Are you listening? How about that explanation about the reasons for the button order change, button location move, and exactly what things are planned for the space on the right which in no way could possibly go on the left hand side instead?

I, we are waiting. Yes, please. DO be fair. DO be mature. Mark, the cat is clawing the bag. Let it out already.

"The statement form Mark S. was clearly. He is looking for value data."

Define "data". Too vague. Too ambiguous. This one time this one guy did this one thing -- you know.

Pako (elektrobank01) wrote :

450+ are not majority, 30.000000+ are.
>"How about that explanation about the reasons for the button order change"
Well, the time is running and there is still no particular reason and argument, why should be the right buttons retained.

Pietro Battiston (toobaz) wrote :

Il giorno ven, 26/03/2010 alle 20.41 +0000, Pako ha scritto:
> Well, the time is running and there is still no particular reason and argument, why should be the right buttons retained.

Please, at this point we are all taking as _obvious_ that right buttons
are to be retained _in absence_ of a particular reason and argument to
move them on the left, and that such a particular reason allegedly
exists but is secret and planned for a later release.
Assuming that collecting (some sort of) data is indeed useful, it is the
only thing that makes sense for the moment.

Spang (hetkot) wrote :

As the debate is still alive and kicking, let met drop in example of an argument that has surely passed the board. (What about novice users, and their willingness to migrate)

About a month ago I migrated my 62 year old mothers PC (pretty much used for PC-banking only), from XP tot Karmic. Something I would never have considered before Ubuntu times.

Anyhow a long story short, the transition form XP to Karmic went quite smoothly, no complaints so far. I am afraid however, if I'd migrate that home PC from Karmic to Lucid, without putting back these buttons where they were, the first question would be to go back to Windows.

I think thats a fear easily generalized. Moving those buttons will reduce the likelihood that people actually migrate from the most used desktop OS so far. I'm not even sure I would have gone Ubuntu all the way a few years ago, with those buttons over there. I may not be a kernel hacker, but as a computer science engineering graduate I wouldn't qualify myself a novice ;)

Sprang, I agree.

Every year there is a list that comes out of the most popular distros, and for quite a few, Ubuntu held that, but I really do believe that if this move goes through, Ubuntu will become as current and relevant in today's world as NeXtstep, BeOS, Amiga and OS/2 are.

It's bad enough that we IT geeks have to do major workarounds to keep windows going for people, but now Ubuntu too? Is Canonical trying to compete with Microsoft for the most PITA OS to use? Maybe windowing shouldn't be square.. How about we make all windowing shapes circles instead? No one will care.

Right?

Let's go for the ugliest and most difficult OS to use... then we will be great, like Microsoft.

Jeff Burns (admiraljkb) wrote :
Download full text (5.4 KiB)

>Pako wrote:
>450+ are not majority, 30.000000+ are.
>"How about that explanation about the reasons for the button order change"
>Well, the time is running and there is still no particular reason and argument, why should be the right buttons retained.

I have yet to hear a compelling reason why to move the buttons to the left, other than "Mac does it", and "There is some cool (currently) vapourware coming out for 10.10". I'm dealing with a cranky 55 year old wife, 30 year old daughter, 80 year old father-in-law, and 80 year old father as it is for support. All of them go into "who moved my cheese" mode when flipping UI items around. Small UI changes that I don't even notice, and they go into some sort of fit on it. Then if it's for no discernible reason like this is, then I can't really explain it, other than there it is and I get grumbles back from them. If there is a cool feature that requires moving buttons around, then by all means bring it out, and maybe it'll be worth retraining for. At least then I've got a legitimate and visible example to explain this change in defaults. A carrot of enticement as it were. Although with both my father-in-law and father, I CAN'T allow their buttons to move regardless... They're easily confused and baffled by these "electronic typewriters" as they call them. Me personally, I CAN use it, but I find it just as counterproductive as the Mac interface so I switched it back. If I liked Mac, I'd have a Mac and I'd be the worlds biggest snob about it and frown on "free OS Mac wannabes", and not likely to move to Ubuntu even with an interface change. Ubuntu's big selling point is getting people off Windows almost without them noticing too much thanks to the current Gnome UI, Firefox, and OpenOffice's familiar interface coming from Office 2003.

With that said I think what is being (almost mistakenly) applied to both sides of the argument though is logic. For UI issues like this, much of the time logic has no place. I've dealt with these before at work with around a million users affected. Move around something on the screen, and let the anger begin. If something is to be moved around, it has to be clearly understood beforehand, evaluated by a larger focus group and not done on what seems to be a whim, and "that looks cool". if people understand it, and the need to move things around, they go with it and accept it without getting so cranky as they are getting here. Personally I see plenty of room on the left side of the titlebar for features. Just right justify the text and VOILA! OK, I'm trying to apply logic to it as well... The emotional element of peoples attachments to UI appearances has to be taken into account, in spite of it largely being an intangible for datapoints.

Mark - I'll address this bit directly to you, and understand I applaud everything thing you are doing here. You're on my most admired list. Understand I'm not against changing the UI. Some major UI changes are called for as this isn't the 1980's anymore and we're still not that far away from Xerox's original interface. Big UI changes are called for. Paradigm shifts even. Small changes where b...

Read more...

Thank you Jeff. You've said a lot of what is on my mind, as well as the mind of others, and you also included the issues that IT/Support people are going to face with this button order/move issue.

I think at this point, I could list many things, but so many people have listed them so many times, in so many different ways, we are just going round and round... so let's move on from the b*tchfest and go with the next action step.

Mark, UI Team,

What's next?

Where are we at now?

Where are we going next?

How will we get there?

description: updated
Pako (elektrobank01) wrote :

So you said that you are not prepared for small changes, well what about the huge change in (GNOME aka 3.0) It's a desktop design that is 360 degrease different from all desktops today.
What would be your complain about? Revert my GNOME 2.0 back because I'm used to work in such a environment years and years back?

motters (fuzzgun) wrote :

I agree with the comments Jeff Burns makes. For me personally the position of the buttons is not a massive issue, but I am probably not anything like the average user - I'm more in the "power user" bracket.

The main issues with having the buttons on the left are:

i) It may pose issues for some non-technical users, as Jeff points out.
ii) It's hard to justify the change to people if no reasonable explanation has been officially given. When supporting other users I'll just have to say "I've no idea why they moved them to the left hand side", which doesn't look good either for me or Ubuntu generally.
iii) It appears from the number of comments here, and a vote on OMG, that this is a UI change which the community doesn't support. Distros go against the majority views of their users at their peril.
iv) It's just one more piece of ammunition for those who continue to (wrongly) claim that "Linux isn't ready for the desktop".
v) The amount of fuss kicked up by a UI change like this saps productive energy from the community as a whole. There are better things which effort could be focused upon.

Spang (hetkot) wrote :

@Pako

Watched the screencasts so I could make somewhat of fair judgment. As far as I can tell window management buttons are still on the right :P. I'm kidding, though again I think even here I can generalize. I'd say Gnome 3.0 shell allows you to keep your old basic habbits, window management on the right, taskbar, some sort of menu, but allows you to extend them. I even deem it possible my mother wouldn't be confronted with any of the new features. Fact of the matter is, I was actually planning to upgrade that PC to Lucid and then stick with the LTS while it was supported. ;)

Look, I'm not saying that an OS should be designed with 62 year old ladies in mind. But changes that impact very basic computer interaction patterns for some reason feel like they outweigh others by far. Things change in Gnome 3.0, but as far as I can tell they seem to be respecting the basics. And, changes that are there seem to have reason.

Don't change things for the sake of change, or to differentiate. Make changes because they make improvements.
(as I said before, no one would just changes the order of throttle and brake in a car, without a very good reason)

Spang (hetkot) wrote :

Btw,I should clarify. I don't think it's an outrage that Canonical threw the buttons over to the left in this beta. On the contrary, I think it was a great experiment. So an alpha/beta is the place to do it.

It has spawned a lively debate and in this debate I'm simply expressing my opinion. I disagree with the idea as it stands and I believe it isn't wise to include it in to a final LTS Ubuntu.

Pako (elektrobank01) wrote :

When support for LTS will expire in 2015, I assume there will be GNOME 5.0 which might be shipped without buttons at all, that's why it is better for you to start (sooner the better) to learn things used to do step by step.

Tom Harris (tom-harris) wrote :

@Mark Shuttleworth

Would data collected in Windows be considered useful? Since we're using this to make a UI design change the current UI shouldn't affect it right? What matters, presumably is how we interact with documents that will look mostly the same on any operating system. I will try to collect data in Windows 7, since that is what I use day-to-day.

I expect to see my mouse mostly resting on the right since English language text is usually left-aligned, so leaving the mouse on the left would obscure it. I don't have a TV though so there will be occasions where my mouse rests at a random position on the screen because I'm watching a video. My point is that everyone uses their computer for different tasks, so without defining a framework (i.e. asking where does the mouse rest while writing an email, what about when chatting, now when writing a letter...) the amount of variables involved in what individual people use their computer for will seriously wreck any chance of receiving meaningful data.

scholli (scholli-tz) wrote :

"Don't change things for the sake of change, or to differentiate. Make changes because they make improvements.
(as I said before, no one would just changes the order of throttle and brake in a car, without a very good reason)"

I think differentiate is important. Every OS should have his own identity and not be a habits-clone of Windows.
This change is a improvement or you didn't noticed that? You don't miss brakes in functionality and you have to move the mouse less. About your car-example: Better cars (Sprot-Cars, expensive Cars) moved the gearshifts to the steering wheel. ;-)

More arguments for left:
Gnome 3 is a radical change, the buttons not a bit. Grandma will return to windows or she have to learn a little bit. Changes is usual stuff in life! Gnome 3 have all "important" stuffs on the left side! touch.

Apple slogan is: "Think different ..." and obviously it means "be unique!" Hey and they have real success with it.
It's the simple truth that we have here a very conservative part of a community who is boycott and brake every change and avoid simple the progress.

But okay put the buttons on the right and we are moving senseless to left-right-left-right... and Ubuntu follows the Winodws-Way without own identity. Poor stuff, I know...

Bernhard (b.a.koenig) wrote :

Hey guys, stop bitching and download today's metacity update in lucid. It lets you switch the button position through the theme, so human buttons are back on the right, ambiance on the left.

On 27/03/10 13:19, Tom Harris wrote:
> Would data collected in Windows be considered useful?
>

Yes, certainly. There'd be arguments about interpretations, but a good
data gathering exercise would identify that.

Mark

Pako (elektrobank01) wrote :

fair enough

scholli (scholli-tz) wrote :

Besides... I saw in the Ubuntu-Forum in Germany that the Threat about the new button-placing is poor in visits and comments. The Offtopic-Lucid-Threat are many voices that peoples loves the new look and way. I don't thing that the whole world is against that. And who's against, can change the opinion ... I wouldn't care much about it.

Spang (hetkot) wrote :

Let me mark the marketing in that statement:
-differentiate is important
-Better cars (Sprot-Cars, expensive Cars) moved the gearshifts to the steering wheel
-Apple slogan is: "Think different ..." and

First and last are pretty much the same. A comment on that better cars though. Euhm, a lot of these cars have the gear paddles to give 55 year old midlife crisising men that can afford them, an F1 feeling. Afaik, rally cars have the gear in the middle. F1 cars have it on the wheel because there's no other place to put it. That said, I chose brake and throttle with that in mind and because they are more essential.

Concerning Ubuntu's marketing, last time I checked, it was something like, "linux for human beings" (that would include 62 year olds) and not "Think different..." (which till tis day is actually implied when using linux, so no need to shout about it :P) .

So much for marketing, what about good science. Is it true improvement? My cursor doesn't spend most of its time in the top left, it's pretty much all over. Which seems logical when you're an intensive interleaved keyboard mouse user. But maybe we should postpone the shouting about science and senselessness until Ubuntu has a Mozilla FF Testpilot alike feature and we have real metrics. (as has been mentioned all through this discussion)

scholli (scholli-tz) wrote :

@ Bernhard:

Wow, true. This was a really good idea what they did with the Metacity-update. If Grandma likes it on the right, so she can switching in a simple the theme... "Dust" for example. ;) I thing it's a good compromise - like it. This could calm the most of the present inscribers here in this list, no? Maybe a Ambiance-left (default) and a Ambiance-right is a idea from me. What about that?

Pako (elektrobank01) wrote :

Bernhard wrote

-Hey guys, stop bitching and download today's metacity update in lucid. It lets you switch the button position through the theme, so human buttons are back on the right, ambiance on the left.

Pako wrote

fair enough

> here in this list, no? Maybe a Ambiance-left (default) and a Ambiance-
> right is a idea from me. What about that?

I'm sure those will be downloadable from gnome-look.org pretty soon!

Pako (elektrobank01) wrote :

@ Spang >(that would include 62 year olds)

If we ask our grandmas what we should do with future technology, will not get far.

Pako (elektrobank01) wrote :

* We will not get far

Jeff Burns (admiraljkb) wrote :
Download full text (5.2 KiB)

Pako, Pako, Pako...

My friend, you misinterpret me. But trust me, I understand what you are saying. 10 years ago I'd be with you on this debate/argument because I didn't have experiences that I do now supporting UI related stuff. Change is good right? Well maybe not sometimes... So when I say this is too small a change, it's because the change is incomplete, and just isn't worth expending Mark's precious political capital over at least until the feature is COMPLETE. There's a time to fight, and a time to strategically withdraw. This is the latter. Later it can be unveiled again when we've got a carrot, but until then I NEED that carrot to explain this change to my users that I support. Incomplete UI changes just don't work, you either have to go whole hog so something has demonstrably happened (again the carrot), or do nothing at all. I'm not against the UI changing. Gnome 3 so far looks really cool, and I've been an early adopter/tester of KDE4 in Kubuntu (and everyone who did knows how painful that was), and filing several defects along the way doing my part to help get it to something reasonably stable today, and I like KDE 4 better than Gnome as a personal preference. I'll probably start testing Gnome3 when I get a chance. I like most of the advanced interface in the new KDE, and probably will like Gnome3 as well. I don't like this small "button change", but I don't hate it either. It's a "meh" for me *personally*. But don't get my professional and personal preferences confused. Because they are different by necessity, as are a lot of IT guys out there who have to support one thing for the common good, and prefer something else on their own desktops. The reason why my professional and personal opinion differs is below.

I used to be IT, and now I'm in a Dev/Sustaining role for the last 10 years roughly. I've supported UI's now for close to 10 years and will give you a quick simplified example from my past that was on something quite similar. I've been on the front lines when a usability change was made on a product for one customer (with a proper defect for the change) that made reasonable sense and was logical, and we massively honked off 10 other major customers (or more). Their admin/secretaries use this tech stuff every day heavily (and have the ears of executives) and get quite cranky when things move since they run on auto-pilot on nearly everything from computers to phones. I mean absolutely enraged because two silly buttons moved and it interrupted their work processes. Many of my counterparts (including me) laughed at this controversy, because the buttons that moved were CLEARLY marked. I mean moving silly buttons around generated that much rage? Jeeesh. But after a second trip around and near death threats because people's "cheese got moved" I've learned to respect that average user, and secretaries in particular, regardless of my own sentiments. Much of the time you can swap out the ENTIRE OS, or their desktop phone and they'll get over it because it is something totally new and it's expected to relearn, (provided what goes in makes sense to them for how to navigate the product, and you stil...

Read more...

Pako (elektrobank01) wrote :

@Jeff Burns, Please write shorter posts because English is not my native language, so is very difficult for me to understand you.
I have to compile my sentence before posting here and that's a time waste. ;)

Neil Broadley (scaine) wrote :

Jeff makes a good point about his wife exclaiming "Can't they leave anything alone??". We had similar immense pain when we upgraded to Office 2007 at my work. The office "ribbon" wasn't just viewed as a waste of developer time by our staff, but also caused actual affront. As if Microsoft had scrapped toolbars and introduced the ribbon very specifically to annoy our staff.

A short article corroborating this experience :
http://j-walkblog.com/index.php?/weblog/posts/office_2007_training/

(Yes, we upgraded anyway, but by god, yes, we needed a /lot/ of training and nearly two years later, few have anything good to say about the ribbon)

As for the latest updates making the buttons theme-dependent, this is kind of good news, but I also worry that even simply offering a theme with buttons on the left will introduce very real support issues. For example, when supporting PC-illiterate staff remotely and without access to VNC/screen control - you may have to ask these people to "move your mouse up to the top right of the window and click on the little "x" button". Well, that's not going to work if they've chosen a radiance theme, is it? A minor point perhaps, but we've been asked for data, so here it is.

The way this change was introduced, the blind-siding and subsequent utter silence on the matter and the recent comment spam from Pako and to a less extent, Scholli, have made it extremely difficult for me to see the matter objectively. And I can't believe that there /still/ hasn't been any real counter arguments to comment #71. That comment, incidentally, was a touch over two weeks ago. I know. It feels longer.

Spang (hetkot) wrote :

@Pako

If what I said leads you to that conclusion, you're cutting a bit to much corners...

@Bernhard & scholli

The theme dependent position is indeed somewhat of a compromise. I don't think it changes anything at the core of the debate though.

Anyhow, I think I've done enough community participation (or whining) on this certain subject on launchpad. I've expressed hopes and thoughts. In the end the call is made by Mark and the design team.

scholli (scholli-tz) wrote :

@ Scaine

What you think it's spam from me are only my intents for opening the mind, see the stuff from another angle (point) and show that most of the arguments don't haves the gravity they looks like at first moment. This threat is a meeting form "I am against it"-folk and I am in mission to give it a little bit paroli (to give sb. as good as one gets). I think it's a good marketing-gag, it contains usability-improvements and gives Ubuntu simply a new identity. I know I don't get many friends here in this threat, but I am talking for the peoples who like it so and even wish it very much the change stay. They don't know about this threat, because they don't have the need to search for it... and they don't know it's all in danger. ;)

The theme-dependent buttons are _bad news_, for two reasons:

1) they make clear that the "experiment" is much more than an experiment

2) the reason for the switch was to put something new (and certainly
great - though unfortunately secret, at the moment) on the right side:
it means that whatever direction Ubuntu is going, custom theme users
will be left out.

Not to offend, but the only good news I expect may only arrive in 5
days.

scholli (scholli-tz) wrote :

No Pietro. The custom-themes haves now the possibility to do their themes with the control-buttons on the left or the right (look down). The rest of the themes have it on the right, because they was made for it and they looks better this way.

-------
index.theme

[Desktop Entry]
Type=X-GNOME-Metatheme
Name=Ambiance
Comment=Ubuntu Ambiance theme
Encoding=UTF-8

[X-GNOME-Metatheme]
GtkTheme=Ambiance
MetacityTheme=Ambiance
IconTheme=ubuntu-mono-dark
CursorTheme=DMZ-White
ButtonLayout=maximize,minimize,close: <-------- !!!

Mike Rushton (leftyfb) wrote :

@Bernhard

First off, please read the Code of Conduct you signed. No need for the offensive language.

Second, the updates thus far do not allow one to switch from the icons being on the left back to the right. The only thing I have noticed is the theme manager telling you that if you've got the buttons moved back to the right where they belong, that the theme you just picked was made for the buttons to be on the left. It will then move the buttons back to the left with the option to move them back where you had put them on the right. I see this as being more of a problem as it is now changing the options you manually made in gconf with no way to put them back other than gconf if you do not understand the wording and just click ok and the buttons are moved back to the left.

They put in this much effort to keep the buttons on the left, yet don't put in the same amount of effort to just put in an option to pick which side you want the buttons on regardless of where they are set at any given moment.

Albert H (albert-s-huang) wrote :

I'm surprised no one has used this fun little tool:
http://iographica.com/

Download it, and in a terminal run this:
cd FOLDER (depends on where you saved it)
java -jar IOGraph.jar

If you wish, you can add a screenshot of your desktop for reference.
Just click the options button (tiny little tool icon, in the middle of the button set, which is located on the bottom right), then click Use Desktop as Background. It will freeze a bit to do a screenshot, but then will finish. Click the options button again to return.

Then click the big circle to start the mouse tracking.
Minimize it now. It will begin tracking mouse movement.
Keep it running for a while (3-8 hours).
Then open that window back up, and move your mouse to the center of that image, and click the pause button. Then., click the save button at the top of that button set (which is located at the bottom right corner). Save the image, and upload it.

The bigger a circle, the longer the pointer has stayed in that position.

Now THAT's the "data" Mark might be interested in. :)
Just upload the resulting image here and specify where your mouse was most of the time.

My only hope is that the changes will be reversed. This simple change
could affect the future of Ubuntu, and whether people will adopt it or not.
Take Office 2007. People HATE it. Even after all that learning, they still
want 2003 (and a menu for 2010 and higher). Some people don't even
bother upgrading.

jgv (visserjg) wrote :

More or less roughly scanning through this whole debate, one can observe a vast majority of contributors against this change of the UI with at least plausible arguments and illustrations. They frequently state to represent other (less experienced) users. On the other side are a few very explicit contributors with basicly three arguments pro: distinction from other OS's, marketing aspects and usability improvements. They make it themselves very hard by just discussing the opponents arguments as inferior instead of making their own arguments more plausible for benefitting the mass. At a side-line there is the Ubuntu leader, watching and waiting and sometimes throwing minor bones into the crowd.

Bernhard (b.a.koenig) wrote :

Switching themes enables me to move the buttons to the right, e.g. switch to human theme or dust. If you still think it's not working as intended, please file a bug against metacity or comment here: bug 533758.

If you want to comment, please describe exactly what you did, by "switch icons" do you mean the window control buttons?

scholli (scholli-tz) wrote :

28 minutes of shorter mouseways with the control-buttons left. I do my usual work with the new adopt habits.?field.comment=28 minutes of shorter mouseways with the control-buttons left. I do my usual work with the new adopt habits.

Pako (elektrobank01) wrote :

@Albert H
Take Office 2007. People HATE it. Even after all that learning, they still
want 2003 (and a menu for 2010 and higher). Some people don't even
bother upgrading.
So why upgrading to GNOME 3.0 anyway? Let's stick with GNOME 1.0

Tom Harris (tom-harris) wrote :

@Mark Shuttleworth

As promised, here's an 1.5 hour mousetrack from earlier today. I figure any longer amount of time and the data is pointless because of the sheer number of different styles of task being performed. The lines obviously show mouse movement, the circles are the mouse not moving, bigger is longer time.

It is mostly me checking email, reading blogs and reading the paper.

Devin Walters (devinw) wrote :

Mark Said:
> Collect data on what's interesting to you. Most of us do this because
> it's interesting, and we like both the company (that's you ;-)) and the
> domain. I can't guarantee that any contribution will make it into
> Ubuntu, whether it be a patch or a translation or a package or an idea.
> But they all make it richer, one way or another. And work that doesn't
> get picked up here is still part of the commons and may have an impact
> elsewhere.

Interesting. Earlier on in the thread you were talking about how it's not a democracy and we shouldn't expect to be able to affect any decision. Now you've slowly changed your tune to say that:

"We'd like you to do a lot of extra work *for us*, which we *should have done ourselves before making this decision*. However, don't count on any of it mattering (because we've already made our decision, remember?)"

You're treating your developers as a commodity and I don't like it one bit. You also earlier on in the thread made mention to providing "meaningful" comments in this thread, and yet at EVERY SINGLE stage of the game you have avoided providing ANY substance. Even if it's not true, you shouldn't be navigating this thread anymore; I think it would honestly be better if you just quit replying. You have done nothing but make me more and more angry the more of your dodgy drivel I am forced to endure.

I didn't even know who you were before this thread, but I now feel pretty dirty knowing the truth about Ubuntu and its "leadership". Mark, you want the best for Ubuntu, but you haven't even thought about reconsidering the entire time, and it's sad you've taken such a close-minded approach to what I heretofore referred to as a community.

What are you thinking, man? Just ignore this thread and make your change like you planned on doing in the first place-- trust me, it's obvious. Quit trying to play politics while giving everyone the subtle middle finger.

I think it's time we parted ways.

I have been thinking about switching distros to something else, and this thread has nothing to do with me caring about button placement (I couldn't have cared less), and everything to do with me doubting the leadership of a project that allows someone in your position to continue to dig a hole this deep. Please quit blowing hot air and go back to your board room.

martincasc (martincasco) wrote :

@ Davin Walters:

Mark said that the design decision in not under voting, but good thata (against or not left position) is welcome for the final decision...

That's what he said... And I don't see any problem with that, it's something logical

(Read post comment #110 and #167 for more info)

Regards!

Devin Walters (devinw) wrote :

martincasc: I've re-read both posts carefully; It does not change my response. I don't feel like he ever really said anything in any of his posts. He would give an inch, take an inch. We haven't moved in 300 threads. Is this not obvious to anyone else?

martincasc (martincasco) wrote :

@David Walters:

Comment #110 "(...) The default position of the window controls will remain the left,
throughout beta1. We're interested in data which could influence the
ultimate decision.(...)"

comment #167 ·(...)> If you want to tell us
> that we are all part of it, we want information, and we want our opinion
> to be decisive.
>

No. This is not a democracy. Good feedback, good data, are welcome. But
we are not voting on design decisions.(...)"

I'm not quoting the rest of the comment, isn't neccesary... With this it's pretty enough

Devin Walters (devinw) wrote :

@MartinCasc

Yes, and I fundamentally disagree with pretty much every single one of Mark's responses to the criticism that follows in the previous *300* posts. There are so many instances in this thread where, as I just said, Mark writes two paragraphs which consist of absolutely *nothing*. Meanwhile, user after user pours their heart out giving him sound factual information on UI design. His response is to respond *as if* he is considering their post, but it is clear that he never has had any intention of being up front and honest with the community as to what all of this means when the whole thing he is planning comes together. That is 'tricky', at best, and quite possibly a flat-out refusal to share any information about future design plans.

What that tells me is that there is no interest whatsoever in doing anything but slowly placating the community with a lot of non-information. It is offensive to those of us with brains.

Yann (lostec) wrote :

For me, the issue is almost solved: Theme now update buttons position, so one's can choose "Dust" for instance... I currently give it a try in a VM (I don't like "Ambiance" background color that remain in terminal windows even if background image is changed).

Button layout reversal for new themes is also there, but the proposition seems to be there only at first time which imo, let's be open minded, does not let users try easily (with several reversals) and make their decision: Reversal should be proposed unconditionally for new themes.

Installing "Human", indeed, does not show application icon in application menu button? As several other themes...

Maybe this is another remaining issue for those who want to remain brown?

So, to summarize, IMO:
-Always propose reversal for new themes.
-Fix the application icon for menu button.

Regards.

Pako (elektrobank01) wrote :

Yann, I'm also think that this is an excellent compromise. I think that other people in this channel will like it too, if not, we gonna reach the comment #1000 soon :)

Pako (elektrobank01) wrote :

@Devin Walters "Yes, and I fundamentally disagree with pretty much every single one of Mark's responses to the criticism..... etc etc.

So what? He's response to all users is his billions of dollars invest in something that is given to you for prize ZERO!
You know what a real democracy is? When you go to the Microsoft site and complain about your unstable system, than in a very democratic way you'll gonna be kicked off in a less than second, telling you that you are responsible for your unstable system. Now that's the real democracy!

Aigars Mahinovs (aigarius) wrote :

I think the compromise is a good one - I have just updated to the newest packages in 10.04 and changed between the two themes: Human and Radiance. Human had buttons on the right and Radiance had buttons on the left. In the end I will stay with Human theme for the button layout, but change all its elements to Radiance - so I have Radiance with buttons on the right and it looks good. IMHO it can stay this way for 10.04, I bet there will be a bunch of themes for the both sides and we'll be able to gather some data from that as well - how many right-button themes and how many left-button themes there are in 6 months.

@Yann

The application icon for the window menu button was removed following this bug report -

https://bugs.launchpad.net/human-gtk-theme/+bug/405426

It only affects the human gtk themes (Human and Human-Clearlooks), other gtk themes besides high-contrast still has application icons in their window menus.

As a Human theme user I actually like this particular change, it cleans up the window title bar. The application icon can already be seen in the window list in the panels and the alt-tab dialog.

Pako (elektrobank01) wrote :

---------- Forwarded message ----------
From: J.G. Visser
Date: Sat, Mar 27, 2010 at 3:44 PM
Subject: [Bug 532633] Re: [Master] Window Control buttons: position/order/alignment
To: Pako

Pako,

I suppose you want a place in history as the top contributor of this bug report. You have reached your goal, but I do not see any really constructive elements in your last posts. You keep repeating yourself.
You might consider if this is usefull anymore. The louder you shout, the more arguments you get from your opponents.

Mr J.G. Visser

Please stop replying to my private gmail account, so that the others 300+ users get misinterpret in this conversation, it is fair for those people to follow our conversation so they can easier make decisions and contribute to this bug.

"The louder you shout, the more arguments you get from your opponents."
- The more of yours stupid comments here, the more I get inspired.

Folks, this bug is looking more like a mailing list every day. Can I
suggest that